#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_fluke_encode_new_glob(64);
  flick_fluke_encode_new_chunk(64);
  flick_fluke_encode_bcopy(0, *_data, 64);
  flick_fluke_encode_end_chunk(64);
  flick_fluke_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_fluke_decode_new_glob(64);
  flick_fluke_decode_new_chunk(64);
  flick_fluke_decode_bcopy(0, *_data, 64);
  flick_fluke_decode_end_chunk(64);
  flick_fluke_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_fluke_encode_new_glob(128);
  flick_fluke_encode_new_chunk(128);
  flick_fluke_encode_bcopy(0, *_data, 128);
  flick_fluke_encode_end_chunk(128);
  flick_fluke_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_fluke_decode_new_glob(128);
  flick_fluke_decode_new_chunk(128);
  flick_fluke_decode_bcopy(0, *_data, 128);
  flick_fluke_decode_end_chunk(128);
  flick_fluke_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_fluke_encode_new_glob(256);
  flick_fluke_encode_new_chunk(256);
  flick_fluke_encode_bcopy(0, *_data, 256);
  flick_fluke_encode_end_chunk(256);
  flick_fluke_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_fluke_decode_new_glob(256);
  flick_fluke_decode_new_chunk(256);
  flick_fluke_decode_bcopy(0, *_data, 256);
  flick_fluke_decode_end_chunk(256);
  flick_fluke_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_fluke_encode_new_glob(512);
  flick_fluke_encode_new_chunk(512);
  flick_fluke_encode_bcopy(0, *_data, 512);
  flick_fluke_encode_end_chunk(512);
  flick_fluke_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_fluke_decode_new_glob(512);
  flick_fluke_decode_new_chunk(512);
  flick_fluke_decode_bcopy(0, *_data, 512);
  flick_fluke_decode_end_chunk(512);
  flick_fluke_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_fluke_encode_new_glob(1024);
  flick_fluke_encode_new_chunk(1024);
  flick_fluke_encode_bcopy(0, *_data, 1024);
  flick_fluke_encode_end_chunk(1024);
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_fluke_decode_new_glob(1024);
  flick_fluke_decode_new_chunk(1024);
  flick_fluke_decode_bcopy(0, *_data, 1024);
  flick_fluke_decode_end_chunk(1024);
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_fluke_encode_new_glob(2048);
  flick_fluke_encode_new_chunk(2048);
  flick_fluke_encode_bcopy(0, *_data, 2048);
  flick_fluke_encode_end_chunk(2048);
  flick_fluke_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_fluke_decode_new_glob(2048);
  flick_fluke_decode_new_chunk(2048);
  flick_fluke_decode_bcopy(0, *_data, 2048);
  flick_fluke_decode_end_chunk(2048);
  flick_fluke_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_fluke_encode_new_glob(4096);
  flick_fluke_encode_new_chunk(4096);
  flick_fluke_encode_bcopy(0, *_data, 4096);
  flick_fluke_encode_end_chunk(4096);
  flick_fluke_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_fluke_decode_new_glob(4096);
  flick_fluke_decode_new_chunk(4096);
  flick_fluke_decode_bcopy(0, *_data, 4096);
  flick_fluke_decode_end_chunk(4096);
  flick_fluke_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_fluke_encode_new_glob(8192);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_fluke_decode_new_glob(8192);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_fluke_encode_new_glob(16384);
  flick_fluke_encode_new_chunk(16384);
  flick_fluke_encode_bcopy(0, *_data, 16384);
  flick_fluke_encode_end_chunk(16384);
  flick_fluke_encode_end_glob(16384);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_fluke_decode_new_glob(16384);
  flick_fluke_decode_new_chunk(16384);
  flick_fluke_decode_bcopy(0, *_data, 16384);
  flick_fluke_decode_end_chunk(16384);
  flick_fluke_decode_end_glob(16384);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_fluke_encode_new_glob(32768);
  flick_fluke_encode_new_chunk(32768);
  flick_fluke_encode_bcopy(0, *_data, 32768);
  flick_fluke_encode_end_chunk(32768);
  flick_fluke_encode_end_glob(32768);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_fluke_decode_new_glob(32768);
  flick_fluke_decode_new_chunk(32768);
  flick_fluke_decode_bcopy(0, *_data, 32768);
  flick_fluke_decode_end_chunk(32768);
  flick_fluke_decode_end_glob(32768);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_fluke_encode_new_glob(65536);
  flick_fluke_encode_new_chunk(65536);
  flick_fluke_encode_bcopy(0, *_data, 65536);
  flick_fluke_encode_end_chunk(65536);
  flick_fluke_encode_end_glob(65536);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_fluke_decode_new_glob(65536);
  flick_fluke_decode_new_chunk(65536);
  flick_fluke_decode_bcopy(0, *_data, 65536);
  flick_fluke_decode_end_chunk(65536);
  flick_fluke_decode_end_glob(65536);
}

int *op64_1234(data64 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(68);
    flick_fluke_encode_new_chunk(68);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 64);
    flick_fluke_encode_end_chunk(68);
    flick_fluke_encode_end_glob(68);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t1_storage;

          /* Begin decode phase on parameters */
          _return = &_t1_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op128_1234(data128 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(132);
    flick_fluke_encode_new_chunk(132);
    flick_fluke_encode_unsigned32(0, 2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 128);
    flick_fluke_encode_end_chunk(132);
    flick_fluke_encode_end_glob(132);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t3_storage;

          /* Begin decode phase on parameters */
          _return = &_t3_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op256_1234(data256 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(260);
    flick_fluke_encode_new_chunk(260);
    flick_fluke_encode_unsigned32(0, 3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 256);
    flick_fluke_encode_end_chunk(260);
    flick_fluke_encode_end_glob(260);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t5_storage;

          /* Begin decode phase on parameters */
          _return = &_t5_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op512_1234(data512 arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(516);
    flick_fluke_encode_new_chunk(516);
    flick_fluke_encode_unsigned32(0, 4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 512);
    flick_fluke_encode_end_chunk(516);
    flick_fluke_encode_end_glob(516);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t7_storage;

          /* Begin decode phase on parameters */
          _return = &_t7_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op1k_1234(data1K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(1028);
    flick_fluke_encode_new_chunk(1028);
    flick_fluke_encode_unsigned32(0, 5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 1024);
    flick_fluke_encode_end_chunk(1028);
    flick_fluke_encode_end_glob(1028);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t9_storage;

          /* Begin decode phase on parameters */
          _return = &_t9_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op2k_1234(data2K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(2052);
    flick_fluke_encode_new_chunk(2052);
    flick_fluke_encode_unsigned32(0, 6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 2048);
    flick_fluke_encode_end_chunk(2052);
    flick_fluke_encode_end_glob(2052);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t11_storage;

          /* Begin decode phase on parameters */
          _return = &_t11_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op4k_1234(data4K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4100);
    flick_fluke_encode_new_chunk(4100);
    flick_fluke_encode_unsigned32(0, 7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, arg, 4096);
    flick_fluke_encode_end_chunk(4100);
    flick_fluke_encode_end_glob(4100);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t13_storage;

          /* Begin decode phase on parameters */
          _return = &_t13_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op8k_1234(data8K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(8192);
    flick_fluke_encode_new_chunk(8192);
    flick_fluke_encode_bcopy(0, arg, 8192);
    flick_fluke_encode_end_chunk(8192);
    flick_fluke_encode_end_glob(8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t15_storage;

          /* Begin decode phase on parameters */
          _return = &_t15_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op16k_1234(data16K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 9);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(16384);
    flick_fluke_encode_new_chunk(16384);
    flick_fluke_encode_bcopy(0, arg, 16384);
    flick_fluke_encode_end_chunk(16384);
    flick_fluke_encode_end_glob(16384);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t17_storage;

          /* Begin decode phase on parameters */
          _return = &_t17_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op32k_1234(data32K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 10);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(32768);
    flick_fluke_encode_new_chunk(32768);
    flick_fluke_encode_bcopy(0, arg, 32768);
    flick_fluke_encode_end_chunk(32768);
    flick_fluke_encode_end_glob(32768);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t19_storage;

          /* Begin decode phase on parameters */
          _return = &_t19_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op64k_1234(data64K arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 11);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(65536);
    flick_fluke_encode_new_chunk(65536);
    flick_fluke_encode_bcopy(0, arg, 65536);
    flick_fluke_encode_end_chunk(65536);
    flick_fluke_encode_end_glob(65536);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t21_storage;

          /* Begin decode phase on parameters */
          _return = &_t21_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

