#include "arrayez-server.h"

void flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
  flick_fluke_encode_new_glob(8192);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  flick_fluke_decode_new_glob(8192);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
}

void flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, const arrayez *_data)
{
}

void flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
}

mom_dispatch_action_t arrayez_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t10_switch_tag;

    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t10_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t10_switch_tag)
      {
      case req_arrayez_test_in8k:
        {
          {
            arrayez *_obj;
            oskit_s32_t *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t12_storage;

            _obj = (arrayez *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_decode_new_chunk(8192);
            flick_fluke_decode_msgptr(0, _local_a);
            _ev = &_t12_storage;
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrayez_server_test_in8k(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrayez_test_out8k:
        {
          {
            arrayez *_obj;
            oskit_s32_t *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            oskit_s32_t _t14_storage[2048];
            mom_exc_t _t15_storage;

            _obj = (arrayez *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = _t14_storage;
            _ev = &_t15_storage;
            flick_fluke_decode_end_glob(4);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrayez_server_test_out8k(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(8192);
                  flick_fluke_encode_new_chunk(8192);
                  flick_fluke_encode_bcopy(0, _local_a, 8192);
                  flick_fluke_encode_end_chunk(8192);
                  flick_fluke_encode_end_glob(8192);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrayez_test_io8k:
        {
          {
            arrayez *_obj;
            oskit_s32_t *_local_a;
            oskit_s32_t *_local_b;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            oskit_s32_t _t18_storage[2048];
            mom_exc_t _t19_storage;

            _obj = (arrayez *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_decode_new_chunk(8192);
            flick_fluke_decode_msgptr(0, _local_a);
            _local_b = _t18_storage;
            _ev = &_t19_storage;
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrayez_server_test_io8k(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(8192);
                  flick_fluke_encode_new_chunk(8192);
                  flick_fluke_encode_bcopy(0, _local_b, 8192);
                  flick_fluke_encode_end_chunk(8192);
                  flick_fluke_encode_end_glob(8192);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
