#include "dif2-client.h"

void ex1_op0(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex1_op0);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

float ex1_op1(mom_ref_t _obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, f);
    flick_fluke_encode_signed32(8, *l);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float64(4, *d);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double ex1_op2(mom_ref_t _obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(18);
    flick_fluke_encode_new_chunk(18);
    flick_fluke_encode_unsigned32(0, req_ex1_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, d);
    flick_fluke_encode_signed16(16, *s);
    flick_fluke_encode_end_chunk(18);
    flick_fluke_encode_end_glob(18);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(22);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(18);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_signed16(16, *s);
          flick_fluke_decode_end_chunk(18);
          flick_fluke_decode_end_glob(22);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(22);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(22);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ex1_op3(mom_ref_t _obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, l);
    flick_fluke_encode_unsigned32(8, *ul);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed16(4, *s);
          flick_fluke_decode_unsigned32(8, *ul);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s16_t ex1_op4(mom_ref_t _obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ex1_op4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, s);
    flick_fluke_encode_unsigned16(6, *us);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(14);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(10);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_unsigned16(8, *us);
          flick_fluke_decode_end_chunk(10);
          flick_fluke_decode_end_glob(14);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(14);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(14);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u32_t ex1_op5(mom_ref_t _obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(11);
    flick_fluke_encode_new_chunk(11);
    flick_fluke_encode_unsigned32(0, req_ex1_op5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, *ul);
    flick_fluke_encode_unsigned16(8, us);
    flick_fluke_encode_unsigned8(10, b);
    flick_fluke_encode_end_chunk(11);
    flick_fluke_encode_end_glob(11);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(13);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(9);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_char8(8, *c);
          flick_fluke_decode_end_chunk(9);
          flick_fluke_decode_end_glob(13);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(13);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(13);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t ex1_op6(mom_ref_t _obj, oskit_u16_t *us, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex1_op6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, *c);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *us);
          flick_fluke_decode_char8(4, *c);
          flick_fluke_decode_end_chunk(5);
          flick_fluke_decode_end_glob(9);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(9);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char ex2_op7(mom_ref_t _obj, char c, oskit_bool_t *b, oskit_u8_t *o, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_ex2_op7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, c);
    flick_fluke_encode_unsigned8(5, *o);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_unsigned8(2, *o);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_bool_t ex2_op8(mom_ref_t _obj, oskit_bool_t *b, oskit_u8_t o, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex2_op8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, o);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u8_t ex2_op9(mom_ref_t _obj, oskit_u8_t *o, char **s, const char *ls, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex2_op9);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, *o);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
    flick_fluke_encode_alloced_string(ls, fluke, 10);
    flick_fluke_encode_new_glob(7);
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, *l);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(7);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *o);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          flick_fluke_decode_longstring(*s, mom_flick_alloc, fluke);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, *l);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *ex2_op10(mom_ref_t _obj, const char *s, char **ls, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex2_op10);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(s, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_string(*ls, mom_flick_alloc, fluke, 10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *ex2_op11(mom_ref_t _obj, char **ls, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex2_op11);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_string(*ls, mom_flick_free, fluke, 10);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(_return, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_string(*ls, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, *l);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ex2_op12(mom_ref_t _obj, oskit_s32_t l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ex2_op12);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, l);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex2_op0(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex1_op0);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

float ex2_op1(mom_ref_t _obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, f);
    flick_fluke_encode_signed32(8, *l);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float64(4, *d);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double ex2_op2(mom_ref_t _obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(18);
    flick_fluke_encode_new_chunk(18);
    flick_fluke_encode_unsigned32(0, req_ex1_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, d);
    flick_fluke_encode_signed16(16, *s);
    flick_fluke_encode_end_chunk(18);
    flick_fluke_encode_end_glob(18);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(22);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(18);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_signed16(16, *s);
          flick_fluke_decode_end_chunk(18);
          flick_fluke_decode_end_glob(22);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(22);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(22);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ex2_op3(mom_ref_t _obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, l);
    flick_fluke_encode_unsigned32(8, *ul);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed16(4, *s);
          flick_fluke_decode_unsigned32(8, *ul);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s16_t ex2_op4(mom_ref_t _obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ex1_op4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, s);
    flick_fluke_encode_unsigned16(6, *us);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(14);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(10);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_unsigned16(8, *us);
          flick_fluke_decode_end_chunk(10);
          flick_fluke_decode_end_glob(14);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(14);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(14);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u32_t ex2_op5(mom_ref_t _obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(11);
    flick_fluke_encode_new_chunk(11);
    flick_fluke_encode_unsigned32(0, req_ex1_op5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, *ul);
    flick_fluke_encode_unsigned16(8, us);
    flick_fluke_encode_unsigned8(10, b);
    flick_fluke_encode_end_chunk(11);
    flick_fluke_encode_end_glob(11);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(13);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(9);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_char8(8, *c);
          flick_fluke_decode_end_chunk(9);
          flick_fluke_decode_end_glob(13);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(13);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(13);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t ex2_op6(mom_ref_t _obj, oskit_u16_t *us, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex1_op6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, *c);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *us);
          flick_fluke_decode_char8(4, *c);
          flick_fluke_decode_end_chunk(5);
          flick_fluke_decode_end_glob(9);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(9);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

float ex3__get_float_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_float_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double ex3__get_double_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_double_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex3__set_double_attribute(mom_ref_t _obj, double double_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(16);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_ex3__set_double_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, double_attribute);
    flick_fluke_encode_end_chunk(16);
    flick_fluke_encode_end_glob(16);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

oskit_s32_t ex3__get_long_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_long_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s16_t ex3__get_short_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_short_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex3__set_short_attribute(mom_ref_t _obj, oskit_s16_t short_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_ex3__set_short_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, short_attribute);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

oskit_u32_t ex3__get_unsigned_long_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_unsigned_long_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex3_op0(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex1_op0);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

float ex3_op1(mom_ref_t _obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, f);
    flick_fluke_encode_signed32(8, *l);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float64(4, *d);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double ex3_op2(mom_ref_t _obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(18);
    flick_fluke_encode_new_chunk(18);
    flick_fluke_encode_unsigned32(0, req_ex1_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, d);
    flick_fluke_encode_signed16(16, *s);
    flick_fluke_encode_end_chunk(18);
    flick_fluke_encode_end_glob(18);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(22);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(18);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_signed16(16, *s);
          flick_fluke_decode_end_chunk(18);
          flick_fluke_decode_end_glob(22);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(22);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(22);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ex3_op3(mom_ref_t _obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, l);
    flick_fluke_encode_unsigned32(8, *ul);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed16(4, *s);
          flick_fluke_decode_unsigned32(8, *ul);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s16_t ex3_op4(mom_ref_t _obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ex1_op4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, s);
    flick_fluke_encode_unsigned16(6, *us);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(14);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(10);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_unsigned16(8, *us);
          flick_fluke_decode_end_chunk(10);
          flick_fluke_decode_end_glob(14);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(14);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(14);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u32_t ex3_op5(mom_ref_t _obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(11);
    flick_fluke_encode_new_chunk(11);
    flick_fluke_encode_unsigned32(0, req_ex1_op5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, *ul);
    flick_fluke_encode_unsigned16(8, us);
    flick_fluke_encode_unsigned8(10, b);
    flick_fluke_encode_end_chunk(11);
    flick_fluke_encode_end_glob(11);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(13);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(9);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_char8(8, *c);
          flick_fluke_decode_end_chunk(9);
          flick_fluke_decode_end_glob(13);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(13);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(13);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t ex3_op6(mom_ref_t _obj, oskit_u16_t *us, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex1_op6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, *c);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *us);
          flick_fluke_decode_char8(4, *c);
          flick_fluke_decode_end_chunk(5);
          flick_fluke_decode_end_glob(9);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(9);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t ex4__get_unsigned_short_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__get_unsigned_short_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex4__set_unsigned_short_attribute(mom_ref_t _obj, oskit_u16_t unsigned_short_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_ex4__set_unsigned_short_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, unsigned_short_attribute);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

char ex4__get_char_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__get_char_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(5);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_end_glob(5);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(5);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(5);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_bool_t ex4__get_boolean_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__get_boolean_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(5);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_end_glob(5);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(5);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(5);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex4__set_boolean_attribute(mom_ref_t _obj, oskit_bool_t boolean_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex4__set_boolean_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, boolean_attribute);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

oskit_u8_t ex4__get_octet_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__get_octet_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(5);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_end_glob(5);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(5);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(5);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *ex4__get_string_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__get_string_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex4__set_string_attribute(mom_ref_t _obj, const char *string_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__set_string_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(string_attribute, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

char *ex4__get_limited_string_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex4__get_limited_string_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(_return, mom_flick_alloc, fluke, 10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char ex4_op7(mom_ref_t _obj, char c, oskit_bool_t *b, oskit_u8_t *o, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_ex2_op7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, c);
    flick_fluke_encode_unsigned8(5, *o);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_unsigned8(2, *o);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_bool_t ex4_op8(mom_ref_t _obj, oskit_bool_t *b, oskit_u8_t o, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex2_op8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, o);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u8_t ex4_op9(mom_ref_t _obj, oskit_u8_t *o, char **s, const char *ls, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex2_op9);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, *o);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
    flick_fluke_encode_alloced_string(ls, fluke, 10);
    flick_fluke_encode_new_glob(7);
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, *l);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(7);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *o);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          flick_fluke_decode_longstring(*s, mom_flick_alloc, fluke);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, *l);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *ex4_op10(mom_ref_t _obj, const char *s, char **ls, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex2_op10);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(s, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_string(*ls, mom_flick_alloc, fluke, 10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *ex4_op11(mom_ref_t _obj, char **ls, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex2_op11);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_string(*ls, mom_flick_free, fluke, 10);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(_return, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_string(*ls, mom_flick_alloc, fluke, 10);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, *l);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ex4_op12(mom_ref_t _obj, oskit_s32_t l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ex2_op12);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, l);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex4_op0(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex1_op0);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

float ex4_op1(mom_ref_t _obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, f);
    flick_fluke_encode_signed32(8, *l);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float64(4, *d);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double ex4_op2(mom_ref_t _obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(18);
    flick_fluke_encode_new_chunk(18);
    flick_fluke_encode_unsigned32(0, req_ex1_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, d);
    flick_fluke_encode_signed16(16, *s);
    flick_fluke_encode_end_chunk(18);
    flick_fluke_encode_end_glob(18);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(22);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(18);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_signed32(12, *l);
          flick_fluke_decode_signed16(16, *s);
          flick_fluke_decode_end_chunk(18);
          flick_fluke_decode_end_glob(22);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(22);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(22);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ex4_op3(mom_ref_t _obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_ex1_op3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, l);
    flick_fluke_encode_unsigned32(8, *ul);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed16(4, *s);
          flick_fluke_decode_unsigned32(8, *ul);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s16_t ex4_op4(mom_ref_t _obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ex1_op4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, s);
    flick_fluke_encode_unsigned16(6, *us);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(14);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(10);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_unsigned16(8, *us);
          flick_fluke_decode_end_chunk(10);
          flick_fluke_decode_end_glob(14);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(14);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(14);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u32_t ex4_op5(mom_ref_t _obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(11);
    flick_fluke_encode_new_chunk(11);
    flick_fluke_encode_unsigned32(0, req_ex1_op5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, *ul);
    flick_fluke_encode_unsigned16(8, us);
    flick_fluke_encode_unsigned8(10, b);
    flick_fluke_encode_end_chunk(11);
    flick_fluke_encode_end_glob(11);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(13);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(9);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *ul);
          flick_fluke_decode_char8(8, *c);
          flick_fluke_decode_end_chunk(9);
          flick_fluke_decode_end_glob(13);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(13);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(13);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t ex4_op6(mom_ref_t _obj, oskit_u16_t *us, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_ex1_op6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, *c);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *us);
          flick_fluke_decode_char8(4, *c);
          flick_fluke_decode_end_chunk(5);
          flick_fluke_decode_end_glob(9);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(9);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

float ex4__get_float_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_float_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double ex4__get_double_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_double_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex4__set_double_attribute(mom_ref_t _obj, double double_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(16);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_ex3__set_double_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, double_attribute);
    flick_fluke_encode_end_chunk(16);
    flick_fluke_encode_end_glob(16);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

oskit_s32_t ex4__get_long_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_long_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s16_t ex4__get_short_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_short_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void ex4__set_short_attribute(mom_ref_t _obj, oskit_s16_t short_attribute, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_ex3__set_short_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, short_attribute);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

oskit_u32_t ex4__get_unsigned_long_attribute(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ex3__get_unsigned_long_attribute);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

