#include "enum_-server.h"

void flick_marshal_stub_types(flick_marshal_stream_t _stream, const types *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_types(flick_marshal_stream_t _stream, types *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_Test(flick_marshal_stream_t _stream, const Test *_data)
{
}

void flick_unmarshal_stub_Test(flick_marshal_stream_t _stream, Test *_data)
{
}

mom_dispatch_action_t Test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t4_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case req_Test_Enum:
        {
          {
            Test *_obj;
            types _local_a;
            types *_local_b;
            types *_local_c;
            mom_exc_t *_ev;
            types _return;
            types _t5_storage;
            types _t6_storage;
            mom_exc_t _t7_storage;

            _obj = (Test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a);
            _local_b = &_t5_storage;
            flick_fluke_decode_unsigned32(4, *_local_b);
            _local_c = &_t6_storage;
            _ev = &_t7_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Test_server_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, _return);
                  flick_fluke_encode_unsigned32(4, *_local_b);
                  flick_fluke_encode_unsigned32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  flick_fluke_encode_end_glob(16);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(16);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(16);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
