#include "parms-server.h"

void flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->long_seq_len);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_decode_end_chunk(4 * _data->long_seq_len);
  flick_fluke_decode_end_glob(44);
}

mom_dispatch_action_t parm_2345(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t11_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t11_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            char _t12_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t12_storage;
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(4);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            char _t13_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t13_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, *_local_arg);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(5);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, *_return);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_end_glob(5);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(5);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(5);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            int _t14_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t14_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_unsigned8(0, *_local_arg);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(5);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_unsigned8(0, *_return);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_end_glob(5);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(5);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(5);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            short int _t15_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t15_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, *_local_arg);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned short int _t16_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t16_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned16(0, *_local_arg);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_unsigned16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            int _t17_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t17_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_local_arg);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t18_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t18_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *_local_arg);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            float _t19_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t19_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_float32(0, *_local_arg);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_float32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            double _t20_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t20_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, *_local_arg);
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, *_return);
                  flick_fluke_encode_end_chunk(12);
                  flick_fluke_encode_end_glob(16);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(16);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(16);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 9:
        {
          {
            long_seq *_local_arg;
            struct svc_req *_obj;
            long_seq *_return = 0;
            long_seq _t21_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t21_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_seq_len);
            if (_local_arg->long_seq_len > (unsigned int) 10)
              flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_seq_len);
            _local_arg->long_seq_val = sun_flick_alloc(_local_arg->long_seq_len * sizeof(int ));
            flick_fluke_decode_bcopy(0, _local_arg->long_seq_val, 4 * _local_arg->long_seq_len);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_seq_len);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = long_seq_test_2345(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(48);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4 + 4 * _return->long_seq_len);
                  flick_fluke_encode_unsigned32(0, _return->long_seq_len);
                  if (_return->long_seq_len > (unsigned int) 10)
                    flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
                  flick_fluke_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                  flick_fluke_encode_end_chunk(4 + 4 * _return->long_seq_len);
                  flick_fluke_encode_end_glob(48);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(48);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(48);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
