#include "sequence-server.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_mom_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_mom_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->reason);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->reason);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
}

mom_dispatch_action_t TestSeq_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t5_switch_tag;

    flick_fluke_decode_new_glob(92);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t5_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case req_TestSeq_op:
        {
          {
            TestSeq *_obj;
            vec10 *_local_iv;
            vec10 **_local_ov;
            vec10 *_local_iov;
            mom_exc_t *_ev;
            vec10 *_return = 0;
            vec10 _t6_storage;
            vec10 *_t7_storage;
            vec10 _t8_storage;
            mom_exc_t _t9_storage;

            _obj = (TestSeq *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_iv = &_t6_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_iv->_length);
            _local_iv->_maximum = _local_iv->_length;
            if (_local_iv->_length > (unsigned int) 10)
              flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_iv->_length);
            flick_fluke_decode_msgptr(0, _local_iv->_buffer);
            flick_fluke_decode_end_chunk(4 * _local_iv->_length);
            _local_ov = &_t7_storage;
            _local_iov = &_t8_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_iov->_length);
            _local_iov->_maximum = _local_iov->_length;
            if (_local_iov->_length > (unsigned int) 10)
              flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_iov->_length);
            _local_iov->_buffer = mom_flick_alloc(_local_iov->_length * sizeof(oskit_s32_t ));
            flick_fluke_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
            flick_fluke_decode_end_chunk(4 * _local_iov->_length);
            _ev = &_t9_storage;
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = TestSeq_server_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(136);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4 + 4 * _return->_length);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  if (_return->_length > (unsigned int) 10)
                    flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
                  flick_fluke_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(4 + 4 * _return->_length);
                  mom_flick_free(_return);
                  flick_fluke_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                  flick_fluke_encode_unsigned32(0, (*_local_ov)->_length);
                  if ((*_local_ov)->_length > (unsigned int) 10)
                    flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
                  flick_fluke_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                  mom_flick_free((*_local_ov)->_buffer);
                  flick_fluke_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                  mom_flick_free(*_local_ov);
                  flick_fluke_encode_new_chunk(4 + 4 * _local_iov->_length);
                  flick_fluke_encode_unsigned32(0, _local_iov->_length);
                  if (_local_iov->_length > (unsigned int) 10)
                    flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
                  flick_fluke_encode_bcopy(4, _local_iov->_buffer, 4 * _local_iov->_length);
                  mom_flick_free(_local_iov->_buffer);
                  flick_fluke_encode_end_chunk(4 + 4 * _local_iov->_length);
                  flick_fluke_encode_end_glob(136);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(136);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  switch ((signed int )(_ev->_type))
                    {
                    case exc_puke:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((puke *)(_ev->_except))->reason);
                        mom_flick_free((puke *)(_ev->_except));
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        break;
                      }
                    }
                  flick_fluke_encode_end_glob(136);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(92);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
