#include "unionplain_-client.h"

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const Foo *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(2);
        flick_fluke_encode_signed16(0, _data->_u.y);
        flick_fluke_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, Foo *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(2);
        flick_fluke_decode_signed16(0, _data->_u.y);
        flick_fluke_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const Foo2 *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->_d);
  flick_fluke_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->_u.x);
        flick_fluke_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_encode_new_chunk(3);
        flick_fluke_encode_signed16(1, _data->_u.y);
        flick_fluke_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    default:
      {
        flick_mom_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, Foo2 *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->_d);
  flick_fluke_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->_u.x);
        flick_fluke_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_decode_new_chunk(3);
        flick_fluke_decode_signed16(1, _data->_u.y);
        flick_fluke_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_mom_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const Foo3 *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->_d);
  flick_fluke_encode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_fluke_encode_new_chunk(2);
        flick_fluke_encode_signed16(0, _data->_u.a);
        flick_fluke_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_fluke_encode_new_chunk(6);
        flick_fluke_encode_signed32(2, _data->_u.b);
        flick_fluke_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.c);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, Foo3 *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->_d);
  flick_fluke_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_fluke_decode_new_chunk(2);
        flick_fluke_decode_signed16(0, _data->_u.a);
        flick_fluke_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_fluke_decode_new_chunk(6);
        flick_fluke_decode_signed32(2, _data->_u.b);
        flick_fluke_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.c);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const Foo4 *_data)
{
  flick_fluke_encode_new_glob(48);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_end_glob(48);
        flick_fluke_encode_longstring(_data->_u.a, null_flick_free, fluke);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(4 + 4 * _data->_u.b._length);
        flick_fluke_encode_unsigned32(0, _data->_u.b._length);
        if (_data->_u.b._length > (unsigned int) 10)
          flick_mom_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
        flick_fluke_encode_bcopy(4, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_fluke_encode_end_chunk(4 + 4 * _data->_u.b._length);
        flick_fluke_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.c);
        flick_fluke_encode_end_chunk(4);
        flick_fluke_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, Foo4 *_data)
{
  flick_fluke_decode_new_glob(48);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_end_glob(48);
        flick_fluke_decode_longstring(_data->_u.a, mom_flick_alloc, fluke);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._maximum = _data->_u.b._length;
        if (_data->_u.b._length > (unsigned int) 10)
          flick_mom_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_new_chunk(4 * _data->_u.b._length);
        _data->_u.b._buffer = mom_flick_alloc(_data->_u.b._length * sizeof(oskit_s32_t ));
        flick_fluke_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_fluke_decode_end_chunk(4 * _data->_u.b._length);
        flick_fluke_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.c);
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_end_glob(48);
        break;
      }
    }
}

Foo un_one(mom_ref_t _obj, const Foo2 *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  Foo _return;

  memset(&_return, 0, sizeof(Foo ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_un_one);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, a->_d);
    flick_fluke_encode_end_chunk(5);
    switch (a->_d)
      {
      case 'a':
        {
          flick_fluke_encode_new_chunk(7);
          flick_fluke_encode_signed32(3, a->_u.x);
          flick_fluke_encode_end_chunk(7);
          break;
        }
      case 'b':
        {
          flick_fluke_encode_new_chunk(3);
          flick_fluke_encode_signed16(1, a->_u.y);
          flick_fluke_encode_end_chunk(3);
          break;
        }
      case 'c':
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, a->_u.z);
          flick_fluke_encode_end_chunk(1);
          break;
        }
      default:
        {
          flick_mom_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
          break;
        }
      }
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return._d);
          flick_fluke_decode_end_chunk(4);
          switch (_return._d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _return._u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            case 2:
              {
                flick_fluke_decode_new_chunk(2);
                flick_fluke_decode_signed16(0, _return._u.y);
                flick_fluke_decode_end_chunk(2);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _return._u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_end_glob(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(12);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(12);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

Foo3 un_two(mom_ref_t _obj, const Foo4 *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  Foo3 _return;

  memset(&_return, 0, sizeof(Foo3 ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(52);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_un_two);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->_d);
    flick_fluke_encode_end_chunk(8);
    switch (a->_d)
      {
      case 1:
        {
          flick_fluke_encode_end_glob(52);
          flick_fluke_encode_longstring(a->_u.a, null_flick_free, fluke);
          break;
        }
      case 2:
        {
          flick_fluke_encode_new_chunk(4 + 4 * a->_u.b._length);
          flick_fluke_encode_unsigned32(0, a->_u.b._length);
          if (a->_u.b._length > (unsigned int) 10)
            flick_mom_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_encode_bcopy(4, a->_u.b._buffer, 4 * a->_u.b._length);
          flick_fluke_encode_end_chunk(4 + 4 * a->_u.b._length);
          flick_fluke_encode_end_glob(52);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, a->_u.c);
          flick_fluke_encode_end_chunk(4);
          flick_fluke_encode_end_glob(52);
          break;
        }
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return._d);
          flick_fluke_decode_end_chunk(2);
          switch (_return._d)
            {
            case -1:
              {
                flick_fluke_decode_new_chunk(2);
                flick_fluke_decode_signed16(0, _return._u.a);
                flick_fluke_decode_end_chunk(2);
                break;
              }
            case 50:
              {
                flick_fluke_decode_new_chunk(6);
                flick_fluke_decode_signed32(2, _return._u.b);
                flick_fluke_decode_end_chunk(6);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _return._u.c);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_end_glob(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(12);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(12);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

