#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1);
  flick_cdr_encode_char8(4, _data->elem2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1);
  flick_cdr_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1);
  flick_cdr_swap_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1);
  flick_cdr_encode_signed32(4, _data->elem2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1);
  flick_cdr_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1);
  flick_cdr_swap_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_iiop_encode_new_glob(216);
  flick_iiop_encode_new_chunk(204);
  flick_cdr_encode_char8(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_iiop_encode_end_chunk(204);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_iiop_decode_new_glob(216);
  flick_iiop_decode_new_chunk(204);
  flick_cdr_decode_char8(0, _data->first);
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_iiop_decode_end_chunk(204);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(216);
}

void flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(363);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(363);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_iiop_encode_new_glob(213);
  flick_iiop_encode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_cdr_encode_bcopy(8, _data->data, 200);
  flick_cdr_encode_char8(208, _data->last);
  flick_iiop_encode_end_chunk(209);
  flick_iiop_encode_end_glob(213);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  flick_cdr_decode_bcopy(8, _data->data, 200);
  flick_cdr_decode_char8(208, _data->last);
  flick_iiop_decode_end_chunk(209);
  flick_iiop_decode_end_glob(213);
}

void flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t1_array_iter;

  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(213);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_iiop_encode_new_glob(206);
  flick_iiop_encode_new_chunk(206);
  flick_cdr_encode_signed16(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_cdr_encode_signed16(204, _data->last);
  flick_iiop_encode_end_chunk(206);
  flick_iiop_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_iiop_decode_new_glob(206);
  flick_iiop_decode_new_chunk(206);
  flick_cdr_decode_signed16(0, _data->first);
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_cdr_decode_signed16(204, _data->last);
  flick_iiop_decode_end_chunk(206);
  flick_iiop_decode_end_glob(206);
}

void flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_decode_new_glob(304);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(304);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_iiop_encode_new_glob(416);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t3_array_iter].elem1);
      flick_cdr_encode_char8(7, _data->data[_t3_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t4_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t4_array_iter].elem1);
      flick_cdr_decode_char8(7, _data->data[_t4_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t5_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t5_array_iter].elem1);
      flick_cdr_swap_decode_char8(7, _data->data[_t5_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t6_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t7_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t7_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t7_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t8_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t8_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_iiop_encode_new_glob(405);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last);
  flick_iiop_encode_end_chunk(3);
  flick_iiop_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t10_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t10_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t10_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t12_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t13_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t13_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t13_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t14_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t14_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_cdr_encode_signed32(4, _data->data[_t15_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t16_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t16_array_iter].elem1);
      flick_cdr_decode_signed32(4, _data->data[_t16_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t17_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_cdr_swap_decode_signed32(4, _data->data[_t17_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_iiop_encode_new_glob(404);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t18_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t19_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t19_array_iter = 0; _t19_array_iter < 50; _t19_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t19_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_decode_signed32(0, _data->data[_t19_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t20_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t20_array_iter = 0; _t20_array_iter < 50; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_swap_decode_signed32(0, _data->data[_t20_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(452);
    flick_iiop_encode_new_chunk(224);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'd');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    flick_cdr_encode_bcopy(24, inp->data, 200);
    flick_iiop_encode_end_chunk(224);
    flick_iiop_encode_new_chunk_align(224, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_cdr_encode_bcopy(12, iop->data, 200);
    flick_cdr_encode_float64(216, iop->last);
    flick_iiop_encode_end_chunk(224);
    flick_iiop_encode_end_glob(452);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1093);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t24_array_iter;
            flick_unsigned8_t _t25_array_iter;
            flick_unsigned8_t _t26_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.first);
            flick_iiop_decode_end_chunk(1);
            for (_t24_array_iter = 0; _t24_array_iter < 50; _t24_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t24_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_cdr_swap_decode_char8(8, iop->first);
            flick_iiop_decode_end_chunk(9);
            for (_t25_array_iter = 0; _t25_array_iter < 50; _t25_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t25_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            flick_iiop_decode_end_chunk(9);
            for (_t26_array_iter = 0; _t26_array_iter < 50; _t26_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t26_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(1093);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1093);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1093);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(652);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(204);
            flick_cdr_decode_char8(0, _return.first);
            flick_cdr_decode_bcopy(4, _return.data, 200);
            flick_iiop_decode_end_chunk(204);
            flick_iiop_decode_new_chunk_align(440, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            flick_cdr_decode_bcopy(12, iop->data, 200);
            flick_cdr_decode_float64(216, iop->last);
            flick_cdr_decode_char8(224, outp->first);
            flick_cdr_decode_bcopy(228, outp->data, 200);
            flick_cdr_decode_float64(432, outp->last);
            flick_iiop_decode_end_chunk(440);
            flick_iiop_decode_end_glob(652);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(652);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(652);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(449);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'c');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(425, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_cdr_encode_bcopy(8, inp->data, 200);
    flick_cdr_encode_char8(208, inp->last);
    flick_cdr_encode_float64(216, iop->first);
    flick_cdr_encode_bcopy(224, iop->data, 200);
    flick_cdr_encode_char8(424, iop->last);
    flick_iiop_encode_end_chunk(425);
    flick_iiop_encode_end_glob(449);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(649);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t30_array_iter;
            flick_unsigned8_t _t31_array_iter;
            flick_unsigned8_t _t32_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.first);
            flick_iiop_decode_end_chunk(8);
            for (_t30_array_iter = 0; _t30_array_iter < 50; _t30_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return.data[_t30_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, iop->first);
            flick_iiop_decode_end_chunk(8);
            for (_t31_array_iter = 0; _t31_array_iter < 50; _t31_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, iop->data[_t31_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, outp->first);
            flick_iiop_decode_end_chunk(8);
            for (_t32_array_iter = 0; _t32_array_iter < 50; _t32_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outp->data[_t32_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(649);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(649);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(649);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(649);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(641, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            flick_cdr_decode_bcopy(8, _return.data, 200);
            flick_cdr_decode_char8(208, _return.last);
            flick_cdr_decode_float64(216, iop->first);
            flick_cdr_decode_bcopy(224, iop->data, 200);
            flick_cdr_decode_char8(424, iop->last);
            flick_cdr_decode_float64(432, outp->first);
            flick_cdr_decode_bcopy(440, outp->data, 200);
            flick_cdr_decode_char8(640, outp->last);
            flick_iiop_decode_end_chunk(641);
            flick_iiop_decode_end_glob(649);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(649);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(649);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(430);
    flick_iiop_encode_new_chunk(430);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 's');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    flick_cdr_encode_bcopy(24, inp->data, 200);
    flick_cdr_encode_signed16(224, inp->last);
    flick_cdr_encode_signed16(226, iop->first);
    flick_cdr_encode_bcopy(228, iop->data, 200);
    flick_cdr_encode_signed16(428, iop->last);
    flick_iiop_encode_end_chunk(430);
    flick_iiop_encode_end_glob(430);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(716);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t36_array_iter;
            flick_unsigned8_t _t37_array_iter;
            flick_unsigned8_t _t38_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.first);
            flick_iiop_decode_end_chunk(2);
            for (_t36_array_iter = 0; _t36_array_iter < 50; _t36_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t36_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, _return.last);
            flick_cdr_swap_decode_signed16(2, iop->first);
            flick_iiop_decode_end_chunk(4);
            for (_t37_array_iter = 0; _t37_array_iter < 50; _t37_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, iop->data[_t37_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, iop->last);
            flick_cdr_swap_decode_signed16(2, outp->first);
            flick_iiop_decode_end_chunk(4);
            for (_t38_array_iter = 0; _t38_array_iter < 50; _t38_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outp->data[_t38_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, outp->last);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(716);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(716);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(716);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(618);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(614);
            flick_cdr_decode_signed16(0, _return.first);
            flick_cdr_decode_bcopy(4, _return.data, 200);
            flick_cdr_decode_signed16(204, _return.last);
            flick_cdr_decode_signed16(206, iop->first);
            flick_cdr_decode_bcopy(208, iop->data, 200);
            flick_cdr_decode_signed16(408, iop->last);
            flick_cdr_decode_signed16(410, outp->first);
            flick_cdr_decode_bcopy(412, outp->data, 200);
            flick_cdr_decode_signed16(612, outp->last);
            flick_iiop_decode_end_chunk(614);
            flick_iiop_decode_end_glob(618);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(618);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(618);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t41_array_iter;
    flick_unsigned8_t _t42_array_iter;

    flick_iiop_encode_new_glob(852);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    flick_iiop_encode_end_chunk(21);
    for (_t41_array_iter = 0; _t41_array_iter < 50; _t41_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_signed32(3, inp->data[_t41_array_iter].elem1);
        flick_cdr_encode_char8(7, inp->data[_t41_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_iiop_encode_end_chunk(9);
    for (_t42_array_iter = 0; _t42_array_iter < 50; _t42_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_signed32(3, iop->data[_t42_array_iter].elem1);
        flick_cdr_encode_char8(7, iop->data[_t42_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(15);
    flick_cdr_encode_float64(7, iop->last);
    flick_iiop_encode_end_chunk(15);
    flick_iiop_encode_end_glob(852);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1252);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t52_array_iter;
            flick_unsigned8_t _t53_array_iter;
            flick_unsigned8_t _t54_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.first);
            flick_iiop_decode_end_chunk(1);
            for (_t52_array_iter = 0; _t52_array_iter < 50; _t52_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, _return.data[_t52_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, _return.data[_t52_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_cdr_swap_decode_char8(8, iop->first);
            flick_iiop_decode_end_chunk(9);
            for (_t53_array_iter = 0; _t53_array_iter < 50; _t53_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, iop->data[_t53_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, iop->data[_t53_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_float64(7, iop->last);
            flick_cdr_swap_decode_char8(15, outp->first);
            flick_iiop_decode_end_chunk(16);
            for (_t54_array_iter = 0; _t54_array_iter < 50; _t54_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, outp->data[_t54_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, outp->data[_t54_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(15);
            flick_cdr_swap_decode_float64(7, outp->last);
            flick_iiop_decode_end_chunk(15);
            flick_iiop_decode_end_glob(1252);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1252);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1252);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(1252);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t46_array_iter;
            flick_unsigned8_t _t47_array_iter;
            flick_unsigned8_t _t48_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            flick_iiop_decode_end_chunk(1);
            for (_t46_array_iter = 0; _t46_array_iter < 50; _t46_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, _return.data[_t46_array_iter].elem1);
                flick_cdr_decode_char8(7, _return.data[_t46_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            flick_iiop_decode_end_chunk(9);
            for (_t47_array_iter = 0; _t47_array_iter < 50; _t47_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, iop->data[_t47_array_iter].elem1);
                flick_cdr_decode_char8(7, iop->data[_t47_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_float64(7, iop->last);
            flick_cdr_decode_char8(15, outp->first);
            flick_iiop_decode_end_chunk(16);
            for (_t48_array_iter = 0; _t48_array_iter < 50; _t48_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, outp->data[_t48_array_iter].elem1);
                flick_cdr_decode_char8(7, outp->data[_t48_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(15);
            flick_cdr_decode_float64(7, outp->last);
            flick_iiop_decode_end_chunk(15);
            flick_iiop_decode_end_glob(1252);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1252);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(1252);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t57_array_iter;
    flick_unsigned8_t _t58_array_iter;

    flick_iiop_encode_new_glob(848);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 'c');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_iiop_encode_end_chunk(8);
    for (_t57_array_iter = 0; _t57_array_iter < 50; _t57_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t57_array_iter].elem1);
        flick_cdr_encode_char8(4, inp->data[_t57_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, inp->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
    flick_cdr_encode_float64(0, iop->first);
    flick_iiop_encode_end_chunk(8);
    for (_t58_array_iter = 0; _t58_array_iter < 50; _t58_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t58_array_iter].elem1);
        flick_cdr_encode_char8(4, iop->data[_t58_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(848);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1247);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t68_array_iter;
            flick_unsigned8_t _t69_array_iter;
            flick_unsigned8_t _t70_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.first);
            flick_iiop_decode_end_chunk(8);
            for (_t68_array_iter = 0; _t68_array_iter < 50; _t68_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t68_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, _return.data[_t68_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_swap_decode_float64(0, iop->first);
            flick_iiop_decode_end_chunk(8);
            for (_t69_array_iter = 0; _t69_array_iter < 50; _t69_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t69_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, iop->data[_t69_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_swap_decode_float64(0, outp->first);
            flick_iiop_decode_end_chunk(8);
            for (_t70_array_iter = 0; _t70_array_iter < 50; _t70_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t70_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, outp->data[_t70_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1247);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1247);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1247);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(1247);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t62_array_iter;
            flick_unsigned8_t _t63_array_iter;
            flick_unsigned8_t _t64_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            flick_iiop_decode_end_chunk(8);
            for (_t62_array_iter = 0; _t62_array_iter < 50; _t62_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t62_array_iter].elem1);
                flick_cdr_decode_char8(4, _return.data[_t62_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_decode_float64(0, iop->first);
            flick_iiop_decode_end_chunk(8);
            for (_t63_array_iter = 0; _t63_array_iter < 50; _t63_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t63_array_iter].elem1);
                flick_cdr_decode_char8(4, iop->data[_t63_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_decode_float64(0, outp->first);
            flick_iiop_decode_end_chunk(8);
            for (_t64_array_iter = 0; _t64_array_iter < 50; _t64_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t64_array_iter].elem1);
                flick_cdr_decode_char8(4, outp->data[_t64_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1247);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1247);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(1247);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t73_array_iter;
    flick_unsigned8_t _t74_array_iter;

    flick_iiop_encode_new_glob(830);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 's');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    flick_iiop_encode_end_chunk(22);
    for (_t73_array_iter = 0; _t73_array_iter < 50; _t73_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t73_array_iter].elem1);
        flick_cdr_encode_char8(4, inp->data[_t73_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(5);
    flick_cdr_encode_signed16(1, inp->last);
    flick_cdr_encode_signed16(3, iop->first);
    flick_iiop_encode_end_chunk(5);
    for (_t74_array_iter = 0; _t74_array_iter < 50; _t74_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t74_array_iter].elem1);
        flick_cdr_encode_char8(4, iop->data[_t74_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(3);
    flick_cdr_encode_signed16(1, iop->last);
    flick_iiop_encode_end_chunk(3);
    flick_iiop_encode_end_glob(830);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1219);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t84_array_iter;
            flick_unsigned8_t _t85_array_iter;
            flick_unsigned8_t _t86_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.first);
            flick_iiop_decode_end_chunk(2);
            for (_t84_array_iter = 0; _t84_array_iter < 50; _t84_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t84_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, _return.data[_t84_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed16(1, _return.last);
            flick_cdr_swap_decode_signed16(3, iop->first);
            flick_iiop_decode_end_chunk(5);
            for (_t85_array_iter = 0; _t85_array_iter < 50; _t85_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t85_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, iop->data[_t85_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed16(1, iop->last);
            flick_cdr_swap_decode_signed16(3, outp->first);
            flick_iiop_decode_end_chunk(5);
            for (_t86_array_iter = 0; _t86_array_iter < 50; _t86_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t86_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, outp->data[_t86_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_signed16(1, outp->last);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(1219);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1219);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1219);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(1219);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t78_array_iter;
            flick_unsigned8_t _t79_array_iter;
            flick_unsigned8_t _t80_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return.first);
            flick_iiop_decode_end_chunk(2);
            for (_t78_array_iter = 0; _t78_array_iter < 50; _t78_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t78_array_iter].elem1);
                flick_cdr_decode_char8(4, _return.data[_t78_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed16(1, _return.last);
            flick_cdr_decode_signed16(3, iop->first);
            flick_iiop_decode_end_chunk(5);
            for (_t79_array_iter = 0; _t79_array_iter < 50; _t79_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t79_array_iter].elem1);
                flick_cdr_decode_char8(4, iop->data[_t79_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed16(1, iop->last);
            flick_cdr_decode_signed16(3, outp->first);
            flick_iiop_decode_end_chunk(5);
            for (_t80_array_iter = 0; _t80_array_iter < 50; _t80_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t80_array_iter].elem1);
                flick_cdr_decode_char8(4, outp->data[_t80_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_signed16(1, outp->last);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(1219);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1219);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(1219);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t89_array_iter;
    flick_unsigned8_t _t90_array_iter;

    flick_iiop_encode_new_glob(846);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    flick_iiop_encode_end_chunk(21);
    for (_t89_array_iter = 0; _t89_array_iter < 50; _t89_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, inp->data[_t89_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t89_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_iiop_encode_end_chunk(9);
    for (_t90_array_iter = 0; _t90_array_iter < 50; _t90_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, iop->data[_t90_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t90_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, iop->last);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(846);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1243);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t100_array_iter;
            flick_unsigned8_t _t101_array_iter;
            flick_unsigned8_t _t102_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.first);
            flick_iiop_decode_end_chunk(1);
            for (_t100_array_iter = 0; _t100_array_iter < 50; _t100_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _return.data[_t100_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t100_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_cdr_swap_decode_char8(8, iop->first);
            flick_iiop_decode_end_chunk(9);
            for (_t101_array_iter = 0; _t101_array_iter < 50; _t101_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, iop->data[_t101_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t101_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            flick_iiop_decode_end_chunk(9);
            for (_t102_array_iter = 0; _t102_array_iter < 50; _t102_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, outp->data[_t102_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t102_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(1243);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1243);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1243);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(1243);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t94_array_iter;
            flick_unsigned8_t _t95_array_iter;
            flick_unsigned8_t _t96_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            flick_iiop_decode_end_chunk(1);
            for (_t94_array_iter = 0; _t94_array_iter < 50; _t94_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _return.data[_t94_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t94_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            flick_iiop_decode_end_chunk(9);
            for (_t95_array_iter = 0; _t95_array_iter < 50; _t95_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, iop->data[_t95_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t95_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->last);
            flick_cdr_decode_char8(8, outp->first);
            flick_iiop_decode_end_chunk(9);
            for (_t96_array_iter = 0; _t96_array_iter < 50; _t96_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, outp->data[_t96_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t96_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, outp->last);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(1243);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1243);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(1243);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t105_array_iter;
    flick_unsigned8_t _t106_array_iter;

    flick_iiop_encode_new_glob(849);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 'c');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_iiop_encode_end_chunk(8);
    for (_t105_array_iter = 0; _t105_array_iter < 50; _t105_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, inp->data[_t105_array_iter].elem1);
        flick_cdr_encode_signed32(4, inp->data[_t105_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_char8(0, inp->last);
    flick_cdr_encode_float64(8, iop->first);
    flick_iiop_encode_end_chunk(16);
    for (_t106_array_iter = 0; _t106_array_iter < 50; _t106_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, iop->data[_t106_array_iter].elem1);
        flick_cdr_encode_signed32(4, iop->data[_t106_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(849);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1249);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t116_array_iter;
            flick_unsigned8_t _t117_array_iter;
            flick_unsigned8_t _t118_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.first);
            flick_iiop_decode_end_chunk(8);
            for (_t116_array_iter = 0; _t116_array_iter < 50; _t116_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, _return.data[_t116_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, _return.data[_t116_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_cdr_swap_decode_float64(8, iop->first);
            flick_iiop_decode_end_chunk(16);
            for (_t117_array_iter = 0; _t117_array_iter < 50; _t117_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, iop->data[_t117_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, iop->data[_t117_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_cdr_swap_decode_float64(8, outp->first);
            flick_iiop_decode_end_chunk(16);
            for (_t118_array_iter = 0; _t118_array_iter < 50; _t118_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, outp->data[_t118_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, outp->data[_t118_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1249);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1249);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1249);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(1249);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t110_array_iter;
            flick_unsigned8_t _t111_array_iter;
            flick_unsigned8_t _t112_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            flick_iiop_decode_end_chunk(8);
            for (_t110_array_iter = 0; _t110_array_iter < 50; _t110_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, _return.data[_t110_array_iter].elem1);
                flick_cdr_decode_signed32(4, _return.data[_t110_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_char8(0, _return.last);
            flick_cdr_decode_float64(8, iop->first);
            flick_iiop_decode_end_chunk(16);
            for (_t111_array_iter = 0; _t111_array_iter < 50; _t111_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, iop->data[_t111_array_iter].elem1);
                flick_cdr_decode_signed32(4, iop->data[_t111_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_char8(0, iop->last);
            flick_cdr_decode_float64(8, outp->first);
            flick_iiop_decode_end_chunk(16);
            for (_t112_array_iter = 0; _t112_array_iter < 50; _t112_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, outp->data[_t112_array_iter].elem1);
                flick_cdr_decode_signed32(4, outp->data[_t112_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1249);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1249);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(1249);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t121_array_iter;
    flick_unsigned8_t _t122_array_iter;

    flick_iiop_encode_new_glob(828);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 's');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    flick_iiop_encode_end_chunk(22);
    for (_t121_array_iter = 0; _t121_array_iter < 50; _t121_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, inp->data[_t121_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
        flick_cdr_encode_signed32(0, inp->data[_t121_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_signed16(0, inp->last);
    flick_cdr_encode_signed16(2, iop->first);
    flick_iiop_encode_end_chunk(4);
    for (_t122_array_iter = 0; _t122_array_iter < 50; _t122_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, iop->data[_t122_array_iter].elem1);
        flick_cdr_encode_signed32(4, iop->data[_t122_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(2);
    flick_cdr_encode_signed16(0, iop->last);
    flick_iiop_encode_end_chunk(2);
    flick_iiop_encode_end_glob(828);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1216);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t132_array_iter;
            flick_unsigned8_t _t133_array_iter;
            flick_unsigned8_t _t134_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.first);
            flick_iiop_decode_end_chunk(2);
            for (_t132_array_iter = 0; _t132_array_iter < 50; _t132_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _return.data[_t132_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                flick_cdr_swap_decode_signed32(0, _return.data[_t132_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, _return.last);
            flick_cdr_swap_decode_signed16(2, iop->first);
            flick_iiop_decode_end_chunk(4);
            for (_t133_array_iter = 0; _t133_array_iter < 50; _t133_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, iop->data[_t133_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, iop->data[_t133_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, iop->last);
            flick_cdr_swap_decode_signed16(2, outp->first);
            flick_iiop_decode_end_chunk(4);
            for (_t134_array_iter = 0; _t134_array_iter < 50; _t134_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, outp->data[_t134_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, outp->data[_t134_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, outp->last);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(1216);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1216);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(1216);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(1216);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t126_array_iter;
            flick_unsigned8_t _t127_array_iter;
            flick_unsigned8_t _t128_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return.first);
            flick_iiop_decode_end_chunk(2);
            for (_t126_array_iter = 0; _t126_array_iter < 50; _t126_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _return.data[_t126_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                flick_cdr_decode_signed32(0, _return.data[_t126_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, _return.last);
            flick_cdr_decode_signed16(2, iop->first);
            flick_iiop_decode_end_chunk(4);
            for (_t127_array_iter = 0; _t127_array_iter < 50; _t127_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, iop->data[_t127_array_iter].elem1);
                flick_cdr_decode_signed32(4, iop->data[_t127_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, iop->last);
            flick_cdr_decode_signed16(2, outp->first);
            flick_iiop_decode_end_chunk(4);
            for (_t128_array_iter = 0; _t128_array_iter < 50; _t128_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, outp->data[_t128_array_iter].elem1);
                flick_cdr_decode_signed32(4, outp->data[_t128_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, outp->last);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(1216);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(1216);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(1216);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

