#include "unionplain_-client.h"

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.y);
        flick_iiop_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.y);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.y);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(3);
        flick_cdr_encode_signed16(1, _data->_u.y);
        flick_iiop_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(3);
        flick_cdr_decode_signed16(1, _data->_u.y);
        flick_iiop_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(3);
        flick_cdr_swap_decode_signed16(1, _data->_u.y);
        flick_iiop_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->_d);
  flick_iiop_encode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.a);
        flick_iiop_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_encode_new_chunk(6);
        flick_cdr_encode_signed32(2, _data->_u.b);
        flick_iiop_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.c);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->_d);
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.a);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_decode_new_chunk(6);
        flick_cdr_decode_signed32(2, _data->_u.b);
        flick_iiop_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.c);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo3_swap(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->_d);
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.a);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_decode_new_chunk(6);
        flick_cdr_swap_decode_signed32(2, _data->_u.b);
        flick_iiop_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.c);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_iiop_encode_new_glob(48);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(48);
        flick_cdr_encode_longstring(_data->_u.a, null_flick_free, iiop);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(4 + 4 * _data->_u.b._length);
        flick_cdr_encode_unsigned32(0, _data->_u.b._length);
        if (_data->_u.b._length > (unsigned int) 10)
          flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
        flick_cdr_encode_bcopy(4, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_iiop_encode_end_chunk(4 + 4 * _data->_u.b._length);
        flick_iiop_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.c);
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_iiop_decode_new_glob(48);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(48);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._maximum = _data->_u.b._length;
        if (_data->_u.b._length > (unsigned int) 10)
          flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_new_chunk(4 * _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_cdr_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_iiop_decode_end_chunk(4 * _data->_u.b._length);
        flick_iiop_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.c);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4_swap(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_iiop_decode_new_glob(48);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(48);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    case 2:
      {
        CORBA_unsigned_long _t1_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._maximum = _data->_u.b._length;
        if (_data->_u.b._length > (unsigned int) 10)
          flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
        flick_iiop_decode_end_chunk(4);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        for (_t1_array_iter = 0; _t1_array_iter < _data->_u.b._length; _t1_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.b._buffer[_t1_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.c);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_un_swap(flick_marshal_stream_t _stream, un *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

struct Foo un_one(un _obj, struct Foo2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct Foo _return;

  memset(&_return, 0, sizeof(struct Foo ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(13);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'n');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(12, a->_d);
    flick_iiop_encode_end_chunk(13);
    switch (a->_d)
      {
      case 'a':
        {
          flick_iiop_encode_new_chunk(7);
          flick_cdr_encode_signed32(3, a->_u.x);
          flick_iiop_encode_end_chunk(7);
          break;
        }
      case 'b':
        {
          flick_iiop_encode_new_chunk(3);
          flick_cdr_encode_signed16(1, a->_u.y);
          flick_iiop_encode_end_chunk(3);
          break;
        }
      case 'c':
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, a->_u.z);
          flick_iiop_encode_end_chunk(1);
          break;
        }
      default:
        {
          flick_corba_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
          break;
        }
      }
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return._d);
            flick_iiop_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _return._u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_swap_decode_signed16(0, _return._u.y);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return._u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return._d);
            flick_iiop_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _return._u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_decode_signed16(0, _return._u.y);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return._u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct Foo3 un_two(un _obj, struct Foo4 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct Foo3 _return;

  memset(&_return, 0, sizeof(struct Foo3 ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(60);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'w');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a->_d);
    flick_iiop_encode_end_chunk(16);
    switch (a->_d)
      {
      case 1:
        {
          flick_iiop_encode_end_glob(60);
          flick_cdr_encode_longstring(a->_u.a, null_flick_free, iiop);
          break;
        }
      case 2:
        {
          flick_iiop_encode_new_chunk(4 + 4 * a->_u.b._length);
          flick_cdr_encode_unsigned32(0, a->_u.b._length);
          if (a->_u.b._length > (unsigned int) 10)
            flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
          flick_cdr_encode_bcopy(4, a->_u.b._buffer, 4 * a->_u.b._length);
          flick_iiop_encode_end_chunk(4 + 4 * a->_u.b._length);
          flick_iiop_encode_end_glob(60);
          break;
        }
      default:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, a->_u.c);
          flick_iiop_encode_end_chunk(4);
          flick_iiop_encode_end_glob(60);
          break;
        }
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return._d);
            flick_iiop_decode_end_chunk(2);
            switch (_return._d)
              {
              case -1:
                {
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_swap_decode_signed16(0, _return._u.a);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              case 50:
                {
                  flick_iiop_decode_new_chunk(6);
                  flick_cdr_swap_decode_signed32(2, _return._u.b);
                  flick_iiop_decode_end_chunk(6);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return._u.c);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return._d);
            flick_iiop_decode_end_chunk(2);
            switch (_return._d)
              {
              case -1:
                {
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_decode_signed16(0, _return._u.a);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              case 50:
                {
                  flick_iiop_decode_new_chunk(6);
                  flick_cdr_decode_signed32(2, _return._u.b);
                  flick_iiop_decode_end_chunk(6);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return._u.c);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

