#include "enum_-client.h"

types Test_Enum(Test _obj, types a, types *b, types *c, CORBA_Environment *_ev)
{
  char _global_buf_start[120];
  void *_buf_end = (void *)&(_global_buf_start[120]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  types _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'E');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'm');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(48, a);
    flick_mach3mig_encode_unsigned32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t7_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t7_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t8_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t8_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t8_switch_tag)
            {
            case '$':
              {
                char _t9_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t9_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t9_switch_tag)
                  {
                  case 'E':
                    {
                      char _t10_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t10_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t10_switch_tag)
                        {
                        case 'n':
                          {
                            char _t11_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t11_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t11_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t12_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t12_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t12_switch_tag)
                                    {
                                    case 'm':
                                      {
                                        char _t13_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t13_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t13_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_unsigned32(0, _return);
                                                    flick_mach3mig_decode_unsigned32(8, *b);
                                                    flick_mach3mig_decode_unsigned32(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    flick_mach3mig_decode_end_glob(88);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_mach3mig_decode_end_glob(88);
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(88);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(88);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(88);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(88);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(88);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(88);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(88);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(88);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

