#include "mig-arrays-ool-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234002;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 16, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    _t1_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 234102:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234003;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 32, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    _t3_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 234103:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234004;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 64, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t5_switch_tag;

    _t5_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 234104:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234005;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 128, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    _t7_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t7_switch_tag)
      {
      case (signed int) 234105:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234006;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 256, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t9_switch_tag;

    _t9_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 234106:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234007;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 512, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t11_switch_tag;

    _t11_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 234107:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234008;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 1024, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t13_switch_tag;

    _t13_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t13_switch_tag)
      {
      case (signed int) 234108:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234009;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 2048, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    _t15_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t15_switch_tag)
      {
      case (signed int) 234109:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234010;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 4096, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t17_switch_tag;

    _t17_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t17_switch_tag)
      {
      case (signed int) 234110:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234011;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 8192, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t19_switch_tag;

    _t19_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t19_switch_tag)
      {
      case (signed int) 234111:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 234012;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 16384, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t21_switch_tag;

    _t21_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 234112:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

