#include "mig-types-server.h"

boolean_t types_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;

  flick_mach3mig_server_start_decode();
  {
    signed int _t56_switch_tag;

    _t56_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t56_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;
            mach_port_t _reply_port;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(92);
            flick_mach3mig_decode_new_chunk(92);
            flick_mach3mig_decode_char8(0, _char);
            flick_mach3mig_decode_signed8(8, _byte);
            flick_mach3mig_decode_boolean(16, _bool);
            flick_mach3mig_decode_signed8(24, _short8);
            flick_mach3mig_decode_signed16(32, _short16);
            flick_mach3mig_decode_signed32(40, _int);
            flick_mach3mig_decode_signed32(48, _long);
            flick_mach3mig_decode_signed32(56, _signed);
            flick_mach3mig_decode_signed32(64, _unsigned);
            flick_mach3mig_decode_float32(72, _float);
            flick_mach3mig_decode_float64(80, _double);
            flick_mach3mig_decode_end_chunk(92);
            flick_mach3mig_decode_end_glob(92);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 4440100;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;
            mach_port_t _reply_port;
            char _t57_storage;
            byte _t58_storage;
            bool _t59_storage;
            shortshort _t60_storage;
            short _t61_storage;
            int _t62_storage;
            long int _t63_storage;
            signed int _t64_storage;
            unsigned int _t65_storage;
            float _t66_storage;
            double _t67_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _char = &_t57_storage;
            _byte = &_t58_storage;
            _bool = &_t59_storage;
            _short8 = &_t60_storage;
            _short16 = &_t61_storage;
            _int = &_t62_storage;
            _long = &_t63_storage;
            _signed = &_t64_storage;
            _unsigned = &_t65_storage;
            _float = &_t66_storage;
            _double = &_t67_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 4440101;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(92);
                  flick_mach3mig_encode_new_chunk(92);
                  flick_mach3mig_encode_char8(0, *_char);
                  flick_mach3mig_encode_signed8(8, *_byte);
                  flick_mach3mig_encode_boolean(16, *_bool);
                  flick_mach3mig_encode_signed8(24, *_short8);
                  flick_mach3mig_encode_signed16(32, *_short16);
                  flick_mach3mig_encode_signed32(40, *_int);
                  flick_mach3mig_encode_signed32(48, *_long);
                  flick_mach3mig_encode_signed32(56, *_signed);
                  flick_mach3mig_encode_signed32(64, *_unsigned);
                  flick_mach3mig_encode_float32(72, *_float);
                  flick_mach3mig_encode_float64(80, *_double);
                  flick_mach3mig_encode_end_chunk(92);
                  flick_mach3mig_encode_end_glob(92);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t68_array_length;
            unsigned int _t70_array_length;
            unsigned int _t72_array_length;
            unsigned int _t74_array_length;
            unsigned int _t76_array_length;
            unsigned int _t78_array_length;
            unsigned int _t80_array_length;
            unsigned int _t82_array_length;
            unsigned int _t84_array_length;
            unsigned int _t86_array_length;
            unsigned int _t88_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(388);
            flick_mach3mig_array_decode_new_chunk(388);
            _t68_array_length = 9;
            flick_mach3mig_array_decode_char8_type(0, _t68_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _charA);
            _t70_array_length = 9;
            flick_mach3mig_array_decode_signed8_type(16, _t70_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(20, _byteA);
            _t72_array_length = 9;
            flick_mach3mig_array_decode_boolean_type(32, _t72_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(36, _boolA);
            _t74_array_length = 9;
            flick_mach3mig_array_decode_signed8_type(72, _t74_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(76, _short8A);
            _t76_array_length = 9;
            flick_mach3mig_array_decode_signed16_type(88, _t76_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(92, _short16A);
            _t78_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(112, _t78_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(116, _intA);
            _t80_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(152, _t80_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(156, _longA);
            _t82_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(192, _t82_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(196, _signedA);
            _t84_array_length = 9;
            flick_mach3mig_array_decode_signed32_type(232, _t84_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(236, _unsignedA);
            _t86_array_length = 9;
            flick_mach3mig_array_decode_float32_type(272, _t86_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(276, _floatA);
            _t88_array_length = 9;
            flick_mach3mig_array_decode_float64_type(312, _t88_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(316, _doubleA);
            flick_mach3mig_decode_end_chunk(388);
            flick_mach3mig_decode_end_glob(388);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 4440102;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;
            mach_port_t _reply_port;
            char _t91_storage[9];
            byte _t93_storage[9];
            bool _t95_storage[9];
            shortshort _t97_storage[9];
            short _t99_storage[9];
            int _t101_storage[9];
            long _t103_storage[9];
            signed _t105_storage[9];
            unsigned _t107_storage[9];
            float _t109_storage[9];
            double _t111_storage[9];

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _charA = _t91_storage;
            _byteA = _t93_storage;
            _boolA = _t95_storage;
            _short8A = _t97_storage;
            _short16A = _t99_storage;
            _intA = _t101_storage;
            _longA = _t103_storage;
            _signedA = _t105_storage;
            _unsignedA = _t107_storage;
            _floatA = _t109_storage;
            _doubleA = _t111_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 4440103;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(388);
                  flick_mach3mig_array_encode_new_chunk(388);
                  flick_mach3mig_array_encode_char8_type(0, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(4, _charA, 9);
                  flick_mach3mig_array_encode_signed8_type(16, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(20, _byteA, 9);
                  flick_mach3mig_array_encode_boolean_type(32, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(36, _boolA, 36);
                  flick_mach3mig_array_encode_signed8_type(72, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(76, _short8A, 9);
                  flick_mach3mig_array_encode_signed16_type(88, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(92, _short16A, 18);
                  flick_mach3mig_array_encode_signed32_type(112, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(116, _intA, 36);
                  flick_mach3mig_array_encode_signed32_type(152, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(156, _longA, 36);
                  flick_mach3mig_array_encode_signed32_type(192, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(196, _signedA, 36);
                  flick_mach3mig_array_encode_signed32_type(232, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(236, _unsignedA, 36);
                  flick_mach3mig_array_encode_float32_type(272, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(276, _floatA, 36);
                  flick_mach3mig_array_encode_float64_type(312, 9, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(316, _doubleA, 72);
                  flick_mach3mig_encode_end_chunk(388);
                  flick_mach3mig_encode_end_glob(388);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 1, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
