#include "sequence_-client.h"

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  char _global_buf_start[188];
  void *_buf_end = (void *)&(_global_buf_start[188]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_short _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(132);
    flick_mach3mig_encode_new_chunk(92 + 4 * a->_length);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'q');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'c');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 'r');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_signed32_type(88, a->_length, 1, 0, _type);
    if (a->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
    flick_mach3mig_array_encode_bcopy(92, a->_buffer, 4 * a->_length);
    flick_mach3mig_array_encode_end_chunk(92 + 4 * a->_length);
    flick_mach3mig_encode_end_glob(132);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t12_switch_tag;

    flick_mach3mig_decode_new_glob(156);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t12_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t13_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t13_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t13_switch_tag)
            {
            case '$':
              {
                char _t14_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t14_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t14_switch_tag)
                  {
                  case 'S':
                    {
                      char _t15_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t15_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t15_switch_tag)
                        {
                        case 'e':
                          {
                            char _t16_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t16_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t16_switch_tag)
                              {
                              case 'q':
                                {
                                  char _t17_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t17_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t18_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t18_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t19_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t19_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t20_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t20_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t21_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t21_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t22_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t22_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t22_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t23_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t23_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(12);
                                                                                  flick_mach3mig_decode_signed16(0, _return);
                                                                                  a->_maximum = a->_length;
                                                                                  flick_mach3mig_array_decode_signed32_type(8, a->_length, 1, 0, _type);
                                                                                  if (a->_length > (unsigned int) 10)
                                                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
                                                                                  flick_mach3mig_array_decode_end_chunk(12);
                                                                                  flick_mach3mig_array_decode_new_chunk(4 * a->_length);
                                                                                  a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
                                                                                  flick_mach3mig_array_decode_bcopy(0, a->_buffer, 4 * a->_length);
                                                                                  flick_mach3mig_array_decode_end_chunk(4 * a->_length);
                                                                                  flick_mach3mig_decode_end_glob(156);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(156);
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(156);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(156);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(156);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(156);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(156);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(156);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(156);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(156);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(156);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(156);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(156);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(156);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(156);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

