#include "atomic_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &Atomic_test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t Atomic_test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t88_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t88_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t88_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t89_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t89_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t89_switch_tag)
            {
            case 'S':
              {
                char _t90_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t90_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t90_switch_tag)
                  {
                  case 'h':
                    {
                      char _t91_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t91_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t91_switch_tag)
                        {
                        case 'o':
                          {
                            char _t92_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t92_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t92_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t93_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t93_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t93_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t94_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t94_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t94_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t95_ignore;
                                                CORBA_short _t96_storage;
                                                CORBA_short _t97_storage;
                                                CORBA_Environment _t98_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t95_ignore);
                                                flick_xdr_decode_unsigned32(4, _t95_ignore);
                                                flick_xdr_decode_unsigned32(8, _t95_ignore);
                                                flick_xdr_decode_unsigned32(12, _t95_ignore);
                                                flick_xdr_decode_signed16(16, _local_a);
                                                _local_b = &_t96_storage;
                                                flick_xdr_decode_signed16(20, *_local_b);
                                                _local_c = &_t97_storage;
                                                _ev = &_t98_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_signed16(0, _return);
                                                      flick_xdr_encode_signed16(4, *_local_b);
                                                      flick_xdr_encode_signed16(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t99_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t99_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t99_switch_tag)
                  {
                  case 'L':
                    {
                      char _t100_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t100_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t100_switch_tag)
                        {
                        case 'o':
                          {
                            char _t101_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t101_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t101_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t102_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t102_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t102_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t103_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t103_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t103_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                unsigned int _t104_ignore;
                                                CORBA_unsigned_long _t105_storage;
                                                CORBA_unsigned_long _t106_storage;
                                                CORBA_Environment _t107_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t104_ignore);
                                                flick_xdr_decode_unsigned32(4, _t104_ignore);
                                                flick_xdr_decode_unsigned32(8, _t104_ignore);
                                                flick_xdr_decode_unsigned32(12, _t104_ignore);
                                                flick_xdr_decode_unsigned32(16, _local_a);
                                                _local_b = &_t105_storage;
                                                flick_xdr_decode_unsigned32(20, *_local_b);
                                                _local_c = &_t106_storage;
                                                _ev = &_t107_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned32(0, _return);
                                                      flick_xdr_encode_unsigned32(4, *_local_b);
                                                      flick_xdr_encode_unsigned32(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t108_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t108_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t108_switch_tag)
                  {
                  case 'l':
                    {
                      char _t109_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t109_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t109_switch_tag)
                        {
                        case 'o':
                          {
                            char _t110_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t110_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t110_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t111_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t111_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t111_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t112_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t112_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t112_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t113_ignore;
                                                CORBA_float _t114_storage;
                                                CORBA_float _t115_storage;
                                                CORBA_Environment _t116_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t113_ignore);
                                                flick_xdr_decode_unsigned32(4, _t113_ignore);
                                                flick_xdr_decode_unsigned32(8, _t113_ignore);
                                                flick_xdr_decode_unsigned32(12, _t113_ignore);
                                                flick_xdr_decode_float32(16, _local_a);
                                                _local_b = &_t114_storage;
                                                flick_xdr_decode_float32(20, *_local_b);
                                                _local_c = &_t115_storage;
                                                _ev = &_t116_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_float32(0, _return);
                                                      flick_xdr_encode_float32(4, *_local_b);
                                                      flick_xdr_encode_float32(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t117_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t117_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t117_switch_tag)
                  {
                  case 'c':
                    {
                      char _t118_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t118_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t118_switch_tag)
                        {
                        case 't':
                          {
                            char _t119_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t119_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t119_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t120_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t120_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t120_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t121_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t121_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t121_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                unsigned int _t122_ignore;
                                                CORBA_octet _t123_storage;
                                                CORBA_octet _t124_storage;
                                                CORBA_Environment _t125_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t122_ignore);
                                                flick_xdr_decode_unsigned32(4, _t122_ignore);
                                                flick_xdr_decode_unsigned32(8, _t122_ignore);
                                                flick_xdr_decode_unsigned32(12, _t122_ignore);
                                                flick_xdr_decode_unsigned8(16, _local_a);
                                                _local_b = &_t123_storage;
                                                flick_xdr_decode_unsigned8(20, *_local_b);
                                                _local_c = &_t124_storage;
                                                _ev = &_t125_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned8(0, _return);
                                                      flick_xdr_encode_unsigned8(4, *_local_b);
                                                      flick_xdr_encode_unsigned8(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t126_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t126_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t126_switch_tag)
            {
            case 'L':
              {
                char _t127_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t127_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t127_switch_tag)
                  {
                  case 'o':
                    {
                      char _t128_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t128_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t128_switch_tag)
                        {
                        case 'n':
                          {
                            char _t129_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t129_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t129_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t130_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t130_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t130_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t131_ignore;
                                          CORBA_long _t132_storage;
                                          CORBA_long _t133_storage;
                                          CORBA_Environment _t134_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t131_ignore);
                                          flick_xdr_decode_unsigned32(4, _t131_ignore);
                                          flick_xdr_decode_unsigned32(8, _t131_ignore);
                                          flick_xdr_decode_unsigned32(12, _t131_ignore);
                                          flick_xdr_decode_signed32(16, _local_a);
                                          _local_b = &_t132_storage;
                                          flick_xdr_decode_signed32(20, *_local_b);
                                          _local_c = &_t133_storage;
                                          _ev = &_t134_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_xdr_encode_signed32(4, *_local_b);
                                                flick_xdr_encode_signed32(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                flick_suntcp_encode_end_glob(16);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(16);
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(16);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t135_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t135_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t135_switch_tag)
                  {
                  case 'h':
                    {
                      char _t136_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t136_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t136_switch_tag)
                        {
                        case 'a':
                          {
                            char _t137_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t137_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t137_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t138_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t138_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t138_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          unsigned int _t139_ignore;
                                          CORBA_char _t140_storage;
                                          CORBA_char _t141_storage;
                                          CORBA_Environment _t142_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t139_ignore);
                                          flick_xdr_decode_unsigned32(4, _t139_ignore);
                                          flick_xdr_decode_unsigned32(8, _t139_ignore);
                                          flick_xdr_decode_unsigned32(12, _t139_ignore);
                                          flick_xdr_decode_char8(16, _local_a);
                                          _local_b = &_t140_storage;
                                          flick_xdr_decode_char8(20, *_local_b);
                                          _local_c = &_t141_storage;
                                          _ev = &_t142_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_char8(0, _return);
                                                flick_xdr_encode_char8(4, *_local_b);
                                                flick_xdr_encode_char8(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                flick_suntcp_encode_end_glob(16);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(16);
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(16);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t143_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t143_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t143_switch_tag)
            {
            case 'U':
              {
                char _t144_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t144_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t144_switch_tag)
                  {
                  case 'S':
                    {
                      char _t145_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t145_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t145_switch_tag)
                        {
                        case 'h':
                          {
                            char _t146_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t146_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t146_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t147_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t147_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t147_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t148_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t148_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t148_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t149_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t149_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t149_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      unsigned int _t150_ignore;
                                                      CORBA_unsigned_short _t151_storage;
                                                      CORBA_unsigned_short _t152_storage;
                                                      CORBA_Environment _t153_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(24);
                                                      flick_xdr_decode_unsigned32(0, _t150_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t150_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t150_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t150_ignore);
                                                      flick_xdr_decode_unsigned16(16, _local_a);
                                                      _local_b = &_t151_storage;
                                                      flick_xdr_decode_unsigned16(20, *_local_b);
                                                      _local_c = &_t152_storage;
                                                      _ev = &_t153_storage;
                                                      flick_suntcp_decode_end_chunk(24);
                                                      flick_suntcp_decode_end_glob(64);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(16);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(12);
                                                            flick_xdr_encode_unsigned16(0, _return);
                                                            flick_xdr_encode_unsigned16(4, *_local_b);
                                                            flick_xdr_encode_unsigned16(8, *_local_c);
                                                            flick_suntcp_encode_end_chunk(12);
                                                            flick_suntcp_encode_end_glob(16);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(16);
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(16);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t154_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t154_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t154_switch_tag)
                  {
                  case 'o':
                    {
                      char _t155_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t155_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t155_switch_tag)
                        {
                        case 'u':
                          {
                            char _t156_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t156_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t156_switch_tag)
                              {
                              case 'b':
                                {
                                  char _t157_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t157_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t157_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t158_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t158_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t158_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t159_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t159_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t159_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      CORBA_double _local_a;
                                                      CORBA_double *_local_b;
                                                      CORBA_double *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_double _return = 0.000000;
                                                      unsigned int _t160_ignore;
                                                      CORBA_double _t161_storage;
                                                      CORBA_double _t162_storage;
                                                      CORBA_Environment _t163_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(32);
                                                      flick_xdr_decode_unsigned32(0, _t160_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t160_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t160_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t160_ignore);
                                                      flick_xdr_decode_float64(16, _local_a);
                                                      _local_b = &_t161_storage;
                                                      flick_xdr_decode_float64(24, *_local_b);
                                                      _local_c = &_t162_storage;
                                                      _ev = &_t163_storage;
                                                      flick_suntcp_decode_end_chunk(32);
                                                      flick_suntcp_decode_end_glob(64);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(28);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(24);
                                                            flick_xdr_encode_float64(0, _return);
                                                            flick_xdr_encode_float64(8, *_local_b);
                                                            flick_xdr_encode_float64(16, *_local_c);
                                                            flick_suntcp_encode_end_chunk(24);
                                                            flick_suntcp_encode_end_glob(28);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(28);
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(28);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t164_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t164_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t164_switch_tag)
            {
            case 'B':
              {
                char _t165_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t165_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t165_switch_tag)
                  {
                  case 'o':
                    {
                      char _t166_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t166_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t166_switch_tag)
                        {
                        case 'o':
                          {
                            char _t167_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t167_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t167_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t168_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t168_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t168_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t169_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t169_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t169_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t170_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t170_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t170_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t171_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t171_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t171_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Atomic_test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            unsigned int _t172_ignore;
                                                            CORBA_boolean _t173_storage;
                                                            CORBA_boolean _t174_storage;
                                                            CORBA_Environment _t175_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t172_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t172_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t172_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t172_ignore);
                                                            flick_xdr_decode_unsigned8(16, _local_a);
                                                            _local_b = &_t173_storage;
                                                            flick_xdr_decode_unsigned8(20, *_local_b);
                                                            _local_c = &_t174_storage;
                                                            _ev = &_t175_storage;
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(64);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(16);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(12);
                                                                  flick_xdr_encode_unsigned8(0, _return);
                                                                  flick_xdr_encode_unsigned8(4, *_local_b);
                                                                  flick_xdr_encode_unsigned8(8, *_local_c);
                                                                  flick_suntcp_encode_end_chunk(12);
                                                                  flick_suntcp_encode_end_glob(16);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(16);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(16);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
