#include "complex-1-client.h"

void flick_marshal_stub_sexnage(flick_marshal_stream_t _stream, const struct sexnage *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->sex);
  flick_xdr_encode_float32(4, _data->age);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->sex);
  flick_xdr_decode_float32(4, _data->age);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_xdr_encode_string(_data->name, null_flick_free, suntcp, 50);
  flick_suntcp_encode_new_glob(23);
  flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->zip);
  flick_xdr_encode_char8(4, _data->a);
  flick_xdr_encode_signed32(8, _data->ssn);
  flick_xdr_encode_char8(12, _data->sa.sex);
  flick_xdr_encode_float32(16, _data->sa.age);
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(23);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_xdr_decode_string(_data->name, sun_flick_alloc, suntcp, 50);
  flick_suntcp_decode_new_glob(23);
  flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->zip);
  flick_xdr_decode_char8(4, _data->a);
  flick_xdr_decode_signed32(8, _data->ssn);
  flick_xdr_decode_char8(12, _data->sa.sex);
  flick_xdr_decode_float32(16, _data->sa.age);
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(23);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned int _t0_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->people_len);
  if (_data->people_len > (unsigned int) 70000)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_xdr_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, suntcp, 50);
      flick_suntcp_encode_new_glob(23);
      flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
      flick_xdr_encode_signed32(0, _data->people_val[_t0_array_iter].zip);
      flick_xdr_encode_char8(4, _data->people_val[_t0_array_iter].a);
      flick_xdr_encode_signed32(8, _data->people_val[_t0_array_iter].ssn);
      flick_xdr_encode_char8(12, _data->people_val[_t0_array_iter].sa.sex);
      flick_xdr_encode_float32(16, _data->people_val[_t0_array_iter].sa.age);
      flick_suntcp_encode_end_chunk(20);
      flick_suntcp_encode_end_glob(23);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t1_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->people_len);
  if (_data->people_len > (unsigned int) 70000)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_xdr_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, suntcp, 50);
      flick_suntcp_decode_new_glob(23);
      flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
      flick_xdr_decode_signed32(0, _data->people_val[_t1_array_iter].zip);
      flick_xdr_decode_char8(4, _data->people_val[_t1_array_iter].a);
      flick_xdr_decode_signed32(8, _data->people_val[_t1_array_iter].ssn);
      flick_xdr_decode_char8(12, _data->people_val[_t1_array_iter].sa.sex);
      flick_xdr_decode_float32(16, _data->people_val[_t1_array_iter].sa.age);
      flick_suntcp_decode_end_chunk(20);
      flick_suntcp_decode_end_glob(23);
    }
}

double *op_2(people *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  double *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned int _t3_array_iter;

    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, arg->people_len);
    if (arg->people_len > (unsigned int) 70000)
      flick_sun_encode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
    for (_t3_array_iter = 0; _t3_array_iter < arg->people_len; _t3_array_iter++)
      {
        flick_xdr_encode_string(arg->people_val[_t3_array_iter].name, null_flick_free, suntcp, 50);
        flick_suntcp_encode_new_glob(23);
        flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
        flick_xdr_encode_signed32(0, arg->people_val[_t3_array_iter].zip);
        flick_xdr_encode_char8(4, arg->people_val[_t3_array_iter].a);
        flick_xdr_encode_signed32(8, arg->people_val[_t3_array_iter].ssn);
        flick_xdr_encode_char8(12, arg->people_val[_t3_array_iter].sa.sex);
        flick_xdr_encode_float32(16, arg->people_val[_t3_array_iter].sa.age);
        flick_suntcp_encode_end_chunk(20);
        flick_suntcp_encode_end_glob(23);
      }
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t5_storage;

            _return = &_t5_storage;
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, *_return);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(12);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

