#include "ez2_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_a;
	s.vers_num = _VERS_a;

	reg_success = flick_server_register(s, &a_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t6_switch_tag;

    flick_suntcp_decode_new_glob(32);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t6_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t6_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t7_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t7_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t7_switch_tag)
            {
            case 'o':
              {
                char _t8_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t8_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t8_switch_tag)
                  {
                  case 'p':
                    {
                      char _t9_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t9_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t9_switch_tag)
                        {
                        case 0:
                          {
                            {
                              a _obj;
                              CORBA_char *_local_s;
                              CORBA_Environment *_ev;
                              CORBA_char _return = 0;
                              unsigned int _t10_ignore;
                              CORBA_Environment _t11_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(16);
                              flick_xdr_decode_unsigned32(0, _t10_ignore);
                              flick_xdr_decode_unsigned32(4, _t10_ignore);
                              flick_xdr_decode_unsigned32(8, _t10_ignore);
                              flick_xdr_decode_unsigned32(12, _t10_ignore);
                              flick_suntcp_decode_end_chunk(16);
                              flick_suntcp_decode_end_glob(32);
                              flick_xdr_decode_auto_string(_local_s, auto_flick_alloc, suntcp);
                              _ev = &_t11_storage;
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = a_op(_obj, _local_s, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_char8(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    flick_suntcp_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_suntcp_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                    flick_suntcp_encode_end_glob(8);
                                  }
                                }
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(32);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
