#include "optional-5-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = prog;
	s.vers_num = vers;

	reg_success = flick_server_register(s, &prog_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, const opt_int *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t0_array_len);
  flick_suntcp_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, **_data);
      flick_suntcp_encode_end_chunk(4);
    }
  else
    {
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t1_array_len;

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t1_array_len);
  flick_suntcp_decode_end_chunk(4);
  if (_t1_array_len)
    {
      *_data = sun_flick_alloc(_t1_array_len * sizeof(int ));
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, **_data);
      flick_suntcp_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_suntcp_decode_end_glob(8);
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t6_switch_tag;

    flick_suntcp_decode_new_glob(28);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t6_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 1:
        {
          {
            opt_int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t7_ignore;
            opt_int _t8_storage;
            flick_unsigned8_t _t9_array_len;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t7_ignore);
            flick_xdr_decode_unsigned32(4, _t7_ignore);
            flick_xdr_decode_unsigned32(8, _t7_ignore);
            flick_xdr_decode_unsigned32(12, _t7_ignore);
            _local_arg = &_t8_storage;
            flick_xdr_decode_unsigned32(16, _t9_array_len);
            flick_suntcp_decode_end_chunk(20);
            if (_t9_array_len)
              {
                *_local_arg = sun_flick_alloc(_t9_array_len * sizeof(int ));
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, **_local_arg);
                flick_suntcp_decode_end_chunk(4);
              }
            else
              {
                *_local_arg = 0;
              }
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
