#include "ttcp-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->xx);
  flick_xdr_encode_signed32(4, _data->yy);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->xx);
  flick_xdr_decode_signed32(4, _data->yy);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->x.xx);
  flick_xdr_encode_signed32(4, _data->x.yy);
  flick_xdr_encode_signed32(8, _data->y.xx);
  flick_xdr_encode_signed32(12, _data->y.yy);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->x.xx);
  flick_xdr_decode_signed32(4, _data->x.yy);
  flick_xdr_decode_signed32(8, _data->y.xx);
  flick_xdr_decode_signed32(12, _data->y.yy);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx);
      flick_xdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy);
      flick_xdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx);
      flick_xdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy);
      flick_suntcp_encode_end_chunk(16);
    }
  flick_suntcp_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_xdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_xdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_xdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->baloney);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->baloney);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_long ttcp_inttest(ttcp _obj, intBuffer *data, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t5_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'i');
    flick_xdr_encode_char8(8, 'n');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, 'e');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, data->_length);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
    flick_suntcp_encode_new_glob(4 * data->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t5_array_iter = 0; _t5_array_iter < data->_length; _t5_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, data->_buffer[_t5_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * data->_length);
    flick_xdr_encode_bcopy(0, data->_buffer, 4 * data->_length);
    flick_suntcp_encode_end_chunk(4 * data->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * data->_length);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(76);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(76);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(76);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t57_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t57_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t57_switch_tag)
              {
              case (unsigned int) 16:
                {
                  char _t58_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t58_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t58_switch_tag)
                    {
                    case 'I':
                      {
                        char _t59_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t59_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t59_switch_tag)
                          {
                          case 'D':
                            {
                              char _t60_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t60_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t60_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t61_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t61_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t61_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t62_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t62_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t62_switch_tag)
                                            {
                                            case 'u':
                                              {
                                                char _t63_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t63_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t63_switch_tag)
                                                  {
                                                  case 's':
                                                    {
                                                      char _t64_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t64_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t64_switch_tag)
                                                        {
                                                        case 'e':
                                                          {
                                                            char _t65_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t65_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t65_switch_tag)
                                                              {
                                                              case 'l':
                                                                {
                                                                  char _t66_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t66_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t66_switch_tag)
                                                                    {
                                                                    case 'e':
                                                                      {
                                                                        char _t67_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t67_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t67_switch_tag)
                                                                          {
                                                                          case 's':
                                                                            {
                                                                              char _t68_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t68_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t68_switch_tag)
                                                                                {
                                                                                case 's':
                                                                                  {
                                                                                    char _t69_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t69_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t69_switch_tag)
                                                                                      {
                                                                                      case ':':
                                                                                        {
                                                                                          char _t70_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t70_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t70_switch_tag)
                                                                                            {
                                                                                            case '1':
                                                                                              {
                                                                                                char _t71_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t71_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t71_switch_tag)
                                                                                                  {
                                                                                                  case '.':
                                                                                                    {
                                                                                                      char _t72_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t72_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t72_switch_tag)
                                                                                                        {
                                                                                                        case '0':
                                                                                                          {
                                                                                                            char _t73_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t73_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t73_switch_tag)
                                                                                                              {
                                                                                                              case 0:
                                                                                                                {
                                                                                                                  _ev->_id = "IDL:useless:1.0";
                                                                                                                  (useless *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(useless ));
                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_signed32(0, ((useless *)(_ev->_value._user_except))->baloney);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  break;
                }
              }
            flick_suntcp_decode_end_glob(76);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ttcp_structtest(ttcp _obj, structBuffer *data, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    CORBA_unsigned_long _t75_array_iter;

    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 's');
    flick_xdr_encode_char8(8, 't');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'u');
    flick_xdr_encode_char8(20, 'c');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 's');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, data->_length);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    flick_suntcp_encode_new_glob(16 * data->_length);
    for (_t75_array_iter = 0; _t75_array_iter < data->_length; _t75_array_iter++)
      {
        flick_suntcp_encode_new_chunk(16);
        flick_xdr_encode_signed32(0, data->_buffer[_t75_array_iter].x.xx);
        flick_xdr_encode_signed32(4, data->_buffer[_t75_array_iter].x.yy);
        flick_xdr_encode_signed32(8, data->_buffer[_t75_array_iter].y.xx);
        flick_xdr_encode_signed32(12, data->_buffer[_t75_array_iter].y.yy);
        flick_suntcp_encode_end_chunk(16);
      }
    flick_suntcp_encode_end_glob(16 * data->_length);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(76);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(76);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(76);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t127_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t127_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t127_switch_tag)
              {
              case (unsigned int) 16:
                {
                  char _t128_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t128_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t128_switch_tag)
                    {
                    case 'I':
                      {
                        char _t129_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t129_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t129_switch_tag)
                          {
                          case 'D':
                            {
                              char _t130_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t130_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t130_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t131_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t131_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t131_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t132_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t132_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t132_switch_tag)
                                            {
                                            case 'u':
                                              {
                                                char _t133_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t133_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t133_switch_tag)
                                                  {
                                                  case 's':
                                                    {
                                                      char _t134_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t134_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t134_switch_tag)
                                                        {
                                                        case 'e':
                                                          {
                                                            char _t135_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t135_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t135_switch_tag)
                                                              {
                                                              case 'l':
                                                                {
                                                                  char _t136_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t136_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t136_switch_tag)
                                                                    {
                                                                    case 'e':
                                                                      {
                                                                        char _t137_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t137_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t137_switch_tag)
                                                                          {
                                                                          case 's':
                                                                            {
                                                                              char _t138_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t138_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t138_switch_tag)
                                                                                {
                                                                                case 's':
                                                                                  {
                                                                                    char _t139_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t139_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t139_switch_tag)
                                                                                      {
                                                                                      case ':':
                                                                                        {
                                                                                          char _t140_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t140_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t140_switch_tag)
                                                                                            {
                                                                                            case '1':
                                                                                              {
                                                                                                char _t141_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t141_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t141_switch_tag)
                                                                                                  {
                                                                                                  case '.':
                                                                                                    {
                                                                                                      char _t142_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t142_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t142_switch_tag)
                                                                                                        {
                                                                                                        case '0':
                                                                                                          {
                                                                                                            char _t143_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t143_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t143_switch_tag)
                                                                                                              {
                                                                                                              case 0:
                                                                                                                {
                                                                                                                  _ev->_id = "IDL:useless:1.0";
                                                                                                                  (useless *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(useless ));
                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_signed32(0, ((useless *)(_ev->_value._user_except))->baloney);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  break;
                }
              }
            flick_suntcp_decode_end_glob(76);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

