#include "union2-client.h"

void flick_marshal_stub_FooDisc(flick_marshal_stream_t _stream, const FooDisc *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_FooDisc(flick_marshal_stream_t _stream, FooDisc *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    case 1:
      {
        flick_suntcp_encode_end_glob(8);
        flick_xdr_encode_longstring(_data->_u.y, null_flick_free, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    case 1:
      {
        flick_suntcp_decode_end_glob(8);
        flick_xdr_decode_longstring(_data->_u.y, CORBA_flick_alloc, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    }
}

void flick_marshal_stub_Bar_BarDisc(flick_marshal_stream_t _stream, const Bar_BarDisc *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Bar_BarDisc(flick_marshal_stream_t _stream, Bar_BarDisc *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_Bar_Foo(flick_marshal_stream_t _stream, const struct Bar_Foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.y);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Bar_Foo(flick_marshal_stream_t _stream, struct Bar_Foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.y);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->kind);
  flick_xdr_encode_unsigned32(4, _data->addr._d);
  flick_suntcp_encode_end_chunk(8);
  switch (_data->addr._d)
    {
    case 0:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->addr._u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->addr._u.y);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->kind);
  flick_xdr_decode_unsigned32(4, _data->addr._d);
  flick_suntcp_decode_end_chunk(8);
  switch (_data->addr._d)
    {
    case 0:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->addr._u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->addr._u.y);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_end_glob(12);
}

