#ifndef _arrays_client_h_
#define _arrays_client_h_

#define FLICK_PROTOCOL_TRAPEZE
#include <flick/link/trapeze.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___end
#define _typedef___end
typedef struct end {
  CORBA_long elem1;
  CORBA_char elem2;
} end;
#endif /* _typedef___end */

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data);

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data);

#ifndef _typedef___begin
#define _typedef___begin
typedef struct begin {
  CORBA_char elem1;
  CORBA_long elem2;
} begin;
#endif /* _typedef___begin */

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data);

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data);

#ifndef _typedef___cLd
#define _typedef___cLd
typedef struct cLd {
  CORBA_char first;
  CORBA_long data[50];
  CORBA_double last;
} cLd;
#endif /* _typedef___cLd */

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data);

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data);

#ifndef _typedef___dLc
#define _typedef___dLc
typedef struct dLc {
  CORBA_double first;
  CORBA_long data[50];
  CORBA_char last;
} dLc;
#endif /* _typedef___dLc */

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data);

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data);

#ifndef _typedef___sLs
#define _typedef___sLs
typedef struct sLs {
  CORBA_short first;
  CORBA_long data[50];
  CORBA_short last;
} sLs;
#endif /* _typedef___sLs */

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data);

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data);

#ifndef _typedef___cLCd
#define _typedef___cLCd
typedef struct cLCd {
  CORBA_char first;
  struct end data[50];
  CORBA_double last;
} cLCd;
#endif /* _typedef___cLCd */

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data);

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data);

#ifndef _typedef___dLCc
#define _typedef___dLCc
typedef struct dLCc {
  CORBA_double first;
  struct end data[50];
  CORBA_char last;
} dLCc;
#endif /* _typedef___dLCc */

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data);

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data);

#ifndef _typedef___sLCs
#define _typedef___sLCs
typedef struct sLCs {
  CORBA_short first;
  struct end data[50];
  CORBA_short last;
} sLCs;
#endif /* _typedef___sLCs */

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data);

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data);

#ifndef _typedef___cCLd
#define _typedef___cCLd
typedef struct cCLd {
  CORBA_char first;
  struct begin data[50];
  CORBA_double last;
} cCLd;
#endif /* _typedef___cCLd */

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data);

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data);

#ifndef _typedef___dCLc
#define _typedef___dCLc
typedef struct dCLc {
  CORBA_double first;
  struct begin data[50];
  CORBA_char last;
} dCLc;
#endif /* _typedef___dCLc */

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data);

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data);

#ifndef _typedef___sCLs
#define _typedef___sCLs
typedef struct sCLs {
  CORBA_short first;
  struct begin data[50];
  CORBA_short last;
} sCLs;
#endif /* _typedef___sCLs */

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data);

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data);

#ifndef _typedef___arrays
#define _typedef___arrays
typedef CORBA_Object arrays;
#endif /* _typedef___arrays */

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data);

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data);

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev);

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev);

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev);

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev);

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev);

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev);

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev);

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev);

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev);

#endif /* _arrays_client_h_ */
