#include "constant-client.h"

M_A_N M_A_foo(M_A _obj, M_A_N x, M_A_N *y, M_A_N *z, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  M_A_N _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, x);
    flick_cdr_encode_unsigned32(12, *z);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(24);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *y);
            flick_cdr_decode_unsigned32(8, *z);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            unsigned int _t24_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t24_switch_tag)
              {
              case (unsigned int) 14:
                {
                  unsigned int _t25_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t25_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t25_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t26_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t26_switch_tag)
                          {
                          case /* M/A/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                            {
                              unsigned int _t27_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t27_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t27_switch_tag)
                                {
                                case /* E:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                  {
                                    unsigned short int _t28_switch_tag;

                                    flick_trapeze_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t28_switch_tag);
                                    flick_trapeze_decode_end_chunk(2);
                                    switch ((unsigned short int )_t28_switch_tag)
                                      {
                                      case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                        {
                                          _ev->_id = "IDL:M/A/E:1.0";
                                          (M_A_E *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(M_A_E ));
                                          flick_trapeze_decode_new_chunk(2);
                                          flick_cdr_decode_signed16(0, ((M_A_E *)(_ev->_value._user_except))->cause);
                                          flick_trapeze_decode_end_chunk(2);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 10:
                {
                  unsigned int _t29_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t29_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t29_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t30_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t30_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t30_switch_tag)
                          {
                          case /* F:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                            {
                              unsigned short int _t31_switch_tag;

                              flick_trapeze_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t31_switch_tag);
                              flick_trapeze_decode_end_chunk(2);
                              switch ((unsigned short int )_t31_switch_tag)
                                {
                                case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                  {
                                    _ev->_id = "IDL:F:1.0";
                                    (F *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(F ));
                                    flick_trapeze_decode_new_chunk(6);
                                    flick_cdr_decode_signed32(2, ((F *)(_ev->_value._user_except))->type);
                                    flick_trapeze_decode_end_chunk(6);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
          }
        }
      flick_trapeze_decode_end_glob(24);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

