#include "mig-types-client.h"

kern_return_t snd(mach_port_t target, char _char, byte _byte, bool _bool, shortshort _short8, short _short16, int _int, long int _long, signed int _signed, unsigned int _unsigned, float _float, double _double)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(48);
    flick_trapeze_encode_new_chunk(36);
    flick_cdr_encode_signed32(0, 4440000);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, _char);
    flick_cdr_encode_signed8(9, _byte);
    flick_cdr_encode_unsigned8(10, _bool);
    flick_cdr_encode_signed8(11, _short8);
    flick_cdr_encode_signed16(12, _short16);
    flick_cdr_encode_signed32(16, _int);
    flick_cdr_encode_signed32(20, _long);
    flick_cdr_encode_signed32(24, _signed);
    flick_cdr_encode_signed32(28, _unsigned);
    flick_cdr_encode_float32(32, _float);
    flick_trapeze_encode_end_chunk(36);
    flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, _double);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(48);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t rcv(mach_port_t target, char *_char, byte *_byte, bool *_bool, shortshort *_short8, short *_short16, int *_int, long int *_long, signed int *_signed, unsigned int *_unsigned, float *_float, double *_double)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440001);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(44);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(28);
            flick_cdr_decode_char8(0, *_char);
            flick_cdr_decode_signed8(1, *_byte);
            flick_cdr_decode_unsigned8(2, *_bool);
            flick_cdr_decode_signed8(3, *_short8);
            flick_cdr_decode_signed16(4, *_short16);
            flick_cdr_decode_signed32(8, *_int);
            flick_cdr_decode_signed32(12, *_long);
            flick_cdr_decode_signed32(16, *_signed);
            flick_cdr_decode_signed32(20, *_unsigned);
            flick_cdr_decode_float32(24, *_float);
            flick_trapeze_decode_end_chunk(28);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_double);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(44);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t sndArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    char *_t11_internal;
    byte *_t12_internal;
    bool *_t13_internal;
    shortshort *_t14_internal;
    short *_t15_internal;
    int *_t16_internal;
    long *_t17_internal;
    signed *_t18_internal;
    unsigned *_t19_internal;
    float *_t20_internal;
    double *_t21_internal;

    flick_trapeze_encode_new_glob(100);
    flick_trapeze_encode_new_chunk(100);
    flick_cdr_encode_signed32(0, 4440002);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    _t11_internal = (char *)_charA;
    flick_cdr_encode_bcopy(8, _t11_internal, 9);
    _t12_internal = (byte *)_byteA;
    flick_cdr_encode_bcopy(17, _t12_internal, 9);
    _t13_internal = (bool *)_boolA;
    flick_cdr_encode_bcopy(26, _t13_internal, 9);
    _t14_internal = (shortshort *)_short8A;
    flick_cdr_encode_bcopy(35, _t14_internal, 9);
    _t15_internal = (short *)_short16A;
    flick_cdr_encode_bcopy(44, _t15_internal, 18);
    _t16_internal = (int *)_intA;
    flick_cdr_encode_bcopy(64, _t16_internal, 36);
    _t17_internal = (long *)_longA;
    flick_trapeze_encode_end_chunk(100);
    flick_trapeze_encode_end_glob(100);
    flick_trapeze_encode_new_glob(36);
    flick_trapeze_encode_new_chunk(36);
    flick_cdr_encode_bcopy(0, _t17_internal, 36);
    _t18_internal = (signed *)_signedA;
    flick_trapeze_client_encode_array(_t18_internal, 4 * 9);
    _t19_internal = (unsigned *)_unsignedA;
    flick_trapeze_client_encode_array(_t19_internal, 4 * 9);
    _t20_internal = (float *)_floatA;
    flick_trapeze_client_encode_array(_t20_internal, 4 * 9);
    _t21_internal = (double *)_doubleA;
    flick_trapeze_client_encode_array(_t21_internal, 8 * 9);
    flick_trapeze_encode_end_chunk(36);
    flick_trapeze_encode_end_glob(36);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _charA))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_client_decode_array(_charA, sizeof(char ) * 9);
      flick_trapeze_client_decode_array(_byteA, sizeof(byte ) * 9);
      flick_trapeze_client_decode_array(_boolA, sizeof(bool ) * 9);
      flick_trapeze_client_decode_array(_short8A, sizeof(shortshort ) * 9);
      flick_trapeze_client_decode_array(_short16A, sizeof(short ) * 9);
      flick_trapeze_client_decode_array(_intA, sizeof(int ) * 9);
      flick_trapeze_client_decode_array(_longA, sizeof(long ) * 9);
      flick_trapeze_client_decode_array(_signedA, sizeof(signed ) * 9);
      flick_trapeze_client_decode_array(_unsignedA, sizeof(unsigned ) * 9);
      flick_trapeze_client_decode_array(_floatA, sizeof(float ) * 9);
      flick_trapeze_client_decode_array(_doubleA, sizeof(double ) * 9);
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t rcvArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440003);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_charA, sizeof(char ) * 9);
    flick_trapeze_client_encode_array(_byteA, sizeof(byte ) * 9);
    flick_trapeze_client_encode_array(_boolA, sizeof(bool ) * 9);
    flick_trapeze_client_encode_array(_short8A, sizeof(shortshort ) * 9);
    flick_trapeze_client_encode_array(_short16A, sizeof(short ) * 9);
    flick_trapeze_client_encode_array(_intA, sizeof(int ) * 9);
    flick_trapeze_client_encode_array(_longA, sizeof(long ) * 9);
    flick_trapeze_client_encode_array(_signedA, sizeof(signed ) * 9);
    flick_trapeze_client_encode_array(_unsignedA, sizeof(unsigned ) * 9);
    flick_trapeze_client_encode_array(_floatA, sizeof(float ) * 9);
    flick_trapeze_client_encode_array(_doubleA, sizeof(double ) * 9);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _t40_internal))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(96);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t33_internal;
            byte *_t34_internal;
            bool *_t35_internal;
            shortshort *_t36_internal;
            short *_t37_internal;
            int *_t38_internal;
            long *_t39_internal;
            signed *_t40_internal;
            unsigned *_t41_internal;
            float *_t42_internal;
            double *_t43_internal;

            /* Begin decode phase on parameters */
            _t33_internal = (char *)_charA;
            flick_trapeze_decode_new_chunk(92);
            flick_cdr_decode_bcopy(0, _t33_internal, 9);
            _t34_internal = (byte *)_byteA;
            flick_cdr_decode_bcopy(9, _t34_internal, 9);
            _t35_internal = (bool *)_boolA;
            flick_cdr_decode_bcopy(18, _t35_internal, 9);
            _t36_internal = (shortshort *)_short8A;
            flick_cdr_decode_bcopy(27, _t36_internal, 9);
            _t37_internal = (short *)_short16A;
            flick_cdr_decode_bcopy(36, _t37_internal, 18);
            _t38_internal = (int *)_intA;
            flick_cdr_decode_bcopy(56, _t38_internal, 36);
            _t39_internal = (long *)_longA;
            flick_trapeze_decode_end_chunk(92);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_decode_new_glob(36);
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_bcopy(0, _t39_internal, 36);
            _t40_internal = (signed *)_signedA;
            flick_trapeze_client_decode_array(_t40_internal, 4 * 9);
            _t41_internal = (unsigned *)_unsignedA;
            flick_trapeze_client_decode_array(_t41_internal, 4 * 9);
            _t42_internal = (float *)_floatA;
            flick_trapeze_client_decode_array(_t42_internal, 4 * 9);
            _t43_internal = (double *)_doubleA;
            flick_trapeze_client_decode_array(_t43_internal, 8 * 9);
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_end_glob(36);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
            flick_trapeze_decode_end_glob(96);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

