#include "nest-refs-client.h"

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  ReferenceData *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, _return->_buffer))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            flick_trapeze_client_decode_array(_return->_buffer, 1 * _return->_length);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, id->_length);
    flick_trapeze_client_encode_array(id->_buffer, 1 * id->_length);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  OctetSequence *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, _return->_buffer))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            flick_trapeze_client_decode_array(_return->_buffer, 1 * _return->_length);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, info->_length);
    flick_trapeze_client_encode_array(info->_buffer, 1 * info->_length);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

