#include "parms-client.h"

void *void_test_2345(void *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  void *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_xdr_encode_unsigned32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t1_storage;

            /* Begin decode phase on parameters */
            _return = &_t1_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(9);
    flick_trapeze_encode_new_chunk(9);
    flick_xdr_encode_unsigned32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_char8(8, *arg);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_end_glob(9);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(5);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t5_storage;

            /* Begin decode phase on parameters */
            _return = &_t5_storage;
            flick_trapeze_decode_new_chunk(1);
            flick_xdr_decode_char8(0, *_return);
            flick_trapeze_decode_end_chunk(1);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(5);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(9);
    flick_trapeze_encode_new_chunk(9);
    flick_xdr_encode_unsigned32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned8(8, *arg);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_end_glob(9);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(5);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t9_storage;

            /* Begin decode phase on parameters */
            _return = &_t9_storage;
            flick_trapeze_decode_new_chunk(1);
            flick_xdr_decode_unsigned8(0, *_return);
            flick_trapeze_decode_end_chunk(1);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(5);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  short int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(10);
    flick_trapeze_encode_new_chunk(10);
    flick_xdr_encode_unsigned32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed16(8, *arg);
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(6);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t13_storage;

            /* Begin decode phase on parameters */
            _return = &_t13_storage;
            flick_trapeze_decode_new_chunk(2);
            flick_xdr_decode_signed16(0, *_return);
            flick_trapeze_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(6);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  unsigned short int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(10);
    flick_trapeze_encode_new_chunk(10);
    flick_xdr_encode_unsigned32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned16(8, *arg);
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(6);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t17_storage;

            /* Begin decode phase on parameters */
            _return = &_t17_storage;
            flick_trapeze_decode_new_chunk(2);
            flick_xdr_decode_unsigned16(0, *_return);
            flick_trapeze_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(6);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed32(8, *arg);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t21_storage;

            /* Begin decode phase on parameters */
            _return = &_t21_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  unsigned int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, *arg);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t25_storage;

            /* Begin decode phase on parameters */
            _return = &_t25_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  float *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 7);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_float32(8, *arg);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t29_storage;

            /* Begin decode phase on parameters */
            _return = &_t29_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_float32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  double *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(20);
    flick_trapeze_encode_new_chunk(8);
    flick_xdr_encode_unsigned32(0, 8);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
    flick_xdr_encode_float64(0, *arg);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(20);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t33_storage;

            /* Begin decode phase on parameters */
            _return = &_t33_storage;
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_xdr_decode_float64(0, *_return);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  long_seq *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t37_array_iter;
#endif /* ENDIANness */

    flick_trapeze_encode_new_glob(52);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 9);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, arg->long_seq_len);
    if (arg->long_seq_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, trapeze);
    flick_trapeze_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t37_array_iter = 0; _t37_array_iter < arg->long_seq_len; _t37_array_iter++)
      {
        flick_trapeze_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_seq_val[_t37_array_iter]);
        flick_trapeze_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_trapeze_encode_new_chunk(4 * arg->long_seq_len);
    flick_xdr_encode_bcopy(0, arg->long_seq_val, 4 * arg->long_seq_len);
    flick_trapeze_encode_end_chunk(4 * arg->long_seq_len);
#endif /* ENDIANness */
    flick_trapeze_encode_end_glob(52);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(48);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t40_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t41_array_iter;
#endif /* ENDIANness */

            /* Begin decode phase on parameters */
            _return = &_t40_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->long_seq_len);
            if (_return->long_seq_len > (unsigned int) 10)
              flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
            for (_t41_array_iter = 0; _t41_array_iter < _return->long_seq_len; _t41_array_iter++)
              {
                flick_trapeze_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return->long_seq_val[_t41_array_iter]);
                flick_trapeze_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_trapeze_decode_new_chunk(4 * _return->long_seq_len);
            _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
            flick_xdr_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
            flick_trapeze_decode_end_chunk(4 * _return->long_seq_len);
#endif /* ENDIANness */
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(48);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

