#include "string-1-client.h"

char **op_1(int *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  char **_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed32(8, *arg);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, *_return))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char *_t1_storage;

            /* Begin decode phase on parameters */
            _return = &_t1_storage;
            flick_trapeze_client_decode_array(*_return, 0);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
            flick_trapeze_decode_end_glob(4);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

