#include "arrays-server.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const end *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->elem1);
  flick_fluke_encode_char8(4, _data->elem2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, end *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->elem1);
  flick_fluke_decode_char8(4, _data->elem2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const begin *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->elem1);
  flick_fluke_encode_signed32(4, _data->elem2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, begin *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->elem1);
  flick_fluke_decode_signed32(4, _data->elem2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const cLd *_data)
{
  flick_fluke_encode_new_glob(216);
  flick_fluke_encode_new_chunk(216);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_bcopy(4, _data->data, 200);
  flick_fluke_encode_float64(208, _data->last);
  flick_fluke_encode_end_chunk(216);
  flick_fluke_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, cLd *_data)
{
  flick_fluke_decode_new_glob(216);
  flick_fluke_decode_new_chunk(216);
  flick_fluke_decode_char8(0, _data->first);
  flick_fluke_decode_bcopy(4, _data->data, 200);
  flick_fluke_decode_float64(208, _data->last);
  flick_fluke_decode_end_chunk(216);
  flick_fluke_decode_end_glob(216);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const dLc *_data)
{
  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(209);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_bcopy(8, _data->data, 200);
  flick_fluke_encode_char8(208, _data->last);
  flick_fluke_encode_end_chunk(209);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, dLc *_data)
{
  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(209);
  flick_fluke_decode_float64(0, _data->first);
  flick_fluke_decode_bcopy(8, _data->data, 200);
  flick_fluke_decode_char8(208, _data->last);
  flick_fluke_decode_end_chunk(209);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const sLs *_data)
{
  flick_fluke_encode_new_glob(206);
  flick_fluke_encode_new_chunk(206);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_bcopy(4, _data->data, 200);
  flick_fluke_encode_signed16(204, _data->last);
  flick_fluke_encode_end_chunk(206);
  flick_fluke_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, sLs *_data)
{
  flick_fluke_decode_new_glob(206);
  flick_fluke_decode_new_chunk(206);
  flick_fluke_decode_signed16(0, _data->first);
  flick_fluke_decode_bcopy(4, _data->data, 200);
  flick_fluke_decode_signed16(204, _data->last);
  flick_fluke_decode_end_chunk(206);
  flick_fluke_decode_end_glob(206);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const cLCd *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_fluke_encode_new_glob(416);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_end_chunk(1);
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(3, _data->data[_t0_array_iter].elem1);
      flick_fluke_encode_char8(7, _data->data[_t0_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(15);
  flick_fluke_encode_float64(7, _data->last);
  flick_fluke_encode_end_chunk(15);
  flick_fluke_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, cLCd *_data)
{
  flick_unsigned8_t _t1_array_iter;

  flick_fluke_decode_new_glob(416);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  flick_fluke_decode_end_chunk(1);
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(3, _data->data[_t1_array_iter].elem1);
      flick_fluke_decode_char8(7, _data->data[_t1_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(15);
  flick_fluke_decode_float64(7, _data->last);
  flick_fluke_decode_end_chunk(15);
  flick_fluke_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const dLCc *_data)
{
  flick_unsigned8_t _t2_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_end_chunk(8);
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t2_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t2_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, dLCc *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  flick_fluke_decode_end_chunk(8);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t3_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t3_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const sLCs *_data)
{
  flick_unsigned8_t _t4_array_iter;

  flick_fluke_encode_new_glob(405);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_end_chunk(2);
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t4_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t4_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(3);
  flick_fluke_encode_signed16(1, _data->last);
  flick_fluke_encode_end_chunk(3);
  flick_fluke_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, sLCs *_data)
{
  flick_unsigned8_t _t5_array_iter;

  flick_fluke_decode_new_glob(405);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  flick_fluke_decode_end_chunk(2);
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t5_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t5_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(3);
  flick_fluke_decode_signed16(1, _data->last);
  flick_fluke_decode_end_chunk(3);
  flick_fluke_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const cCLd *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_fluke_encode_new_glob(413);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  flick_fluke_encode_end_chunk(1);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t6_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t6_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, cCLd *_data)
{
  flick_unsigned8_t _t7_array_iter;

  flick_fluke_decode_new_glob(413);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  flick_fluke_decode_end_chunk(1);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t7_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t7_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const dCLc *_data)
{
  flick_unsigned8_t _t8_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  flick_fluke_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_char8(0, _data->data[_t8_array_iter].elem1);
      flick_fluke_encode_signed32(4, _data->data[_t8_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, dCLc *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  flick_fluke_decode_end_chunk(8);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_char8(0, _data->data[_t9_array_iter].elem1);
      flick_fluke_decode_signed32(4, _data->data[_t9_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const sCLs *_data)
{
  flick_unsigned8_t _t10_array_iter;

  flick_fluke_encode_new_glob(404);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  flick_fluke_encode_end_chunk(2);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t10_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_encode_signed32(0, _data->data[_t10_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, sCLs *_data)
{
  flick_unsigned8_t _t11_array_iter;

  flick_fluke_decode_new_glob(404);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  flick_fluke_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t11_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_decode_signed32(0, _data->data[_t11_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
}

mom_dispatch_action_t arrays_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t97_switch_tag;

    flick_fluke_decode_new_glob(833);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t97_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t97_switch_tag)
      {
      case req_arrays_test_cLd:
        {
          {
            arrays *_obj;
            cLd *_local_inp;
            cLd *_local_iop;
            cLd *_local_outp;
            mom_exc_t *_ev;
            cLd _return;
            cLd _t98_storage;
            cLd _t99_storage;
            cLd _t100_storage;
            mom_exc_t _t101_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t98_storage;
            flick_fluke_decode_new_chunk(428);
            flick_fluke_decode_char8(0, _local_inp->first);
            flick_fluke_decode_bcopy(4, _local_inp->data, 200);
            flick_fluke_decode_float64(204, _local_inp->last);
            _local_iop = &_t99_storage;
            flick_fluke_decode_char8(212, _local_iop->first);
            flick_fluke_decode_bcopy(216, _local_iop->data, 200);
            flick_fluke_decode_float64(420, _local_iop->last);
            _local_outp = &_t100_storage;
            _ev = &_t101_storage;
            flick_fluke_decode_end_chunk(428);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(648);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(644);
                  flick_fluke_encode_char8(0, _return.first);
                  flick_fluke_encode_bcopy(4, _return.data, 200);
                  flick_fluke_encode_float64(204, _return.last);
                  flick_fluke_encode_char8(212, _local_iop->first);
                  flick_fluke_encode_bcopy(216, _local_iop->data, 200);
                  flick_fluke_encode_float64(420, _local_iop->last);
                  flick_fluke_encode_char8(428, _local_outp->first);
                  flick_fluke_encode_bcopy(432, _local_outp->data, 200);
                  flick_fluke_encode_float64(636, _local_outp->last);
                  flick_fluke_encode_end_chunk(644);
                  flick_fluke_encode_end_glob(648);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(648);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(648);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dLc:
        {
          {
            arrays *_obj;
            dLc *_local_inp;
            dLc *_local_iop;
            dLc *_local_outp;
            mom_exc_t *_ev;
            dLc _return;
            dLc _t102_storage;
            dLc _t103_storage;
            dLc _t104_storage;
            mom_exc_t _t105_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t102_storage;
            flick_fluke_decode_new_chunk(429);
            flick_fluke_decode_float64(4, _local_inp->first);
            flick_fluke_decode_bcopy(12, _local_inp->data, 200);
            flick_fluke_decode_char8(212, _local_inp->last);
            _local_iop = &_t103_storage;
            flick_fluke_decode_float64(220, _local_iop->first);
            flick_fluke_decode_bcopy(228, _local_iop->data, 200);
            flick_fluke_decode_char8(428, _local_iop->last);
            _local_outp = &_t104_storage;
            _ev = &_t105_storage;
            flick_fluke_decode_end_chunk(429);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(649);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(645);
                  flick_fluke_encode_float64(4, _return.first);
                  flick_fluke_encode_bcopy(12, _return.data, 200);
                  flick_fluke_encode_char8(212, _return.last);
                  flick_fluke_encode_float64(220, _local_iop->first);
                  flick_fluke_encode_bcopy(228, _local_iop->data, 200);
                  flick_fluke_encode_char8(428, _local_iop->last);
                  flick_fluke_encode_float64(436, _local_outp->first);
                  flick_fluke_encode_bcopy(444, _local_outp->data, 200);
                  flick_fluke_encode_char8(644, _local_outp->last);
                  flick_fluke_encode_end_chunk(645);
                  flick_fluke_encode_end_glob(649);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(649);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(649);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sLs:
        {
          {
            arrays *_obj;
            sLs *_local_inp;
            sLs *_local_iop;
            sLs *_local_outp;
            mom_exc_t *_ev;
            sLs _return;
            sLs _t106_storage;
            sLs _t107_storage;
            sLs _t108_storage;
            mom_exc_t _t109_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t106_storage;
            flick_fluke_decode_new_chunk(410);
            flick_fluke_decode_signed16(0, _local_inp->first);
            flick_fluke_decode_bcopy(4, _local_inp->data, 200);
            flick_fluke_decode_signed16(204, _local_inp->last);
            _local_iop = &_t107_storage;
            flick_fluke_decode_signed16(206, _local_iop->first);
            flick_fluke_decode_bcopy(208, _local_iop->data, 200);
            flick_fluke_decode_signed16(408, _local_iop->last);
            _local_outp = &_t108_storage;
            _ev = &_t109_storage;
            flick_fluke_decode_end_chunk(410);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(618);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(614);
                  flick_fluke_encode_signed16(0, _return.first);
                  flick_fluke_encode_bcopy(4, _return.data, 200);
                  flick_fluke_encode_signed16(204, _return.last);
                  flick_fluke_encode_signed16(206, _local_iop->first);
                  flick_fluke_encode_bcopy(208, _local_iop->data, 200);
                  flick_fluke_encode_signed16(408, _local_iop->last);
                  flick_fluke_encode_signed16(410, _local_outp->first);
                  flick_fluke_encode_bcopy(412, _local_outp->data, 200);
                  flick_fluke_encode_signed16(612, _local_outp->last);
                  flick_fluke_encode_end_chunk(614);
                  flick_fluke_encode_end_glob(618);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(618);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(618);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_cLCd:
        {
          {
            arrays *_obj;
            cLCd *_local_inp;
            cLCd *_local_iop;
            cLCd *_local_outp;
            mom_exc_t *_ev;
            cLCd _return;
            cLCd _t110_storage;
            flick_unsigned8_t _t111_array_iter;
            cLCd _t112_storage;
            flick_unsigned8_t _t113_array_iter;
            cLCd _t114_storage;
            mom_exc_t _t115_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t110_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            flick_fluke_decode_end_chunk(1);
            for (_t111_array_iter = 0; _t111_array_iter < 50; _t111_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_inp->data[_t111_array_iter].elem1);
                flick_fluke_decode_char8(7, _local_inp->data[_t111_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(3, _local_inp->last);
            _local_iop = &_t112_storage;
            flick_fluke_decode_char8(11, _local_iop->first);
            flick_fluke_decode_end_chunk(12);
            for (_t113_array_iter = 0; _t113_array_iter < 50; _t113_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_iop->data[_t113_array_iter].elem1);
                flick_fluke_decode_char8(7, _local_iop->data[_t113_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(15);
            flick_fluke_decode_float64(7, _local_iop->last);
            _local_outp = &_t114_storage;
            _ev = &_t115_storage;
            flick_fluke_decode_end_chunk(15);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1248);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t119_array_iter;
                  flick_unsigned8_t _t120_array_iter;
                  flick_unsigned8_t _t121_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.first);
                  flick_fluke_encode_end_chunk(1);
                  for (_t119_array_iter = 0; _t119_array_iter < 50; _t119_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _return.data[_t119_array_iter].elem1);
                      flick_fluke_encode_char8(7, _return.data[_t119_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(3, _return.last);
                  flick_fluke_encode_char8(11, _local_iop->first);
                  flick_fluke_encode_end_chunk(12);
                  for (_t120_array_iter = 0; _t120_array_iter < 50; _t120_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _local_iop->data[_t120_array_iter].elem1);
                      flick_fluke_encode_char8(7, _local_iop->data[_t120_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_float64(7, _local_iop->last);
                  flick_fluke_encode_char8(15, _local_outp->first);
                  flick_fluke_encode_end_chunk(16);
                  for (_t121_array_iter = 0; _t121_array_iter < 50; _t121_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _local_outp->data[_t121_array_iter].elem1);
                      flick_fluke_encode_char8(7, _local_outp->data[_t121_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(15);
                  flick_fluke_encode_float64(7, _local_outp->last);
                  flick_fluke_encode_end_chunk(15);
                  flick_fluke_encode_end_glob(1248);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(1248);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(1248);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dLCc:
        {
          {
            arrays *_obj;
            dLCc *_local_inp;
            dLCc *_local_iop;
            dLCc *_local_outp;
            mom_exc_t *_ev;
            dLCc _return;
            dLCc _t122_storage;
            flick_unsigned8_t _t123_array_iter;
            dLCc _t124_storage;
            flick_unsigned8_t _t125_array_iter;
            dLCc _t126_storage;
            mom_exc_t _t127_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t122_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            flick_fluke_decode_end_chunk(12);
            for (_t123_array_iter = 0; _t123_array_iter < 50; _t123_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t123_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_inp->data[_t123_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t124_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
            flick_fluke_decode_float64(0, _local_iop->first);
            flick_fluke_decode_end_chunk(8);
            for (_t125_array_iter = 0; _t125_array_iter < 50; _t125_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t125_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_iop->data[_t125_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            _local_outp = &_t126_storage;
            _ev = &_t127_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1247);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t131_array_iter;
                  flick_unsigned8_t _t132_array_iter;
                  flick_unsigned8_t _t133_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _return.first);
                  flick_fluke_encode_end_chunk(12);
                  for (_t131_array_iter = 0; _t131_array_iter < 50; _t131_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t131_array_iter].elem1);
                      flick_fluke_encode_char8(4, _return.data[_t131_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                  flick_fluke_encode_float64(0, _local_iop->first);
                  flick_fluke_encode_end_chunk(8);
                  for (_t132_array_iter = 0; _t132_array_iter < 50; _t132_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t132_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_iop->data[_t132_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                  flick_fluke_encode_float64(0, _local_outp->first);
                  flick_fluke_encode_end_chunk(8);
                  for (_t133_array_iter = 0; _t133_array_iter < 50; _t133_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t133_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_outp->data[_t133_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_end_glob(1247);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(1247);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(1247);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sLCs:
        {
          {
            arrays *_obj;
            sLCs *_local_inp;
            sLCs *_local_iop;
            sLCs *_local_outp;
            mom_exc_t *_ev;
            sLCs _return;
            sLCs _t134_storage;
            flick_unsigned8_t _t135_array_iter;
            sLCs _t136_storage;
            flick_unsigned8_t _t137_array_iter;
            sLCs _t138_storage;
            mom_exc_t _t139_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t134_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            flick_fluke_decode_end_chunk(2);
            for (_t135_array_iter = 0; _t135_array_iter < 50; _t135_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t135_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_inp->data[_t135_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(5);
            flick_fluke_decode_signed16(1, _local_inp->last);
            _local_iop = &_t136_storage;
            flick_fluke_decode_signed16(3, _local_iop->first);
            flick_fluke_decode_end_chunk(5);
            for (_t137_array_iter = 0; _t137_array_iter < 50; _t137_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t137_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_iop->data[_t137_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_signed16(1, _local_iop->last);
            _local_outp = &_t138_storage;
            _ev = &_t139_storage;
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1219);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t143_array_iter;
                  flick_unsigned8_t _t144_array_iter;
                  flick_unsigned8_t _t145_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.first);
                  flick_fluke_encode_end_chunk(2);
                  for (_t143_array_iter = 0; _t143_array_iter < 50; _t143_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t143_array_iter].elem1);
                      flick_fluke_encode_char8(4, _return.data[_t143_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed16(1, _return.last);
                  flick_fluke_encode_signed16(3, _local_iop->first);
                  flick_fluke_encode_end_chunk(5);
                  for (_t144_array_iter = 0; _t144_array_iter < 50; _t144_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t144_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_iop->data[_t144_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed16(1, _local_iop->last);
                  flick_fluke_encode_signed16(3, _local_outp->first);
                  flick_fluke_encode_end_chunk(5);
                  for (_t145_array_iter = 0; _t145_array_iter < 50; _t145_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t145_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_outp->data[_t145_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_signed16(1, _local_outp->last);
                  flick_fluke_encode_end_chunk(3);
                  flick_fluke_encode_end_glob(1219);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(1219);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(1219);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_cCLd:
        {
          {
            arrays *_obj;
            cCLd *_local_inp;
            cCLd *_local_iop;
            cCLd *_local_outp;
            mom_exc_t *_ev;
            cCLd _return;
            cCLd _t146_storage;
            flick_unsigned8_t _t147_array_iter;
            cCLd _t148_storage;
            flick_unsigned8_t _t149_array_iter;
            cCLd _t150_storage;
            mom_exc_t _t151_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t146_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            flick_fluke_decode_end_chunk(1);
            for (_t147_array_iter = 0; _t147_array_iter < 50; _t147_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t147_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t147_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_inp->last);
            _local_iop = &_t148_storage;
            flick_fluke_decode_char8(8, _local_iop->first);
            flick_fluke_decode_end_chunk(9);
            for (_t149_array_iter = 0; _t149_array_iter < 50; _t149_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_iop->data[_t149_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t149_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_iop->last);
            _local_outp = &_t150_storage;
            _ev = &_t151_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1243);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t155_array_iter;
                  flick_unsigned8_t _t156_array_iter;
                  flick_unsigned8_t _t157_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.first);
                  flick_fluke_encode_end_chunk(1);
                  for (_t155_array_iter = 0; _t155_array_iter < 50; _t155_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _return.data[_t155_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t155_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _return.last);
                  flick_fluke_encode_char8(8, _local_iop->first);
                  flick_fluke_encode_end_chunk(9);
                  for (_t156_array_iter = 0; _t156_array_iter < 50; _t156_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_iop->data[_t156_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t156_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_iop->last);
                  flick_fluke_encode_char8(8, _local_outp->first);
                  flick_fluke_encode_end_chunk(9);
                  for (_t157_array_iter = 0; _t157_array_iter < 50; _t157_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_outp->data[_t157_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t157_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(8);
                  flick_fluke_encode_end_glob(1243);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(1243);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(1243);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dCLc:
        {
          {
            arrays *_obj;
            dCLc *_local_inp;
            dCLc *_local_iop;
            dCLc *_local_outp;
            mom_exc_t *_ev;
            dCLc _return;
            dCLc _t158_storage;
            flick_unsigned8_t _t159_array_iter;
            dCLc _t160_storage;
            flick_unsigned8_t _t161_array_iter;
            dCLc _t162_storage;
            mom_exc_t _t163_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t158_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            flick_fluke_decode_end_chunk(12);
            for (_t159_array_iter = 0; _t159_array_iter < 50; _t159_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_inp->data[_t159_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_inp->data[_t159_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t160_storage;
            flick_fluke_decode_float64(8, _local_iop->first);
            flick_fluke_decode_end_chunk(16);
            for (_t161_array_iter = 0; _t161_array_iter < 50; _t161_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t161_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_iop->data[_t161_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            _local_outp = &_t162_storage;
            _ev = &_t163_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1249);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t167_array_iter;
                  flick_unsigned8_t _t168_array_iter;
                  flick_unsigned8_t _t169_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _return.first);
                  flick_fluke_encode_end_chunk(12);
                  for (_t167_array_iter = 0; _t167_array_iter < 50; _t167_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _return.data[_t167_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _return.data[_t167_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_float64(8, _local_iop->first);
                  flick_fluke_encode_end_chunk(16);
                  for (_t168_array_iter = 0; _t168_array_iter < 50; _t168_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_iop->data[_t168_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_iop->data[_t168_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_float64(8, _local_outp->first);
                  flick_fluke_encode_end_chunk(16);
                  for (_t169_array_iter = 0; _t169_array_iter < 50; _t169_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_outp->data[_t169_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_outp->data[_t169_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_end_glob(1249);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(1249);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(1249);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sCLs:
        {
          {
            arrays *_obj;
            sCLs *_local_inp;
            sCLs *_local_iop;
            sCLs *_local_outp;
            mom_exc_t *_ev;
            sCLs _return;
            sCLs _t170_storage;
            flick_unsigned8_t _t171_array_iter;
            sCLs _t172_storage;
            flick_unsigned8_t _t173_array_iter;
            sCLs _t174_storage;
            mom_exc_t _t175_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = &_t170_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            flick_fluke_decode_end_chunk(2);
            for (_t171_array_iter = 0; _t171_array_iter < 50; _t171_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t171_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
                flick_fluke_decode_signed32(0, _local_inp->data[_t171_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_inp->last);
            _local_iop = &_t172_storage;
            flick_fluke_decode_signed16(2, _local_iop->first);
            flick_fluke_decode_end_chunk(4);
            for (_t173_array_iter = 0; _t173_array_iter < 50; _t173_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t173_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_iop->data[_t173_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_iop->last);
            _local_outp = &_t174_storage;
            _ev = &_t175_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1216);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t179_array_iter;
                  flick_unsigned8_t _t180_array_iter;
                  flick_unsigned8_t _t181_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.first);
                  flick_fluke_encode_end_chunk(2);
                  for (_t179_array_iter = 0; _t179_array_iter < 50; _t179_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _return.data[_t179_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
                      flick_fluke_encode_signed32(0, _return.data[_t179_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _return.last);
                  flick_fluke_encode_signed16(2, _local_iop->first);
                  flick_fluke_encode_end_chunk(4);
                  for (_t180_array_iter = 0; _t180_array_iter < 50; _t180_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_iop->data[_t180_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_iop->data[_t180_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _local_iop->last);
                  flick_fluke_encode_signed16(2, _local_outp->first);
                  flick_fluke_encode_end_chunk(4);
                  for (_t181_array_iter = 0; _t181_array_iter < 50; _t181_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_outp->data[_t181_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_outp->data[_t181_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(1216);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(1216);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(1216);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(833);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
