#ifndef _atomic__server_h_
#define _atomic__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#define Atomic_SS (1)

#define Atomic_LL (1)

#define Atomic_US (1)

#define Atomic_UL (1)

#define Atomic_FF (1.100000)

#define Atomic_DD (1.200000)

#define Atomic_CC ('a')

#define Atomic_BB (1)

#include <fluke/Atomic.h>

#ifndef _typedef___Atomic_test
#define _typedef___Atomic_test
typedef struct Atomic_test_struct Atomic_test;
#endif /* _typedef___Atomic_test */

void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data);

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data);

extern flick_dispatch_t Atomic_test_server;

oskit_s16_t Atomic_test_server_Short(Atomic_test *_obj, oskit_s16_t a, oskit_s16_t *b, oskit_s16_t *c, mom_exc_t *_ev);

oskit_s32_t Atomic_test_server_Long(Atomic_test *_obj, oskit_s32_t a, oskit_s32_t *b, oskit_s32_t *c, mom_exc_t *_ev);

oskit_u16_t Atomic_test_server_UShort(Atomic_test *_obj, oskit_u16_t a, oskit_u16_t *b, oskit_u16_t *c, mom_exc_t *_ev);

oskit_u32_t Atomic_test_server_ULong(Atomic_test *_obj, oskit_u32_t a, oskit_u32_t *b, oskit_u32_t *c, mom_exc_t *_ev);

float Atomic_test_server_Float(Atomic_test *_obj, float a, float *b, float *c, mom_exc_t *_ev);

double Atomic_test_server_Double(Atomic_test *_obj, double a, double *b, double *c, mom_exc_t *_ev);

oskit_bool_t Atomic_test_server_Boolean(Atomic_test *_obj, oskit_bool_t a, oskit_bool_t *b, oskit_bool_t *c, mom_exc_t *_ev);

char Atomic_test_server_Char(Atomic_test *_obj, char a, char *b, char *c, mom_exc_t *_ev);

oskit_u8_t Atomic_test_server_Octet(Atomic_test *_obj, oskit_u8_t a, oskit_u8_t *b, oskit_u8_t *c, mom_exc_t *_ev);

#endif /* _atomic__server_h_ */
