#ifndef _corbastat_server_h_
#define _corbastat_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___my_ulong_t
#define _typedef___my_ulong_t
typedef oskit_u32_t my_ulong_t;
#endif /* _typedef___my_ulong_t */

void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data);

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data);

#ifndef _typedef___my_dev_t
#define _typedef___my_dev_t
typedef my_ulong_t my_dev_t;
#endif /* _typedef___my_dev_t */

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data);

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data);

#ifndef _typedef___my_ino_t
#define _typedef___my_ino_t
typedef my_ulong_t my_ino_t;
#endif /* _typedef___my_ino_t */

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data);

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data);

#ifndef _typedef___my_mode_t
#define _typedef___my_mode_t
typedef my_ulong_t my_mode_t;
#endif /* _typedef___my_mode_t */

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data);

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data);

#ifndef _typedef___my_nlink_t
#define _typedef___my_nlink_t
typedef my_ulong_t my_nlink_t;
#endif /* _typedef___my_nlink_t */

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data);

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data);

#ifndef _typedef___my_uid_t
#define _typedef___my_uid_t
typedef oskit_s32_t my_uid_t;
#endif /* _typedef___my_uid_t */

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data);

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data);

#ifndef _typedef___my_gid_t
#define _typedef___my_gid_t
typedef my_uid_t my_gid_t;
#endif /* _typedef___my_gid_t */

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data);

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data);

#ifndef _typedef___my_off_t
#define _typedef___my_off_t
typedef oskit_s32_t my_off_t;
#endif /* _typedef___my_off_t */

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data);

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data);

#ifndef _typedef___my_time_t
#define _typedef___my_time_t
typedef oskit_s32_t my_time_t;
#endif /* _typedef___my_time_t */

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data);

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data);

#ifndef _typedef___my_timespec
#define _typedef___my_timespec
typedef struct my_timespec {
  my_time_t my_tv_sec;
  oskit_s32_t my_tv_nsec;
} my_timespec;
#endif /* _typedef___my_timespec */

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const my_timespec *_data);

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, my_timespec *_data);

#ifndef _typedef___my_timestruc_t
#define _typedef___my_timestruc_t
typedef my_timespec my_timestruc_t;
#endif /* _typedef___my_timestruc_t */

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data);

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data);

#ifndef _typedef___test_my_stat
#define _typedef___test_my_stat
typedef struct test_my_stat {
  my_dev_t st_dev;
  oskit_s32_t st_pad1[3];
  my_ino_t st_ino;
  my_mode_t st_mode;
  my_nlink_t st_nlink;
  my_uid_t st_uid;
  my_gid_t st_gid;
  my_dev_t st_rdev;
  oskit_s32_t st_pad2[2];
  my_off_t st_size;
  oskit_s32_t st_pad3;
  my_timestruc_t st_atime;
  my_timestruc_t st_mtime;
  my_timestruc_t st_ctime;
  oskit_s32_t st_blksize;
  oskit_s32_t st_blocks;
  char st_fstype[16];
  oskit_s32_t st_pad4[8];
} test_my_stat;
#endif /* _typedef___test_my_stat */

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const test_my_stat *_data);

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, test_my_stat *_data);

#ifndef _typedef___test_entry
#define _typedef___test_entry
typedef struct test_entry {
  char *filename;
  test_my_stat info;
} test_entry;
#endif /* _typedef___test_entry */

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const test_entry *_data);

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, test_entry *_data);

#ifndef _typedef___test_inner
#define _typedef___test_inner
typedef struct test_inner {
  oskit_s32_t a;
  oskit_s32_t b;
} test_inner;
#endif /* _typedef___test_inner */

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const test_inner *_data);

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, test_inner *_data);

#ifndef _typedef___test_outer
#define _typedef___test_outer
typedef struct test_outer {
  test_inner a;
  test_inner b;
} test_outer;
#endif /* _typedef___test_outer */

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const test_outer *_data);

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, test_outer *_data);

#ifndef _typedef___CORBA_sequence_test_entry
#define _typedef___CORBA_sequence_test_entry
typedef struct CORBA_sequence_test_entry {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  test_entry *_buffer;
} CORBA_sequence_test_entry;
#endif /* _typedef___CORBA_sequence_test_entry */

#ifndef _typedef___test_directory
#define _typedef___test_directory
typedef struct CORBA_sequence_test_entry test_directory;
#endif /* _typedef___test_directory */

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data);

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data);

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___test_longlist
#define _typedef___test_longlist
typedef struct CORBA_sequence_long test_longlist;
#endif /* _typedef___test_longlist */

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data);

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data);

#ifndef _typedef___CORBA_sequence_test_outer
#define _typedef___CORBA_sequence_test_outer
typedef struct CORBA_sequence_test_outer {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  test_outer *_buffer;
} CORBA_sequence_test_outer;
#endif /* _typedef___CORBA_sequence_test_outer */

#ifndef _typedef___test_structlist
#define _typedef___test_structlist
typedef struct CORBA_sequence_test_outer test_structlist;
#endif /* _typedef___test_structlist */

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data);

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data);

#include <fluke/flick.h>

#ifndef _typedef___test
#define _typedef___test
typedef struct test_struct test;
#endif /* _typedef___test */

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data);

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data);

extern flick_dispatch_t test_server;

oskit_s32_t test_server_dir(test *_obj, const test_directory *entries, mom_exc_t *_ev);

oskit_s32_t test_server_lng(test *_obj, const test_longlist *entries, mom_exc_t *_ev);

oskit_s32_t test_server_strct(test *_obj, const test_structlist *entries, mom_exc_t *_ev);

#endif /* _corbastat_server_h_ */
