#include "ex-client.h"

void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  flick_fluke_encode_string(_data->d, null_flick_free, fluke, 20);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  flick_fluke_decode_string(_data->d, mom_flick_alloc, fluke, 20);
}

oskit_s16_t A_op(mom_ref_t _obj, oskit_s16_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_A_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(6);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          switch ((signed int )(_ev->_type))
            {
            case exc_A_B:
              {
                (A_B *)(_ev->_except) = mom_flick_alloc(sizeof(A_B ));
                flick_fluke_decode_new_chunk(2);
                flick_fluke_decode_signed16(0, ((A_B *)(_ev->_except))->a);
                flick_fluke_decode_end_chunk(2);
                flick_fluke_decode_end_glob(6);
                flick_fluke_decode_string(((A_B *)(_ev->_except))->d, mom_flick_alloc, fluke, 20);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                flick_fluke_decode_end_glob(6);
                break;
              }
            }
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

