#ifndef _impldef_client_h_
#define _impldef_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_string
#define _typedef___CORBA_sequence_string
typedef struct CORBA_sequence_string {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  char **_buffer;
} CORBA_sequence_string;
#endif /* _typedef___CORBA_sequence_string */

#ifndef _typedef___CORBA_StringSequence
#define _typedef___CORBA_StringSequence
typedef struct CORBA_sequence_string CORBA_StringSequence;
#endif /* _typedef___CORBA_StringSequence */

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data);

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data);

#ifndef _typedef___CORBA_sequence_octet
#define _typedef___CORBA_sequence_octet
typedef struct CORBA_sequence_octet {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_u8_t *_buffer;
} CORBA_sequence_octet;
#endif /* _typedef___CORBA_sequence_octet */

#ifndef _typedef___CORBA_OctetSequence
#define _typedef___CORBA_OctetSequence
typedef struct CORBA_sequence_octet CORBA_OctetSequence;
#endif /* _typedef___CORBA_OctetSequence */

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data);

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data);

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___CORBA_LongSequence
#define _typedef___CORBA_LongSequence
typedef struct CORBA_sequence_long CORBA_LongSequence;
#endif /* _typedef___CORBA_LongSequence */

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data);

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data);

#ifndef _typedef___CORBA_ReferenceData
#define _typedef___CORBA_ReferenceData
typedef CORBA_OctetSequence CORBA_ReferenceData;
#endif /* _typedef___CORBA_ReferenceData */

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data);

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data);

#ifndef _typedef___CORBA_ReferenceString
#define _typedef___CORBA_ReferenceString
typedef CORBA_StringSequence CORBA_ReferenceString;
#endif /* _typedef___CORBA_ReferenceString */

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data);

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data);

#ifndef _typedef___CORBA_ReferenceLong
#define _typedef___CORBA_ReferenceLong
typedef CORBA_LongSequence CORBA_ReferenceLong;
#endif /* _typedef___CORBA_ReferenceLong */

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data);

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data);

#include <fluke/CORBA.h>

char *CORBA_ImplementationDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ImplementationDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev);

char *CORBA_ImplementationDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ImplementationDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev);

CORBA_ReferenceData *CORBA_ImplementationDef__get_id(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ImplementationDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev);

#ifndef _typedef___CORBA_Policy
#define _typedef___CORBA_Policy
typedef unsigned long int CORBA_Policy;
#endif /* _typedef___CORBA_Policy */

void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data);

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data);

#define CORBA_SHARED_SERVER (0)

#define CORBA_UNSHARED_SERVER (1)

#define CORBA_SERVER_PER_METHOD (2)

char *CORBA_CreationImplDef__get_path_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_path_name(mom_ref_t _obj, const char *path_name, mom_exc_t *_ev);

CORBA_Policy CORBA_CreationImplDef__get_activation_policy(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_activation_policy(mom_ref_t _obj, CORBA_Policy activation_policy, mom_exc_t *_ev);

CORBA_StringSequence *CORBA_CreationImplDef__get_args(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_args(mom_ref_t _obj, const CORBA_StringSequence *args, mom_exc_t *_ev);

CORBA_StringSequence *CORBA_CreationImplDef__get_env(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_env(mom_ref_t _obj, const CORBA_StringSequence *env, mom_exc_t *_ev);

char *CORBA_CreationImplDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev);

char *CORBA_CreationImplDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev);

CORBA_ReferenceData *CORBA_CreationImplDef__get_id(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_CreationImplDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev);

mom_ref_t CORBA_Activator_activate(mom_ref_t _obj, const mom_ref_t impl, mom_exc_t *_ev);

void CORBA_Activator_deactivate(mom_ref_t _obj, const mom_ref_t obj, const mom_ref_t impl, mom_exc_t *_ev);

mom_ref_t CORBA_ActivationImplDef__get_activator_obj(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef__set_activator_obj(mom_ref_t _obj, const mom_ref_t activator_obj, mom_exc_t *_ev);

char *CORBA_ActivationImplDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev);

char *CORBA_ActivationImplDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev);

CORBA_ReferenceData *CORBA_ActivationImplDef__get_id(mom_ref_t _obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev);

#endif /* _impldef_client_h_ */
