#include "parm_-client.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const FStruct *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, FStruct *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const VStruct *_data)
{
  flick_fluke_encode_longstring(_data->a, null_flick_free, fluke);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, VStruct *_data)
{
  flick_fluke_decode_longstring(_data->a, mom_flick_alloc, fluke);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const FUnion *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, FUnion *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const VUnion *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_end_glob(5);
        flick_fluke_encode_longstring(_data->_u.a, null_flick_free, fluke);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, VUnion *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_end_glob(5);
        flick_fluke_decode_longstring(_data->_u.a, mom_flick_alloc, fluke);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        flick_fluke_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_fluke_encode_new_glob(40);
  flick_fluke_encode_new_chunk(40);
  flick_fluke_encode_bcopy(0, *_data, 40);
  flick_fluke_encode_end_chunk(40);
  flick_fluke_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_fluke_decode_new_glob(40);
  flick_fluke_decode_new_chunk(40);
  flick_fluke_decode_bcopy(0, *_data, 40);
  flick_fluke_decode_end_chunk(40);
  flick_fluke_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_mom_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_mom_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

oskit_s16_t test_Short(mom_ref_t _obj, oskit_s16_t a, oskit_s16_t *b, oskit_s16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_Short);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a);
    flick_fluke_encode_signed16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_signed16(2, *b);
          flick_fluke_decode_signed16(4, *c);
          flick_fluke_decode_end_chunk(6);
          flick_fluke_decode_end_glob(10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(10);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(10);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t test_Long(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Long);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed32(4, *b);
          flick_fluke_decode_signed32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t test_UShort(mom_ref_t _obj, oskit_u16_t a, oskit_u16_t *b, oskit_u16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_UShort);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, a);
    flick_fluke_encode_unsigned16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *b);
          flick_fluke_decode_unsigned16(4, *c);
          flick_fluke_decode_end_chunk(6);
          flick_fluke_decode_end_glob(10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(10);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(10);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u32_t test_ULong(mom_ref_t _obj, oskit_u32_t a, oskit_u32_t *b, oskit_u32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_ULong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a);
    flick_fluke_encode_unsigned32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *b);
          flick_fluke_decode_unsigned32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

float test_Float(mom_ref_t _obj, float a, float *b, float *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Float);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, a);
    flick_fluke_encode_float32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float32(4, *b);
          flick_fluke_decode_float32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_bool_t test_Boolean(mom_ref_t _obj, oskit_bool_t a, oskit_bool_t *b, oskit_bool_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Boolean);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_unsigned8(2, *c);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char test_Char(mom_ref_t _obj, char a, char *b, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Char);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, a);
    flick_fluke_encode_char8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, _return);
          flick_fluke_decode_char8(1, *b);
          flick_fluke_decode_char8(2, *c);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u8_t test_Octet(mom_ref_t _obj, oskit_u8_t a, oskit_u8_t *b, oskit_u8_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Octet);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_unsigned8(2, *c);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

Enumeration test_Enum(mom_ref_t _obj, Enumeration a, Enumeration *b, Enumeration *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  Enumeration _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Enum);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a);
    flick_fluke_encode_unsigned32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *b);
          flick_fluke_decode_unsigned32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

FStruct test_FixedStruct(mom_ref_t _obj, const FStruct *a, FStruct *b, FStruct *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  FStruct _return;

  _return.a = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_FixedStruct);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a->a);
    flick_fluke_encode_signed16(6, b->a);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, _return.a);
          flick_fluke_decode_signed16(2, b->a);
          flick_fluke_decode_signed16(4, c->a);
          flick_fluke_decode_end_chunk(6);
          flick_fluke_decode_end_glob(10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(10);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(10);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

VStruct *test_VarStruct(mom_ref_t _obj, const VStruct *a, VStruct *b, VStruct **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  VStruct *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_VarStruct);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(a->a, null_flick_free, fluke);
    flick_fluke_encode_longstring(b->a, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(VStruct ));
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return->a, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(b->a, mom_flick_alloc, fluke);
          *c = mom_flick_alloc(sizeof(VStruct ));
          flick_fluke_decode_longstring((*c)->a, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

FUnion test_FixedUnion(mom_ref_t _obj, const FUnion *a, FUnion *b, FUnion *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  FUnion _return;

  memset(&_return, 0, sizeof(FUnion ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(23);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_FixedUnion);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->_d);
    flick_fluke_encode_end_chunk(8);
    switch (a->_d)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, a->_u.x);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, a->_u.z);
          flick_fluke_encode_end_chunk(1);
          break;
        }
      }
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->_d);
    flick_fluke_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, b->_u.x);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, b->_u.z);
          flick_fluke_encode_end_chunk(1);
          break;
        }
      }
    flick_fluke_encode_end_glob(23);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(34);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return._d);
          flick_fluke_decode_end_chunk(4);
          switch (_return._d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _return._u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _return._u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, b->_d);
          flick_fluke_decode_end_chunk(4);
          switch (b->_d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, b->_u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, b->_u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, c->_d);
          flick_fluke_decode_end_chunk(4);
          switch (c->_d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, c->_u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, c->_u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_end_glob(34);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(34);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(34);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

VUnion *test_VarUnion(mom_ref_t _obj, const VUnion *a, VUnion *b, VUnion **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  VUnion *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(9);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_VarUnion);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->_d);
    flick_fluke_encode_end_chunk(8);
    switch (a->_d)
      {
      case 1:
        {
          flick_fluke_encode_end_glob(9);
          flick_fluke_encode_longstring(a->_u.a, null_flick_free, fluke);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, a->_u.z);
          flick_fluke_encode_end_chunk(1);
          flick_fluke_encode_end_glob(9);
          break;
        }
      }
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->_d);
    flick_fluke_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_fluke_encode_end_glob(8);
          flick_fluke_encode_longstring(b->_u.a, null_flick_free, fluke);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, b->_u.z);
          flick_fluke_encode_end_chunk(1);
          flick_fluke_encode_end_glob(8);
          break;
        }
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(VUnion ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return->_d);
          flick_fluke_decode_end_chunk(4);
          switch (_return->_d)
            {
            case 1:
              {
                flick_fluke_decode_end_glob(9);
                flick_fluke_decode_longstring(_return->_u.a, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _return->_u.z);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_end_glob(9);
                break;
              }
            }
          flick_fluke_decode_new_glob(8);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, b->_d);
          flick_fluke_decode_end_chunk(4);
          switch (b->_d)
            {
            case 1:
              {
                flick_fluke_decode_end_glob(8);
                flick_fluke_decode_longstring(b->_u.a, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, b->_u.z);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_end_glob(8);
                break;
              }
            }
          *c = mom_flick_alloc(sizeof(VUnion ));
          flick_fluke_decode_new_glob(8);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, (*c)->_d);
          flick_fluke_decode_end_chunk(4);
          switch ((*c)->_d)
            {
            case 1:
              {
                flick_fluke_decode_end_glob(8);
                flick_fluke_decode_longstring((*c)->_u.a, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, (*c)->_u.z);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_end_glob(8);
                break;
              }
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(9);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *test_String(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_String);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(a, null_flick_free, fluke);
    flick_fluke_encode_longstring(*b, mom_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*b, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*c, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *test_BoundString(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_BoundString);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_alloced_string(a, fluke, 20);
    flick_fluke_encode_string(*b, mom_flick_free, fluke, 20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(_return, mom_flick_alloc, fluke, 20);
          flick_fluke_decode_string(*b, mom_flick_alloc, fluke, 20);
          flick_fluke_decode_string(*c, mom_flick_alloc, fluke, 20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

test_arr_slice *test_Array(mom_ref_t _obj, test_arr a, test_arr b, test_arr c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test_arr_slice *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(84);
    flick_fluke_encode_new_chunk(84);
    flick_fluke_encode_unsigned32(0, req_test_Array);
    /* Begin encode phase on parameters */
    flick_fluke_encode_bcopy(4, a, 40);
    flick_fluke_encode_bcopy(44, b, 40);
    flick_fluke_encode_end_chunk(84);
    flick_fluke_encode_end_glob(84);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(124);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(120);
          _return = mom_flick_alloc(10 * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, _return, 40);
          flick_fluke_decode_bcopy(40, b, 40);
          flick_fluke_decode_bcopy(80, c, 40);
          flick_fluke_decode_end_chunk(120);
          flick_fluke_decode_end_glob(124);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(124);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(124);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

test_seq *test_Sequence(mom_ref_t _obj, const test_seq *a, test_seq *b, test_seq **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test_seq *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(92);
    flick_fluke_encode_new_chunk(8 + 4 * a->_length);
    flick_fluke_encode_unsigned32(0, req_test_Sequence);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_mom_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(8, a->_buffer, 4 * a->_length);
    flick_fluke_encode_end_chunk(8 + 4 * a->_length);
    flick_fluke_encode_new_chunk(4 + 4 * b->_length);
    flick_fluke_encode_unsigned32(0, b->_length);
    if (b->_length > (unsigned int) 10)
      flick_mom_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(4, b->_buffer, 4 * b->_length);
    flick_fluke_encode_end_chunk(4 + 4 * b->_length);
    flick_fluke_encode_end_glob(92);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(136);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(test_seq ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_maximum = _return->_length;
          if (_return->_length > (unsigned int) 10)
            flick_mom_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
          flick_fluke_decode_end_chunk(4 * _return->_length);
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, b->_length);
          b->_maximum = b->_length;
          if (b->_length > (unsigned int) 10)
            flick_mom_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * b->_length);
          b->_buffer = mom_flick_alloc(b->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, b->_buffer, 4 * b->_length);
          flick_fluke_decode_end_chunk(4 * b->_length);
          *c = mom_flick_alloc(sizeof(test_seq ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, (*c)->_length);
          (*c)->_maximum = (*c)->_length;
          if ((*c)->_length > (unsigned int) 10)
            flick_mom_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * (*c)->_length);
          (*c)->_buffer = mom_flick_alloc((*c)->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, (*c)->_buffer, 4 * (*c)->_length);
          flick_fluke_decode_end_chunk(4 * (*c)->_length);
          flick_fluke_decode_end_glob(136);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(136);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(136);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

