#ifndef _simple_client_h_
#define _simple_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_long vec10;
#endif /* _typedef___vec10 */

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data);

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

#include <fluke/flick.h>

oskit_s32_t simple_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

oskit_s32_t simple2_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev);

oskit_s32_t simple2_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

#endif /* _simple_client_h_ */
