#ifndef _string__server_h_
#define _string__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___str
#define _typedef___str
typedef struct str {
  char *s10;
  oskit_s32_t a;
  char *sx;
  oskit_s16_t b;
} str;
#endif /* _typedef___str */

void flick_marshal_stub_str(flick_marshal_stream_t _stream, const str *_data);

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, str *_data);

#include <fluke/flick.h>

#ifndef _typedef___test
#define _typedef___test
typedef struct test_struct test;
#endif /* _typedef___test */

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data);

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data);

extern flick_dispatch_t test_server;

char *test_server_String(test *_obj, const char *a, char **b, char **c, mom_exc_t *_ev);

str *test_server_Struct(test *_obj, const str *a, str *b, str **c, mom_exc_t *_ev);

#endif /* _string__server_h_ */
