#include "typedef_-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, *_data);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, *_data);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_c(flick_marshal_stream_t _stream, const c *_data)
{
  flick_fluke_encode_new_glob(1);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, *_data);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(1);
}

void flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  flick_fluke_decode_new_glob(1);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, *_data);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(1);
}

void flick_marshal_stub_d(flick_marshal_stream_t _stream, const d *_data)
{
  flick_fluke_encode_string(*_data, null_flick_free, fluke, 256);
}

void flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_fluke_decode_string(*_data, mom_flick_alloc, fluke, 256);
}

void flick_marshal_stub_e(flick_marshal_stream_t _stream, const e *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(2 * _data->_length);
  flick_fluke_encode_new_chunk(2 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_fluke_encode_end_chunk(2 * _data->_length);
  flick_fluke_encode_end_glob(2 * _data->_length);
}

void flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(2 * _data->_length);
  flick_fluke_decode_new_chunk(2 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s16_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_fluke_decode_end_chunk(2 * _data->_length);
  flick_fluke_decode_end_glob(2 * _data->_length);
}

void flick_marshal_stub_f(flick_marshal_stream_t _stream, const f *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_float32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_float32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_g(flick_marshal_stream_t _stream, const g *_data)
{
  flick_fluke_encode_new_glob(10);
  flick_fluke_encode_new_chunk(10);
  flick_fluke_encode_bcopy(0, *_data, 10);
  flick_fluke_encode_end_chunk(10);
  flick_fluke_encode_end_glob(10);
}

void flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  flick_fluke_decode_new_glob(10);
  flick_fluke_decode_new_chunk(10);
  flick_fluke_decode_bcopy(0, *_data, 10);
  flick_fluke_decode_end_chunk(10);
  flick_fluke_decode_end_glob(10);
}

void flick_marshal_stub_h(flick_marshal_stream_t _stream, const h *_data)
{
  flick_fluke_encode_new_glob(14);
  flick_fluke_encode_new_chunk(4 + 2 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 5)
    flick_mom_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->_buffer, 2 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 2 * _data->_length);
  flick_fluke_encode_end_glob(14);
}

void flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  flick_fluke_decode_new_glob(14);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 5)
    flick_mom_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(2 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s16_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_fluke_decode_end_chunk(2 * _data->_length);
  flick_fluke_decode_end_glob(14);
}

