#include "parm_-client.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration_swap(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_FStruct_swap(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_cdr_encode_longstring(_data->a, null_flick_free, iiop);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_VStruct_swap(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_swap_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_FUnion_swap(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(5);
        flick_cdr_encode_longstring(_data->_u.a, null_flick_free, iiop);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion_swap(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_iiop_encode_new_glob(40);
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_bcopy(0, *_data, 40);
  flick_iiop_encode_end_chunk(40);
  flick_iiop_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_iiop_decode_new_glob(40);
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_bcopy(0, *_data, 40);
  flick_iiop_decode_end_chunk(40);
  flick_iiop_decode_end_glob(40);
}

void flick_unmarshal_stub_test_arr_swap(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(40);
  for (_t0_array_iter = 0; _t0_array_iter < 10; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_test_seq_swap(flick_marshal_stream_t _stream, test_seq *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_short test_Short(test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 'h');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'r');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(16, a);
    flick_cdr_encode_signed16(18, *b);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_signed16(0, _return);
            flick_cdr_swap_decode_signed16(2, *b);
            flick_cdr_swap_decode_signed16(4, *c);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return);
            flick_cdr_decode_signed16(2, *b);
            flick_cdr_decode_signed16(4, *c);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long test_Long(test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 5);
    flick_cdr_encode_char8(4, 'L');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'n');
    flick_cdr_encode_char8(7, 'g');
    flick_cdr_encode_char8(8, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(16, a);
    flick_cdr_encode_signed32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_cdr_swap_decode_signed32(4, *b);
            flick_cdr_swap_decode_signed32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *b);
            flick_cdr_decode_signed32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_unsigned_short test_UShort(test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 'U');
    flick_cdr_encode_char8(5, 'S');
    flick_cdr_encode_char8(6, 'h');
    flick_cdr_encode_char8(7, 'o');
    flick_cdr_encode_char8(8, 'r');
    flick_cdr_encode_char8(9, 't');
    flick_cdr_encode_char8(10, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(16, a);
    flick_cdr_encode_unsigned16(18, *b);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_unsigned16(0, _return);
            flick_cdr_swap_decode_unsigned16(2, *b);
            flick_cdr_swap_decode_unsigned16(4, *c);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_unsigned16(0, _return);
            flick_cdr_decode_unsigned16(2, *b);
            flick_cdr_decode_unsigned16(4, *c);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_unsigned_long test_ULong(test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'U');
    flick_cdr_encode_char8(5, 'L');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'n');
    flick_cdr_encode_char8(8, 'g');
    flick_cdr_encode_char8(9, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(16, a);
    flick_cdr_encode_unsigned32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_unsigned32(0, _return);
            flick_cdr_swap_decode_unsigned32(4, *b);
            flick_cdr_swap_decode_unsigned32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *b);
            flick_cdr_decode_unsigned32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_float test_Float(test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'F');
    flick_cdr_encode_char8(5, 'l');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'a');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(16, a);
    flick_cdr_encode_float32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_float32(0, _return);
            flick_cdr_swap_decode_float32(4, *b);
            flick_cdr_swap_decode_float32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_float32(0, _return);
            flick_cdr_decode_float32(4, *b);
            flick_cdr_decode_float32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_boolean test_Boolean(test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(18);
    flick_iiop_encode_new_chunk(18);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, 'B');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'l');
    flick_cdr_encode_char8(8, 'e');
    flick_cdr_encode_char8(9, 'a');
    flick_cdr_encode_char8(10, 'n');
    flick_cdr_encode_char8(11, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(16, a);
    flick_cdr_encode_unsigned8(17, *b);
    flick_iiop_encode_end_chunk(18);
    flick_iiop_encode_end_glob(18);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_unsigned8(0, _return);
            flick_cdr_swap_decode_unsigned8(1, *b);
            flick_cdr_swap_decode_unsigned8(2, *c);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return);
            flick_cdr_decode_unsigned8(1, *b);
            flick_cdr_decode_unsigned8(2, *c);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char test_Char(test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(18);
    flick_iiop_encode_new_chunk(18);
    flick_cdr_encode_unsigned32(0, 5);
    flick_cdr_encode_char8(4, 'C');
    flick_cdr_encode_char8(5, 'h');
    flick_cdr_encode_char8(6, 'a');
    flick_cdr_encode_char8(7, 'r');
    flick_cdr_encode_char8(8, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(16, a);
    flick_cdr_encode_char8(17, *b);
    flick_iiop_encode_end_chunk(18);
    flick_iiop_encode_end_glob(18);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_char8(0, _return);
            flick_cdr_swap_decode_char8(1, *b);
            flick_cdr_swap_decode_char8(2, *c);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_char8(0, _return);
            flick_cdr_decode_char8(1, *b);
            flick_cdr_decode_char8(2, *c);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_octet test_Octet(test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(18);
    flick_iiop_encode_new_chunk(18);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'O');
    flick_cdr_encode_char8(5, 'c');
    flick_cdr_encode_char8(6, 't');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(16, a);
    flick_cdr_encode_unsigned8(17, *b);
    flick_iiop_encode_end_chunk(18);
    flick_iiop_encode_end_glob(18);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_unsigned8(0, _return);
            flick_cdr_swap_decode_unsigned8(1, *b);
            flick_cdr_swap_decode_unsigned8(2, *c);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return);
            flick_cdr_decode_unsigned8(1, *b);
            flick_cdr_decode_unsigned8(2, *c);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

Enumeration test_Enum(test _obj, Enumeration a, Enumeration *b, Enumeration *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  Enumeration _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 5);
    flick_cdr_encode_char8(4, 'E');
    flick_cdr_encode_char8(5, 'n');
    flick_cdr_encode_char8(6, 'u');
    flick_cdr_encode_char8(7, 'm');
    flick_cdr_encode_char8(8, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(16, a);
    flick_cdr_encode_unsigned32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_unsigned32(0, _return);
            flick_cdr_swap_decode_unsigned32(4, *b);
            flick_cdr_swap_decode_unsigned32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *b);
            flick_cdr_decode_unsigned32(8, *c);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct FStruct test_FixedStruct(test _obj, struct FStruct *a, struct FStruct *b, struct FStruct *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct FStruct _return;

  _return.a = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 'F');
    flick_cdr_encode_char8(5, 'i');
    flick_cdr_encode_char8(6, 'x');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 'd');
    flick_cdr_encode_char8(9, 'S');
    flick_cdr_encode_char8(10, 't');
    flick_cdr_encode_char8(11, 'r');
    flick_cdr_encode_char8(12, 'u');
    flick_cdr_encode_char8(13, 'c');
    flick_cdr_encode_char8(14, 't');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, a->a);
    flick_cdr_encode_signed16(22, b->a);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_signed16(0, _return.a);
            flick_cdr_swap_decode_signed16(2, b->a);
            flick_cdr_swap_decode_signed16(4, c->a);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return.a);
            flick_cdr_decode_signed16(2, b->a);
            flick_cdr_decode_signed16(4, c->a);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct VStruct *test_VarStruct(test _obj, struct VStruct *a, struct VStruct *b, struct VStruct **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct VStruct *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 'V');
    flick_cdr_encode_char8(5, 'a');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'S');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 'r');
    flick_cdr_encode_char8(10, 'u');
    flick_cdr_encode_char8(11, 'c');
    flick_cdr_encode_char8(12, 't');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_longstring(a->a, null_flick_free, iiop);
    flick_cdr_encode_longstring(b->a, null_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(_return->a, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(b->a, CORBA_flick_alloc, iiop);
            *c = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_cdr_swap_decode_longstring((*c)->a, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(_return->a, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(b->a, CORBA_flick_alloc, iiop);
            *c = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_cdr_decode_longstring((*c)->a, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct FUnion test_FixedUnion(test _obj, struct FUnion *a, struct FUnion *b, struct FUnion *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct FUnion _return;

  memset(&_return, 0, sizeof(struct FUnion ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(39);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 'F');
    flick_cdr_encode_char8(5, 'i');
    flick_cdr_encode_char8(6, 'x');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 'd');
    flick_cdr_encode_char8(9, 'U');
    flick_cdr_encode_char8(10, 'n');
    flick_cdr_encode_char8(11, 'i');
    flick_cdr_encode_char8(12, 'o');
    flick_cdr_encode_char8(13, 'n');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, a->_d);
    flick_iiop_encode_end_chunk(24);
    switch (a->_d)
      {
      case 1:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, a->_u.x);
          flick_iiop_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, a->_u.z);
          flick_iiop_encode_end_chunk(1);
          break;
        }
      }
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->_d);
    flick_iiop_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, b->_u.x);
          flick_iiop_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, b->_u.z);
          flick_iiop_encode_end_chunk(1);
          break;
        }
      }
    flick_iiop_encode_end_glob(39);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(34);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return._d);
            flick_iiop_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _return._u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return._u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, b->_d);
            flick_iiop_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, b->_u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, b->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, c->_d);
            flick_iiop_decode_end_chunk(4);
            switch (c->_d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, c->_u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, c->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_end_glob(34);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(34);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(34);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(34);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return._d);
            flick_iiop_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _return._u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return._u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, b->_d);
            flick_iiop_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, b->_u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, b->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, c->_d);
            flick_iiop_decode_end_chunk(4);
            switch (c->_d)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, c->_u.x);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, c->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  break;
                }
              }
            flick_iiop_decode_end_glob(34);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(34);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(34);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct VUnion *test_VarUnion(test _obj, struct VUnion *a, struct VUnion *b, struct VUnion **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct VUnion *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(25);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 'V');
    flick_cdr_encode_char8(5, 'a');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'U');
    flick_cdr_encode_char8(8, 'n');
    flick_cdr_encode_char8(9, 'i');
    flick_cdr_encode_char8(10, 'o');
    flick_cdr_encode_char8(11, 'n');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, a->_d);
    flick_iiop_encode_end_chunk(24);
    switch (a->_d)
      {
      case 1:
        {
          flick_iiop_encode_end_glob(25);
          flick_cdr_encode_longstring(a->_u.a, null_flick_free, iiop);
          break;
        }
      default:
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, a->_u.z);
          flick_iiop_encode_end_chunk(1);
          flick_iiop_encode_end_glob(25);
          break;
        }
      }
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->_d);
    flick_iiop_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_iiop_encode_end_glob(8);
          flick_cdr_encode_longstring(b->_u.a, null_flick_free, iiop);
          break;
        }
      default:
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, b->_u.z);
          flick_iiop_encode_end_chunk(1);
          flick_iiop_encode_end_glob(8);
          break;
        }
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(9);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return->_d);
            flick_iiop_decode_end_chunk(4);
            switch (_return->_d)
              {
              case 1:
                {
                  flick_iiop_decode_end_glob(9);
                  flick_cdr_swap_decode_longstring(_return->_u.a, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(9);
                  break;
                }
              }
            flick_iiop_decode_new_glob(8);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, b->_d);
            flick_iiop_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_iiop_decode_end_glob(8);
                  flick_cdr_swap_decode_longstring(b->_u.a, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, b->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(8);
                  break;
                }
              }
            *c = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_iiop_decode_new_glob(8);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, (*c)->_d);
            flick_iiop_decode_end_chunk(4);
            switch ((*c)->_d)
              {
              case 1:
                {
                  flick_iiop_decode_end_glob(8);
                  flick_cdr_swap_decode_longstring((*c)->_u.a, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, (*c)->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(8);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(9);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(9);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(9);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return->_d);
            flick_iiop_decode_end_chunk(4);
            switch (_return->_d)
              {
              case 1:
                {
                  flick_iiop_decode_end_glob(9);
                  flick_cdr_decode_longstring(_return->_u.a, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(9);
                  break;
                }
              }
            flick_iiop_decode_new_glob(8);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, b->_d);
            flick_iiop_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_iiop_decode_end_glob(8);
                  flick_cdr_decode_longstring(b->_u.a, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, b->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(8);
                  break;
                }
              }
            *c = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_iiop_decode_new_glob(8);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, (*c)->_d);
            flick_iiop_decode_end_chunk(4);
            switch ((*c)->_d)
              {
              case 1:
                {
                  flick_iiop_decode_end_glob(8);
                  flick_cdr_decode_longstring((*c)->_u.a, CORBA_flick_alloc, iiop);
                  break;
                }
              default:
                {
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, (*c)->_u.z);
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(8);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(9);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(9);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 't');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'i');
    flick_cdr_encode_char8(8, 'n');
    flick_cdr_encode_char8(9, 'g');
    flick_cdr_encode_char8(10, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_longstring(a, null_flick_free, iiop);
    flick_cdr_encode_longstring(*b, CORBA_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*b, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*c, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*b, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*c, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char *test_BoundString(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 'B');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'u');
    flick_cdr_encode_char8(7, 'n');
    flick_cdr_encode_char8(8, 'd');
    flick_cdr_encode_char8(9, 'S');
    flick_cdr_encode_char8(10, 't');
    flick_cdr_encode_char8(11, 'r');
    flick_cdr_encode_char8(12, 'i');
    flick_cdr_encode_char8(13, 'n');
    flick_cdr_encode_char8(14, 'g');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_alloced_string(a, iiop, 20);
    flick_cdr_encode_string(*b, CORBA_flick_free, iiop, 20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_string(_return, CORBA_flick_alloc, iiop, 20);
            flick_cdr_swap_decode_string(*b, CORBA_flick_alloc, iiop, 20);
            flick_cdr_swap_decode_string(*c, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_string(_return, CORBA_flick_alloc, iiop, 20);
            flick_cdr_decode_string(*b, CORBA_flick_alloc, iiop, 20);
            flick_cdr_decode_string(*c, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

test_arr_slice *test_Array(test _obj, test_arr a, test_arr b, test_arr c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test_arr_slice *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(96);
    flick_iiop_encode_new_chunk(96);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'A');
    flick_cdr_encode_char8(5, 'r');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'a');
    flick_cdr_encode_char8(8, 'y');
    flick_cdr_encode_char8(9, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(16, a, 40);
    flick_cdr_encode_bcopy(56, b, 40);
    flick_iiop_encode_end_chunk(96);
    flick_iiop_encode_end_glob(96);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(124);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t5_array_iter;
            flick_unsigned8_t _t6_array_iter;
            flick_unsigned8_t _t7_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(10 * sizeof(CORBA_long ));
            for (_t5_array_iter = 0; _t5_array_iter < 10; _t5_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return[_t5_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            for (_t6_array_iter = 0; _t6_array_iter < 10; _t6_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, b[_t6_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            for (_t7_array_iter = 0; _t7_array_iter < 10; _t7_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, c[_t7_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(124);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(124);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(124);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(124);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(120);
            _return = CORBA_flick_alloc(10 * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _return, 40);
            flick_cdr_decode_bcopy(40, b, 40);
            flick_cdr_decode_bcopy(80, c, 40);
            flick_iiop_decode_end_chunk(120);
            flick_iiop_decode_end_glob(124);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(124);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(124);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

test_seq *test_Sequence(test _obj, test_seq *a, test_seq *b, test_seq **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test_seq *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(108);
    flick_iiop_encode_new_chunk(24 + 4 * a->_length);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 'q');
    flick_cdr_encode_char8(7, 'u');
    flick_cdr_encode_char8(8, 'e');
    flick_cdr_encode_char8(9, 'n');
    flick_cdr_encode_char8(10, 'c');
    flick_cdr_encode_char8(11, 'e');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
    flick_cdr_encode_bcopy(24, a->_buffer, 4 * a->_length);
    flick_iiop_encode_end_chunk(24 + 4 * a->_length);
    flick_iiop_encode_new_chunk(4 + 4 * b->_length);
    flick_cdr_encode_unsigned32(0, b->_length);
    if (b->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
    flick_cdr_encode_bcopy(4, b->_buffer, 4 * b->_length);
    flick_iiop_encode_end_chunk(4 + 4 * b->_length);
    flick_iiop_encode_end_glob(108);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            CORBA_unsigned_long _t11_array_iter;
            CORBA_unsigned_long _t12_array_iter;
            CORBA_unsigned_long _t13_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(test_seq ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            if (_return->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            for (_t11_array_iter = 0; _t11_array_iter < _return->_length; _t11_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return->_buffer[_t11_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, b->_length);
            b->_maximum = b->_length;
            if (b->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            b->_buffer = CORBA_flick_alloc(b->_length * sizeof(CORBA_long ));
            for (_t12_array_iter = 0; _t12_array_iter < b->_length; _t12_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, b->_buffer[_t12_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            *c = CORBA_flick_alloc(sizeof(test_seq ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, (*c)->_length);
            (*c)->_maximum = (*c)->_length;
            if ((*c)->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            (*c)->_buffer = CORBA_flick_alloc((*c)->_length * sizeof(CORBA_long ));
            for (_t13_array_iter = 0; _t13_array_iter < (*c)->_length; _t13_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*c)->_buffer[_t13_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(136);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(136);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(136);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(test_seq ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            if (_return->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_iiop_decode_end_chunk(4 * _return->_length);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, b->_length);
            b->_maximum = b->_length;
            if (b->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * b->_length);
            b->_buffer = CORBA_flick_alloc(b->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, b->_buffer, 4 * b->_length);
            flick_iiop_decode_end_chunk(4 * b->_length);
            *c = CORBA_flick_alloc(sizeof(test_seq ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, (*c)->_length);
            (*c)->_maximum = (*c)->_length;
            if ((*c)->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * (*c)->_length);
            (*c)->_buffer = CORBA_flick_alloc((*c)->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, (*c)->_buffer, 4 * (*c)->_length);
            flick_iiop_decode_end_chunk(4 * (*c)->_length);
            flick_iiop_decode_end_glob(136);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(136);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(136);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

