#include "union-5-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->slot_1);
  flick_cdr_encode_signed32(4, _data->slot_2);
  flick_cdr_encode_signed32(8, _data->slot_3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->slot_1);
  flick_cdr_decode_signed32(4, _data->slot_2);
  flick_cdr_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->slot_1);
  flick_cdr_swap_decode_signed32(4, _data->slot_2);
  flick_cdr_swap_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(408);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator);
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_cdr_encode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
        flick_cdr_encode_bcopy(4, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_iiop_encode_end_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_iiop_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_encode_end_glob(408);
        flick_cdr_encode_longstring(_data->foo_u.two, null_flick_free, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_encode_new_chunk(12);
        flick_cdr_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_encode_end_chunk(12);
        flick_iiop_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_new_chunk(4 * _data->foo_u.one.one_len);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        flick_cdr_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_iiop_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned int _t1_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
        flick_iiop_decode_end_chunk(4);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        for (_t1_array_iter = 0; _t1_array_iter < _data->foo_u.one.one_len; _t1_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->foo_u.one.one_val[_t1_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_swap_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_swap_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_swap_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct foo *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(416);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->discriminator);
    flick_iiop_encode_end_chunk(12);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_iiop_encode_new_chunk(4 + 4 * arg->foo_u.one.one_len);
          flick_cdr_encode_unsigned32(0, arg->foo_u.one.one_len);
          if (arg->foo_u.one.one_len > (unsigned int) 100)
            flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
          flick_cdr_encode_bcopy(4, arg->foo_u.one.one_val, 4 * arg->foo_u.one.one_len);
          flick_iiop_encode_end_chunk(4 + 4 * arg->foo_u.one.one_len);
          flick_iiop_encode_end_glob(416);
          break;
        }
      case 2:
        {
          flick_iiop_encode_end_glob(416);
          flick_cdr_encode_longstring(arg->foo_u.two, null_flick_free, iiop);
          break;
        }
      case 3:
        {
          flick_iiop_encode_new_chunk(12);
          flick_cdr_encode_signed32(0, arg->foo_u.three.slot_1);
          flick_cdr_encode_signed32(4, arg->foo_u.three.slot_2);
          flick_cdr_encode_signed32(8, arg->foo_u.three.slot_3);
          flick_iiop_encode_end_chunk(12);
          flick_iiop_encode_end_glob(416);
          break;
        }
      default:
        {
          flick_sun_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
          flick_iiop_encode_end_glob(416);
          break;
        }
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(412);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t7_storage;

            /* Begin decode phase on parameters */
            _return = &_t7_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  unsigned int _t9_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _return->foo_u.one.one_len);
                  if (_return->foo_u.one.one_len > (unsigned int) 100)
                    flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
                  flick_iiop_decode_end_chunk(4);
                  _return->foo_u.one.one_val = sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int ));
                  for (_t9_array_iter = 0; _t9_array_iter < _return->foo_u.one.one_len; _t9_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _return->foo_u.one.one_val[_t9_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(412);
                  flick_cdr_swap_decode_longstring(_return->foo_u.two, sun_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_swap_decode_signed32(0, _return->foo_u.three.slot_1);
                  flick_cdr_swap_decode_signed32(4, _return->foo_u.three.slot_2);
                  flick_cdr_swap_decode_signed32(8, _return->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(412);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(412);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(412);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t3_storage;

            /* Begin decode phase on parameters */
            _return = &_t3_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _return->foo_u.one.one_len);
                  if (_return->foo_u.one.one_len > (unsigned int) 100)
                    flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_new_chunk(4 * _return->foo_u.one.one_len);
                  _return->foo_u.one.one_val = sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int ));
                  flick_cdr_decode_bcopy(0, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                  flick_iiop_decode_end_chunk(4 * _return->foo_u.one.one_len);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(412);
                  flick_cdr_decode_longstring(_return->foo_u.two, sun_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_decode_signed32(0, _return->foo_u.three.slot_1);
                  flick_cdr_decode_signed32(4, _return->foo_u.three.slot_2);
                  flick_cdr_decode_signed32(8, _return->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(412);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(412);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

