#include "union-client.h"

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_char8(4, _data->b2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_char8(4, _data->b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_Bar_swap(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_char8(4, _data->b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_iiop_encode_new_glob(9);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->_u.y.b1);
        flick_cdr_encode_char8(4, _data->_u.y.b2);
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(9);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->_u.y.b1);
        flick_cdr_decode_char8(4, _data->_u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
}

void flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->_u.y.b1);
        flick_cdr_swap_decode_char8(4, _data->_u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_iiop_encode_new_glob(13);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.y._d);
        flick_iiop_encode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.y._u.x);
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_encode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->_u.y._u.z);
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(13);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(13);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_decode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->_u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
}

void flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(13);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_swap_decode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->_u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const struct a_astruct *_data)
{
  flick_iiop_encode_new_glob(33);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->a1._d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.y._d);
        flick_iiop_encode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a2._d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->a2._u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_encode_char8(4, _data->a2._u.y.b2);
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->a2._u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a3.b1);
  flick_cdr_encode_char8(4, _data->a3.b2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(33);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_iiop_decode_new_glob(33);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->a1._d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a2._d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->a2._u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_decode_char8(4, _data->a2._u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->a2._u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a3.b1);
  flick_cdr_decode_char8(4, _data->a3.b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(33);
}

void flick_unmarshal_stub_a_astruct_swap(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_iiop_decode_new_glob(33);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->a1._d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_swap_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a2._d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_swap_decode_char8(4, _data->a2._u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->a2._u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a3.b1);
  flick_cdr_swap_decode_char8(4, _data->a3.b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(33);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

struct Foo2 a_opA(a _obj, struct a_astruct *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct Foo2 _return;

  memset(&_return, 0, sizeof(struct Foo2 ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(45);
    flick_iiop_encode_new_chunk(13);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 'A');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(12, b->a1._d);
    flick_iiop_encode_end_chunk(13);
    switch (b->a1._d)
      {
      case 'a':
        {
          flick_iiop_encode_new_chunk(7);
          flick_cdr_encode_signed32(3, b->a1._u.x);
          flick_iiop_encode_end_chunk(7);
          break;
        }
      case 'b':
        {
          flick_iiop_encode_new_chunk(7);
          flick_cdr_encode_signed32(3, b->a1._u.y._d);
          flick_iiop_encode_end_chunk(7);
          switch (b->a1._u.y._d)
            {
            case 1:
              {
                flick_iiop_encode_new_chunk(4);
                flick_cdr_encode_signed32(0, b->a1._u.y._u.x);
                flick_iiop_encode_end_chunk(4);
                break;
              }
            case 2:
              {
                flick_iiop_encode_new_chunk(5);
                flick_cdr_encode_signed32(0, b->a1._u.y._u.y.b1);
                flick_cdr_encode_char8(4, b->a1._u.y._u.y.b2);
                flick_iiop_encode_end_chunk(5);
                break;
              }
            default:
              {
                flick_iiop_encode_new_chunk(1);
                flick_cdr_encode_char8(0, b->a1._u.y._u.z);
                flick_iiop_encode_end_chunk(1);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
          break;
        }
      }
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->a2._d);
    flick_iiop_encode_end_chunk(4);
    switch (b->a2._d)
      {
      case 1:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, b->a2._u.x);
          flick_iiop_encode_end_chunk(4);
          break;
        }
      case 2:
        {
          flick_iiop_encode_new_chunk(5);
          flick_cdr_encode_signed32(0, b->a2._u.y.b1);
          flick_cdr_encode_char8(4, b->a2._u.y.b2);
          flick_iiop_encode_end_chunk(5);
          break;
        }
      default:
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, b->a2._u.z);
          flick_iiop_encode_end_chunk(1);
          break;
        }
      }
    flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->a3.b1);
    flick_cdr_encode_char8(4, b->a3.b2);
    flick_iiop_encode_end_chunk(5);
    flick_iiop_encode_end_glob(45);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(17);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return._d);
            flick_iiop_decode_end_chunk(1);
            switch (_return._d)
              {
              case 'a':
                {
                  flick_iiop_decode_new_chunk(7);
                  flick_cdr_swap_decode_signed32(3, _return._u.x);
                  flick_iiop_decode_end_chunk(7);
                  break;
                }
              case 'b':
                {
                  flick_iiop_decode_new_chunk(7);
                  flick_cdr_swap_decode_signed32(3, _return._u.y._d);
                  flick_iiop_decode_end_chunk(7);
                  switch (_return._u.y._d)
                    {
                    case 1:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _return._u.y._u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_signed32(0, _return._u.y._u.y.b1);
                        flick_cdr_swap_decode_char8(4, _return._u.y._u.y.b2);
                        flick_iiop_decode_end_chunk(5);
                        break;
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _return._u.y._u.z);
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  break;
                }
              }
            flick_iiop_decode_end_glob(17);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(17);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(17);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(17);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return._d);
            flick_iiop_decode_end_chunk(1);
            switch (_return._d)
              {
              case 'a':
                {
                  flick_iiop_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _return._u.x);
                  flick_iiop_decode_end_chunk(7);
                  break;
                }
              case 'b':
                {
                  flick_iiop_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _return._u.y._d);
                  flick_iiop_decode_end_chunk(7);
                  switch (_return._u.y._d)
                    {
                    case 1:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _return._u.y._u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _return._u.y._u.y.b1);
                        flick_cdr_decode_char8(4, _return._u.y._u.y.b2);
                        flick_iiop_decode_end_chunk(5);
                        break;
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _return._u.y._u.z);
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  break;
                }
              }
            flick_iiop_decode_end_glob(17);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(17);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(17);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

