#include "mig-simple-server.h"

boolean_t time_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;

  flick_mach3mig_server_start_decode();
  {
    signed int _t3_switch_tag;

    _t3_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 400:
        {
          {
            mach_port_t _local_server_port;
            int _local_format;
            int *_local_time;
            kern_return_t _return;
            mach_port_t _reply_port;
            int _t4_storage;

            {
              flick_mach3mig_server_decode_target(_local_server_port, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(8);
            flick_mach3mig_decode_new_chunk(8);
            flick_mach3mig_decode_signed32(0, _local_format);
            _local_time = &_t4_storage;
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = get_time(_local_server_port, _local_format, _local_time);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_server_port, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 500;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_signed32(0, *_local_time);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 401:
        {
          {
            mach_port_t _local_server_port;
            foo_int _local_format;
            foo_int *_local_time;
            kern_return_t _return;
            mach_port_t _reply_port;
            foo_int _t5_storage;

            {
              flick_mach3mig_server_decode_target(_local_server_port, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(8);
            flick_mach3mig_decode_new_chunk(8);
            flick_mach3mig_decode_signed32(0, _local_format);
            _local_time = &_t5_storage;
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = foo_time(_local_server_port, _local_format, _local_time);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_server_port, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 501;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_signed32(0, *_local_time);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 1, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
