#include "mig-tests-server.h"

boolean_t tests_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;

  flick_mach3mig_server_start_decode();
  {
    signed int _t107_switch_tag;

    _t107_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t107_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            mach_port_t _reply_port;
            Iint _t108_storage;
            Iint _t109_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(16);
            flick_mach3mig_decode_new_chunk(16);
            flick_mach3mig_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t108_storage;
            flick_mach3mig_decode_signed32(8, *_local_inoutInt);
            _local_outInt = &_t109_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550101;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(16);
                  flick_mach3mig_encode_new_chunk(16);
                  flick_mach3mig_encode_signed32(0, *_local_inoutInt);
                  flick_mach3mig_encode_signed32(8, *_local_outInt);
                  flick_mach3mig_encode_end_chunk(16);
                  flick_mach3mig_encode_end_glob(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned *_t110_internal;
            unsigned int _t111_array_length;
            IFstruct _t112_storage;
            unsigned *_t113_internal;
            unsigned int _t114_array_length;
            IFstruct _t115_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _t110_internal = (unsigned *)(&(_local_inStruct));
            flick_mach3mig_array_decode_new_glob(808);
            flick_mach3mig_array_decode_new_chunk(808);
            _t111_array_length = 100;
            flick_mach3mig_array_decode_signed32_type(0, _t111_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_bcopy(4, _t110_internal, 400);
            _local_inoutStruct = &_t112_storage;
            _t113_internal = (unsigned *)(&(*_local_inoutStruct));
            _t114_array_length = 100;
            flick_mach3mig_array_decode_signed32_type(404, _t114_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_bcopy(408, _t113_internal, 400);
            _local_outStruct = &_t115_storage;
            flick_mach3mig_decode_end_chunk(808);
            flick_mach3mig_decode_end_glob(808);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550102;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t122_internal;
                  unsigned *_t123_internal;

                  /* Begin encode phase on parameters */
                  _t122_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_mach3mig_array_encode_new_glob(808);
                  flick_mach3mig_array_encode_new_chunk(808);
                  flick_mach3mig_array_encode_signed32_type(0, 100, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(4, _t122_internal, 400);
                  _t123_internal = (unsigned *)(&(*_local_outStruct));
                  flick_mach3mig_array_encode_signed32_type(404, 100, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(408, _t123_internal, 400);
                  flick_mach3mig_encode_end_chunk(808);
                  flick_mach3mig_encode_end_glob(808);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned *_local_outArray;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t124_array_length;
            unsigned int _t126_array_length;
            unsigned _t128_storage[300];
            unsigned _t130_storage[300];

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(2408);
            flick_mach3mig_array_decode_new_chunk(2408);
            _t124_array_length = 300;
            flick_mach3mig_array_decode_signed32_type(0, _t124_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_inArray);
            _t126_array_length = 300;
            flick_mach3mig_array_decode_signed32_type(1204, _t126_array_length, 1, 0, _type);
            _local_inoutArray = _t128_storage;
            flick_mach3mig_array_decode_bcopy(1208, _local_inoutArray, 1200);
            _local_outArray = _t130_storage;
            flick_mach3mig_decode_end_chunk(2408);
            flick_mach3mig_decode_end_glob(2408);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550103;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(2408);
                  flick_mach3mig_array_encode_new_chunk(2408);
                  flick_mach3mig_array_encode_signed32_type(0, 300, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(4, _local_inoutArray, 1200);
                  flick_mach3mig_array_encode_signed32_type(1204, 300, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(1208, _local_outArray, 1200);
                  flick_mach3mig_encode_end_chunk(2408);
                  flick_mach3mig_encode_end_glob(2408);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned _t132_storage[500];
            mach_msg_type_number_t _t133_storage;
            int _t135_ool_check;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(2004);
            flick_mach3mig_array_decode_new_chunk(4);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, 1, 0, _type);
            if (_local_inArrayCnt > (unsigned int) 500)
              flick_mig_decode_server_error(return 1, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
            flick_mach3mig_array_decode_end_chunk(4);
            flick_mach3mig_array_decode_new_chunk(4 * _local_inArrayCnt);
            flick_mach3mig_array_decode_msgptr(0, _local_inArray);
            flick_mach3mig_array_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArray = _t132_storage;
            _local_outArrayCnt = &_t133_storage;
            *_local_outArrayCnt = 0;
            flick_mach3mig_decode_end_glob(2004);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550104;
            _t135_ool_check = _local_inArrayCnt > 2048 / sizeof(unsigned );
            if (_t135_ool_check)
              {
                mach_vm_flick_free(_local_inArray, _local_inArrayCnt * sizeof(unsigned ));
              }
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(2004);
                  flick_mach3mig_array_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_outArrayCnt, 1, 0, _type);
                  if (*_local_outArrayCnt > (unsigned int) 500)
                    flick_mig_encode_server_error(return 1, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
                  flick_mach3mig_array_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_mach3mig_encode_end_glob(2004);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            int _t136_ool_check;
            Iarray _t137_storage;
            mach_msg_type_number_t _t138_storage;
            int _t142_ool_check;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, !_t136_ool_check, 0, _long_type);
            _t136_ool_check = _local_inArrayCnt > 512;
            flick_mach3mig_array_decode_end_chunk(12);
            if (_t136_ool_check)
              {
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_unsigned32(0, _local_inArray);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_end_glob(16);
              }
            else
              {
                flick_mach3mig_array_decode_end_glob(16);
                flick_mach3mig_array_decode_new_glob(4 * _local_inArrayCnt);
                flick_mach3mig_array_decode_new_chunk(4 * _local_inArrayCnt);
                flick_mach3mig_array_decode_msgptr(0, _local_inArray);
                flick_mach3mig_array_decode_end_chunk(4 * _local_inArrayCnt);
                flick_mach3mig_array_decode_end_glob(4 * _local_inArrayCnt);
              }
            _local_outArray = &_t137_storage;
            *_local_outArray = 0;
            _local_outArrayCnt = &_t138_storage;
            *_local_outArrayCnt = 0;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550105;
            _t142_ool_check = _local_inArrayCnt > 2048 / sizeof(unsigned );
            if (_t142_ool_check)
              {
                mach_vm_flick_free(_local_inArray, _local_inArrayCnt * sizeof(unsigned ));
              }
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  int _t144_ool_check;

                  /* Begin encode phase on parameters */
                  _t144_ool_check = *_local_outArrayCnt > 512;
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(12);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_outArrayCnt, !_t144_ool_check, 0, _long_type);
                  flick_mach3mig_array_encode_end_chunk(12);
                  if (_t144_ool_check)
                    {
                      flick_mach3mig_array_encode_new_chunk(4);
                      flick_mach3mig_array_encode_unsigned32(0, *_local_outArray);
                      flick_mach3mig_array_encode_end_chunk(4);
                      flick_mach3mig_array_encode_end_glob(16);
                      _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
                    }
                  else
                    {
                      flick_mach3mig_array_encode_end_glob(16);
                      flick_mach3mig_array_encode_new_glob(4 * *_local_outArrayCnt);
                      flick_mach3mig_array_encode_new_chunk(4 * *_local_outArrayCnt);
                      flick_mach3mig_array_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                      flick_mach3mig_array_encode_end_chunk(4 * *_local_outArrayCnt);
                      flick_mach3mig_array_encode_end_glob(4 * *_local_outArrayCnt);
                    }
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_inoutString;
            char *_local_outString;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t145_array_length;
            unsigned int _t147_array_length;
            char _t149_storage[799];
            char _t151_storage[799];

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(1608);
            flick_mach3mig_array_decode_new_chunk(1608);
            _t145_array_length = 799;
            flick_mach3mig_array_decode_string_c_type(0, _t145_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_inString);
            _t147_array_length = 799;
            flick_mach3mig_array_decode_string_c_type(804, _t147_array_length, 1, 0, _type);
            _local_inoutString = _t149_storage;
            flick_mach3mig_array_decode_bcopy(808, _local_inoutString, 799);
            _local_outString = _t151_storage;
            flick_mach3mig_decode_end_chunk(1608);
            flick_mach3mig_decode_end_glob(1608);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550106;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(1608);
                  flick_mach3mig_array_encode_new_chunk(1608);
                  flick_mach3mig_array_encode_string_c_type(0, 799, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(4, _local_inoutString, 799);
                  flick_mach3mig_array_encode_string_c_type(804, 799, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(808, _local_outString, 799);
                  flick_mach3mig_encode_end_chunk(1608);
                  flick_mach3mig_encode_end_glob(1608);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_outString;
            kern_return_t _return;
            mach_port_t _reply_port;
            char _t153_storage[4997];

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_auto_string(_local_inString, auto_flick_alloc, mach3mig);
            _local_outString = _t153_storage;
            flick_mach3mig_decode_new_glob(3);
            flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
            flick_mach3mig_decode_end_chunk(0);
            flick_mach3mig_decode_end_glob(3);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550107;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_string(_local_outString, auto_flick_free, mach3mig, 4997);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_new_glob(3);
            flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
            flick_mach3mig_encode_end_chunk(0);
            flick_mach3mig_encode_end_glob(3);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            mach_port_t _reply_port;
            mach_port_t _t154_storage;
            mach_port_t _t155_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(16);
            flick_mach3mig_decode_new_chunk(16);
            flick_mach3mig_decode_port32(0, _local_inRight, 1, MACH_MSG_TYPE_PORT_RECEIVE);
            _local_inoutRight = &_t154_storage;
            flick_mach3mig_decode_port32(8, *_local_inoutRight, 1, MACH_MSG_TYPE_PORT_SEND);
            _local_outRight = &_t155_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550108;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(16);
                  flick_mach3mig_encode_new_chunk(16);
                  flick_mach3mig_encode_port32(0, *_local_inoutRight, 1, MACH_MSG_TYPE_COPY_SEND);
                  flick_mach3mig_encode_port32(8, *_local_outRight, 1, MACH_MSG_TYPE_MOVE_RECEIVE);
                  flick_mach3mig_encode_end_chunk(16);
                  flick_mach3mig_encode_end_glob(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            int _t156_ool_check;
            Imach_port_array_t _t157_storage;
            mach_msg_type_number_t _t158_storage;
            int _t162_ool_check;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_RECEIVE, _local_inRightCnt, !_t156_ool_check, 0, _long_type);
            _t156_ool_check = _local_inRightCnt > 512;
            flick_mach3mig_array_decode_end_chunk(12);
            if (_t156_ool_check)
              {
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_unsigned32(0, _local_inRight);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_end_glob(16);
              }
            else
              {
                flick_mach3mig_array_decode_end_glob(16);
                flick_mach3mig_array_decode_new_glob(4 * _local_inRightCnt);
                flick_mach3mig_array_decode_new_chunk(4 * _local_inRightCnt);
                flick_mach3mig_array_decode_msgptr(0, _local_inRight);
                flick_mach3mig_array_decode_end_chunk(4 * _local_inRightCnt);
                flick_mach3mig_array_decode_end_glob(4 * _local_inRightCnt);
              }
            _local_outRight = &_t157_storage;
            *_local_outRight = 0;
            _local_outRightCnt = &_t158_storage;
            *_local_outRightCnt = 0;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550109;
            _t162_ool_check = _local_inRightCnt > 2048 / sizeof(mach_port_t );
            if (_t162_ool_check)
              {
                mach_vm_flick_free(_local_inRight, _local_inRightCnt * sizeof(mach_port_t ));
              }
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  int _t164_ool_check;

                  /* Begin encode phase on parameters */
                  _t164_ool_check = *_local_outRightCnt > 512;
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(12);
                  flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MOVE_RECEIVE, *_local_outRightCnt, !_t164_ool_check, 0, _long_type);
                  flick_mach3mig_array_encode_end_chunk(12);
                  if (_t164_ool_check)
                    {
                      flick_mach3mig_array_encode_new_chunk(4);
                      flick_mach3mig_array_encode_unsigned32(0, *_local_outRight);
                      flick_mach3mig_array_encode_end_chunk(4);
                      flick_mach3mig_array_encode_end_glob(16);
                      _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
                    }
                  else
                    {
                      flick_mach3mig_array_encode_end_glob(16);
                      flick_mach3mig_array_encode_new_glob(4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_new_chunk(4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_bcopy(0, *_local_outRight, 4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_end_chunk(4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_end_glob(4 * *_local_outRightCnt);
                    }
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            int _t165_ool_check;
            Imach_poly_array_t _t166_storage;
            mach_msg_type_number_t _t167_storage;
            int _t171_ool_check;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_NAME, _local_inRightCnt, !_t165_ool_check, 0, _long_type);
            _t165_ool_check = _local_inRightCnt > 512;
            flick_mach3mig_array_decode_end_chunk(12);
            if (_t165_ool_check)
              {
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_unsigned32(0, _local_inRight);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_end_glob(16);
              }
            else
              {
                flick_mach3mig_array_decode_end_glob(16);
                flick_mach3mig_array_decode_new_glob(4 * _local_inRightCnt);
                flick_mach3mig_array_decode_new_chunk(4 * _local_inRightCnt);
                flick_mach3mig_array_decode_msgptr(0, _local_inRight);
                flick_mach3mig_array_decode_end_chunk(4 * _local_inRightCnt);
                flick_mach3mig_array_decode_end_glob(4 * _local_inRightCnt);
              }
            _local_outRight = &_t166_storage;
            *_local_outRight = 0;
            _local_outRightCnt = &_t167_storage;
            *_local_outRightCnt = 0;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550110;
            _t171_ool_check = _local_inRightCnt > 2048 / sizeof(mach_port_t );
            if (_t171_ool_check)
              {
                mach_vm_flick_free(_local_inRight, _local_inRightCnt * sizeof(mach_port_t ));
              }
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  int _t173_ool_check;

                  /* Begin encode phase on parameters */
                  _t173_ool_check = *_local_outRightCnt > 512;
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(12);
                  flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_COPY_SEND, *_local_outRightCnt, !_t173_ool_check, 0, _long_type);
                  flick_mach3mig_array_encode_end_chunk(12);
                  if (_t173_ool_check)
                    {
                      flick_mach3mig_array_encode_new_chunk(4);
                      flick_mach3mig_array_encode_unsigned32(0, *_local_outRight);
                      flick_mach3mig_array_encode_end_chunk(4);
                      flick_mach3mig_array_encode_end_glob(16);
                      _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
                    }
                  else
                    {
                      flick_mach3mig_array_encode_end_glob(16);
                      flick_mach3mig_array_encode_new_glob(4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_new_chunk(4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_bcopy(0, *_local_outRight, 4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_end_chunk(4 * *_local_outRightCnt);
                      flick_mach3mig_array_encode_end_glob(4 * *_local_outRightCnt);
                    }
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t174_array_length;
            Oint _t175_storage;
            unsigned int _t176_array_length;
            Oint _t177_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t174_array_length = 1;
            flick_mach3mig_array_decode_signed32_type(0, _t174_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inInt);
            _local_inoutInt = &_t175_storage;
            _t176_array_length = 1;
            flick_mach3mig_array_decode_signed32_type(8, _t176_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutInt);
            _local_outInt = &_t177_storage;
            *_local_outInt = 0;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550112;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_signed32_type(0, 1, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutInt);
                  flick_mach3mig_array_encode_signed32_type(8, 1, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outInt);
                  flick_mach3mig_encode_end_chunk(16);
                  flick_mach3mig_encode_end_glob(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t178_array_length;
            OFstruct _t179_storage;
            unsigned int _t180_array_length;
            OFstruct _t181_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t178_array_length = 1 * 200;
            flick_mach3mig_array_decode_signed32_type(0, _t178_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inStruct);
            _local_inoutStruct = &_t179_storage;
            _t180_array_length = 1 * 200;
            flick_mach3mig_array_decode_signed32_type(8, _t180_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutStruct);
            _local_outStruct = &_t181_storage;
            *_local_outStruct = 0;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550113;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_signed32_type(0, 1 * 200, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutStruct);
                  flick_mach3mig_array_encode_signed32_type(8, 1 * 200, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outStruct);
                  flick_mach3mig_encode_end_chunk(16);
                  flick_mach3mig_encode_end_glob(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t182_array_length;
            OFarray _t183_storage;
            unsigned int _t184_array_length;
            OFarray _t185_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t182_array_length = 1 * 400;
            flick_mach3mig_array_decode_signed32_type(0, _t182_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inArray);
            _local_inoutArray = &_t183_storage;
            _t184_array_length = 1 * 400;
            flick_mach3mig_array_decode_signed32_type(8, _t184_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutArray);
            _local_outArray = &_t185_storage;
            *_local_outArray = 0;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550114;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_signed32_type(0, 1 * 400, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutArray);
                  flick_mach3mig_array_encode_signed32_type(8, 1 * 400, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outArray);
                  flick_mach3mig_encode_end_chunk(16);
                  flick_mach3mig_encode_end_glob(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            mach_msg_type_number_t _t186_storage;
            Oarray _t187_storage;
            Oarray _t188_storage;
            mach_msg_type_number_t _t189_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32);
            flick_mach3mig_array_decode_new_chunk(32);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, 0, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(12, _local_inArray);
            _local_inoutArrayCnt = &_t186_storage;
            _local_inoutArray = &_t187_storage;
            flick_mach3mig_array_decode_signed32_type(16, *_local_inoutArrayCnt, 0, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(28, *_local_inoutArray);
            _local_outArray = &_t188_storage;
            *_local_outArray = 0;
            _local_outArrayCnt = &_t189_storage;
            *_local_outArrayCnt = 0;
            flick_mach3mig_decode_end_chunk(32);
            flick_mach3mig_decode_end_glob(32);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550115;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(32);
                  flick_mach3mig_array_encode_new_chunk(32);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_inoutArrayCnt, 0, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_inoutArray);
                  flick_mach3mig_array_encode_signed32_type(16, *_local_outArrayCnt, 0, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(28, *_local_outArray);
                  flick_mach3mig_encode_end_chunk(32);
                  flick_mach3mig_encode_end_glob(32);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t190_array_length;
            OFstring _t191_storage;
            unsigned int _t192_array_length;
            OFstring _t193_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t190_array_length = 1 * 800;
            flick_mach3mig_array_decode_string_c_type(0, _t190_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inString);
            _local_inoutString = &_t191_storage;
            _t192_array_length = 1 * 800;
            flick_mach3mig_array_decode_string_c_type(8, _t192_array_length, 0, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutString);
            _local_outString = &_t193_storage;
            *_local_outString = 0;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550116;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(16);
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_string_c_type(0, 1 * 800, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutString);
                  flick_mach3mig_array_encode_string_c_type(8, 1 * 800, 0, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outString);
                  flick_mach3mig_encode_end_chunk(16);
                  flick_mach3mig_encode_end_glob(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            mach_msg_type_number_t _t194_storage;
            mach_port_array_t _t195_storage;
            mach_port_array_t _t196_storage;
            mach_msg_type_number_t _t197_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32);
            flick_mach3mig_array_decode_new_chunk(32);
            flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_SEND, _local_inRightCnt, 0, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(12, _local_inRight);
            _local_inoutRightCnt = &_t194_storage;
            _local_inoutRight = &_t195_storage;
            flick_mach3mig_array_decode_port32_type(16, MACH_MSG_TYPE_PORT_SEND, *_local_inoutRightCnt, 0, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(28, *_local_inoutRight);
            _local_outRight = &_t196_storage;
            *_local_outRight = 0;
            _local_outRightCnt = &_t197_storage;
            *_local_outRightCnt = 0;
            flick_mach3mig_decode_end_chunk(32);
            flick_mach3mig_decode_end_glob(32);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550117;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(32);
                  flick_mach3mig_array_encode_new_chunk(32);
                  flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MAKE_SEND, *_local_inoutRightCnt, 0, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_inoutRight);
                  flick_mach3mig_array_encode_port32_type(16, MACH_MSG_TYPE_MAKE_SEND, *_local_outRightCnt, 0, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(28, *_local_outRight);
                  flick_mach3mig_encode_end_chunk(32);
                  flick_mach3mig_encode_end_glob(32);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            Omach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            mach_msg_type_number_t _t198_storage;
            Omach_poly_array_t _t199_storage;
            Omach_poly_array_t _t200_storage;
            mach_msg_type_number_t _t201_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32);
            flick_mach3mig_array_decode_new_chunk(32);
            flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_NAME, _local_inRightCnt, 0, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(12, _local_inRight);
            _local_inoutRightCnt = &_t198_storage;
            _local_inoutRight = &_t199_storage;
            flick_mach3mig_array_decode_port32_type(16, MACH_MSG_TYPE_PORT_NAME, *_local_inoutRightCnt, 0, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(28, *_local_inoutRight);
            _local_outRight = &_t200_storage;
            *_local_outRight = 0;
            _local_outRightCnt = &_t201_storage;
            *_local_outRightCnt = 0;
            flick_mach3mig_decode_end_chunk(32);
            flick_mach3mig_decode_end_glob(32);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550118;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(32);
                  flick_mach3mig_array_encode_new_chunk(32);
                  flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_COPY_SEND, *_local_inoutRightCnt, 0, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_inoutRight);
                  flick_mach3mig_array_encode_port32_type(16, MACH_MSG_TYPE_COPY_SEND, *_local_outRightCnt, 0, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(28, *_local_outRight);
                  flick_mach3mig_encode_end_chunk(32);
                  flick_mach3mig_encode_end_glob(32);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_reply;
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t202_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            {
              flick_mach3mig_server_decode_client(_local_reply, 0, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _local_data = &_t202_storage;
            flick_mach3mig_decode_new_glob(8);
            flick_mach3mig_decode_new_chunk(8);
            flick_mach3mig_decode_signed32(0, *_local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            {
              flick_mach3mig_server_encode_client(_local_reply, 0, 0, mach3mig);
            }
            _buf_start->Head.msgh_id = 5550120;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_signed32(0, *_local_data);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t203_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            {
              flick_mach3mig_server_decode_client(_local_reply, 0, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _local_data = &_t203_storage;
            flick_mach3mig_decode_new_glob(8);
            flick_mach3mig_decode_new_chunk(8);
            flick_mach3mig_decode_signed32(0, *_local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            {
              flick_mach3mig_server_encode_client(_local_reply, 0, 0, mach3mig);
            }
            _buf_start->Head.msgh_id = 5550121;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_signed32(0, *_local_data);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t204_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _local_data = &_t204_storage;
            flick_mach3mig_decode_new_glob(8);
            flick_mach3mig_decode_new_chunk(8);
            flick_mach3mig_decode_signed32(0, *_local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_ureply_ports(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550122;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_signed32(0, *_local_data);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _local_seq;
            unsigned int *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t205_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _local_seq = _buf_start->Head.msgh_seqno;
            _local_data = &_t205_storage;
            flick_mach3mig_decode_new_glob(8);
            flick_mach3mig_decode_new_chunk(8);
            flick_mach3mig_decode_signed32(0, *_local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550123;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_signed32(0, *_local_data);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_port_t _reply_port;
            mach_msg_type_number_t _t206_storage;
            Oarray _t207_storage;
            Oarray _t208_storage;
            mach_msg_type_number_t _t209_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32);
            flick_mach3mig_array_decode_new_chunk(32);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, 0, 1, _long_type);
            flick_mach3mig_array_decode_unsigned32(12, _local_inArray);
            _local_inoutArrayCnt = &_t206_storage;
            _local_inoutArray = &_t207_storage;
            flick_mach3mig_array_decode_signed32_type(16, *_local_inoutArrayCnt, 0, 1, _long_type);
            flick_mach3mig_array_decode_unsigned32(28, *_local_inoutArray);
            _local_outArray = &_t208_storage;
            *_local_outArray = 0;
            _local_outArrayCnt = &_t209_storage;
            *_local_outArrayCnt = 0;
            flick_mach3mig_decode_end_chunk(32);
            flick_mach3mig_decode_end_glob(32);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550124;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(32);
                  flick_mach3mig_array_encode_new_chunk(32);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_inoutArrayCnt, 0, 1, _long_type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_inoutArray);
                  flick_mach3mig_array_encode_signed32_type(16, *_local_outArrayCnt, 0, 1, _long_type);
                  flick_mach3mig_array_encode_unsigned32(28, *_local_outArray);
                  flick_mach3mig_encode_end_chunk(32);
                  flick_mach3mig_encode_end_glob(32);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            boolean_t _local_inArraySCopy;
            boolean_t *_local_scopy;
            kern_return_t _return;
            mach_port_t _reply_port;
            int _t210_ool_check;
            boolean_t _t211_storage;
            int _t213_ool_check;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, !_t210_ool_check, 0, _long_type);
            _t210_ool_check = _local_inArrayCnt > 512;
            flick_mach3mig_array_decode_end_chunk(12);
            if (_t210_ool_check)
              {
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_unsigned32(0, _local_inArray);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_end_glob(16);
              }
            else
              {
                flick_mach3mig_array_decode_end_glob(16);
                flick_mach3mig_array_decode_new_glob(4 * _local_inArrayCnt);
                flick_mach3mig_array_decode_new_chunk(4 * _local_inArrayCnt);
                flick_mach3mig_array_decode_msgptr(0, _local_inArray);
                flick_mach3mig_array_decode_end_chunk(4 * _local_inArrayCnt);
                flick_mach3mig_array_decode_end_glob(4 * _local_inArrayCnt);
              }
            _local_inArraySCopy = !_t210_ool_check;
            _local_scopy = &_t211_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_inArraySCopy, _local_scopy);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550125;
            _t213_ool_check = _local_inArrayCnt > 2048 / sizeof(unsigned );
            if (_t213_ool_check)
              {
                mach_vm_flick_free(_local_inArray, _local_inArrayCnt * sizeof(unsigned ));
              }
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_glob(8);
                  flick_mach3mig_encode_new_chunk(8);
                  flick_mach3mig_encode_boolean(0, *_local_scopy);
                  flick_mach3mig_encode_end_chunk(8);
                  flick_mach3mig_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_port_t _reply_port;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_terminate(_local_target);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 5550126;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 1, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
