#include "namelens-client.h"

void onewaytest_n(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[72];
  void *_buf_end = (void *)&(_global_buf_start[72]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(24);
    flick_mach3mig_encode_new_chunk(24);
    flick_mach3mig_encode_unsigned32(0, 2);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(24);
    flick_mach3mig_encode_end_glob(24);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t4_switch_tag;

    flick_mach3mig_decode_new_glob(40);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t4_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t4_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t5_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t5_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t5_switch_tag)
            {
            case '$':
              {
                char _t6_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t6_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t6_switch_tag)
                  {
                  case 'n':
                    {
                      char _t7_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t7_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t7_switch_tag)
                        {
                        case 0:
                          {
                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_signed32(0, _ev->_major);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_ev->_major)
                              {
                              case CORBA_NO_EXCEPTION:
                                {
                                  /* Begin decode phase on parameters */
                                  flick_mach3mig_decode_end_glob(40);
                                  break;
                                }
                              case CORBA_SYSTEM_EXCEPTION:
                                {
                                  flick_mach3mig_decode_end_glob(40);
                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(40);
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(40);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n2(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[80];
  void *_buf_end = (void *)&(_global_buf_start[80]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    flick_mach3mig_encode_new_chunk(32);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t13_switch_tag;

    flick_mach3mig_decode_new_glob(48);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t13_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t14_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t14_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t14_switch_tag)
            {
            case '$':
              {
                char _t15_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t15_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t15_switch_tag)
                  {
                  case 'n':
                    {
                      char _t16_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t16_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t16_switch_tag)
                        {
                        case '2':
                          {
                            char _t17_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t17_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t17_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_end_glob(48);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_mach3mig_decode_end_glob(48);
                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(48);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(48);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n23(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[88];
  void *_buf_end = (void *)&(_global_buf_start[88]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(40);
    flick_mach3mig_encode_new_chunk(40);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(40);
    flick_mach3mig_encode_end_glob(40);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t24_switch_tag;

    flick_mach3mig_decode_new_glob(56);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t24_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t25_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t25_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t25_switch_tag)
            {
            case '$':
              {
                char _t26_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t26_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t26_switch_tag)
                  {
                  case 'n':
                    {
                      char _t27_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t27_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t27_switch_tag)
                        {
                        case '2':
                          {
                            char _t28_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t28_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t28_switch_tag)
                              {
                              case '3':
                                {
                                  char _t29_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t29_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t29_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_end_glob(56);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_mach3mig_decode_end_glob(56);
                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(56);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(56);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n234(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[96];
  void *_buf_end = (void *)&(_global_buf_start[96]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t37_switch_tag;

    flick_mach3mig_decode_new_glob(64);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t37_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t37_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t38_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t38_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t38_switch_tag)
            {
            case '$':
              {
                char _t39_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t39_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t39_switch_tag)
                  {
                  case 'n':
                    {
                      char _t40_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t40_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t40_switch_tag)
                        {
                        case '2':
                          {
                            char _t41_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t41_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t41_switch_tag)
                              {
                              case '3':
                                {
                                  char _t42_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t42_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t42_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t43_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t43_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_end_glob(64);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_mach3mig_decode_end_glob(64);
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(64);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(64);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n2345(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[104];
  void *_buf_end = (void *)&(_global_buf_start[104]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(56);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, '5');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(56);
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t52_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t52_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t52_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t53_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t53_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t53_switch_tag)
            {
            case '$':
              {
                char _t54_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t54_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t54_switch_tag)
                  {
                  case 'n':
                    {
                      char _t55_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t55_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t55_switch_tag)
                        {
                        case '2':
                          {
                            char _t56_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t56_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t56_switch_tag)
                              {
                              case '3':
                                {
                                  char _t57_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t57_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t57_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t58_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t58_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t58_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t59_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t59_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t59_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_end_glob(72);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_mach3mig_decode_end_glob(72);
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(72);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(72);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n23456(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[112];
  void *_buf_end = (void *)&(_global_buf_start[112]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, '5');
    flick_mach3mig_encode_char8(48, '6');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t69_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t69_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t69_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t70_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t70_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t70_switch_tag)
            {
            case '$':
              {
                char _t71_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t71_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t71_switch_tag)
                  {
                  case 'n':
                    {
                      char _t72_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t72_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t72_switch_tag)
                        {
                        case '2':
                          {
                            char _t73_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t73_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t73_switch_tag)
                              {
                              case '3':
                                {
                                  char _t74_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t74_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t74_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t75_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t75_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t75_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t76_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t76_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t76_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t77_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t77_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t77_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_end_glob(80);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_mach3mig_decode_end_glob(80);
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(80);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(80);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(80);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n234567(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[120];
  void *_buf_end = (void *)&(_global_buf_start[120]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, '5');
    flick_mach3mig_encode_char8(48, '6');
    flick_mach3mig_encode_char8(56, '7');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t88_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t88_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t88_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t89_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t89_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t89_switch_tag)
            {
            case '$':
              {
                char _t90_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t90_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t90_switch_tag)
                  {
                  case 'n':
                    {
                      char _t91_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t91_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t91_switch_tag)
                        {
                        case '2':
                          {
                            char _t92_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t92_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t92_switch_tag)
                              {
                              case '3':
                                {
                                  char _t93_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t93_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t93_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t94_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t94_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t94_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t95_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t95_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t95_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t96_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t96_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t96_switch_tag)
                                                      {
                                                      case '7':
                                                        {
                                                          char _t97_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t97_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t97_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_end_glob(88);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_mach3mig_decode_end_glob(88);
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(88);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(88);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(88);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(88);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(88);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(88);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(88);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(88);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(88);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(88);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(88);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n2345678(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[128];
  void *_buf_end = (void *)&(_global_buf_start[128]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, '5');
    flick_mach3mig_encode_char8(48, '6');
    flick_mach3mig_encode_char8(56, '7');
    flick_mach3mig_encode_char8(64, '8');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t109_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t109_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t109_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t110_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t110_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t110_switch_tag)
            {
            case '$':
              {
                char _t111_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t111_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t111_switch_tag)
                  {
                  case 'n':
                    {
                      char _t112_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t112_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t112_switch_tag)
                        {
                        case '2':
                          {
                            char _t113_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t113_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t113_switch_tag)
                              {
                              case '3':
                                {
                                  char _t114_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t114_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t114_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t115_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t115_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t115_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t116_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t116_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t116_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t117_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t117_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t117_switch_tag)
                                                      {
                                                      case '7':
                                                        {
                                                          char _t118_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t118_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t118_switch_tag)
                                                            {
                                                            case '8':
                                                              {
                                                                char _t119_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t119_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t119_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_end_glob(96);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_mach3mig_decode_end_glob(96);
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(96);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(96);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(96);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(96);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(96);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n23456789(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[136];
  void *_buf_end = (void *)&(_global_buf_start[136]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, '5');
    flick_mach3mig_encode_char8(48, '6');
    flick_mach3mig_encode_char8(56, '7');
    flick_mach3mig_encode_char8(64, '8');
    flick_mach3mig_encode_char8(72, '9');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t132_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t132_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t132_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t133_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t133_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t133_switch_tag)
            {
            case '$':
              {
                char _t134_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t134_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t134_switch_tag)
                  {
                  case 'n':
                    {
                      char _t135_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t135_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t135_switch_tag)
                        {
                        case '2':
                          {
                            char _t136_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t136_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t136_switch_tag)
                              {
                              case '3':
                                {
                                  char _t137_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t137_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t137_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t138_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t138_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t138_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t139_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t139_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t139_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t140_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t140_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t140_switch_tag)
                                                      {
                                                      case '7':
                                                        {
                                                          char _t141_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t141_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t141_switch_tag)
                                                            {
                                                            case '8':
                                                              {
                                                                char _t142_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t142_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t142_switch_tag)
                                                                  {
                                                                  case '9':
                                                                    {
                                                                      char _t143_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t143_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t143_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(104);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_n234567890(onewaytest _obj, CORBA_Environment *_ev)
{
  char _global_buf_start[144];
  void *_buf_end = (void *)&(_global_buf_start[144]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 'n');
    flick_mach3mig_encode_char8(16, '2');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, '4');
    flick_mach3mig_encode_char8(40, '5');
    flick_mach3mig_encode_char8(48, '6');
    flick_mach3mig_encode_char8(56, '7');
    flick_mach3mig_encode_char8(64, '8');
    flick_mach3mig_encode_char8(72, '9');
    flick_mach3mig_encode_char8(80, '0');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t157_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t157_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t157_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t158_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t158_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t158_switch_tag)
            {
            case '$':
              {
                char _t159_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t159_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t159_switch_tag)
                  {
                  case 'n':
                    {
                      char _t160_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t160_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t160_switch_tag)
                        {
                        case '2':
                          {
                            char _t161_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t161_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t161_switch_tag)
                              {
                              case '3':
                                {
                                  char _t162_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t162_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t162_switch_tag)
                                    {
                                    case '4':
                                      {
                                        char _t163_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t163_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t163_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t164_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t164_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t164_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t165_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t165_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t165_switch_tag)
                                                      {
                                                      case '7':
                                                        {
                                                          char _t166_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t166_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t166_switch_tag)
                                                            {
                                                            case '8':
                                                              {
                                                                char _t167_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t167_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t167_switch_tag)
                                                                  {
                                                                  case '9':
                                                                    {
                                                                      char _t168_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t168_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t168_switch_tag)
                                                                        {
                                                                        case '0':
                                                                          {
                                                                            char _t169_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t169_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch ((char )_t169_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_end_glob(112);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_mach3mig_decode_end_glob(112);
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(112);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(112);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(112);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

