#include "sunstat-client.h"

int *dirlst_2(directory *arg, CLIENT *_obj)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  int *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned int _t1_array_iter;

    _buf_start->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    for (_t1_array_iter = 0; _t1_array_iter < arg->directory_len; _t1_array_iter++)
      {
        flick_mach3mig_encode_string(arg->directory_val[_t1_array_iter].filename, null_flick_free, mach3mig, 255);
        flick_mach3mig_encode_new_glob(223);
        flick_mach3mig_encode_new_chunk_align(220, 2, 0, 0);
        flick_mach3mig_encode_unsigned32(0, arg->directory_val[_t1_array_iter].info.st_dev);
        flick_mach3mig_array_encode_signed32_type(8, 3, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(12, arg->directory_val[_t1_array_iter].info.st_pad1, 12);
        flick_mach3mig_encode_unsigned32(24, arg->directory_val[_t1_array_iter].info.st_ino);
        flick_mach3mig_encode_unsigned32(32, arg->directory_val[_t1_array_iter].info.st_mode);
        flick_mach3mig_encode_unsigned32(40, arg->directory_val[_t1_array_iter].info.st_nlink);
        flick_mach3mig_encode_signed32(48, arg->directory_val[_t1_array_iter].info.st_uid);
        flick_mach3mig_encode_signed32(56, arg->directory_val[_t1_array_iter].info.st_gid);
        flick_mach3mig_encode_unsigned32(64, arg->directory_val[_t1_array_iter].info.st_rdev);
        flick_mach3mig_array_encode_signed32_type(72, 2, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(76, arg->directory_val[_t1_array_iter].info.st_pad2, 8);
        flick_mach3mig_encode_signed32(84, arg->directory_val[_t1_array_iter].info.st_size);
        flick_mach3mig_encode_signed32(92, arg->directory_val[_t1_array_iter].info.st_pad3);
        flick_mach3mig_encode_signed32(100, arg->directory_val[_t1_array_iter].info.st_atime.tv_sec);
        flick_mach3mig_encode_signed32(108, arg->directory_val[_t1_array_iter].info.st_atime.tv_nsec);
        flick_mach3mig_encode_signed32(116, arg->directory_val[_t1_array_iter].info.st_mtime.tv_sec);
        flick_mach3mig_encode_signed32(124, arg->directory_val[_t1_array_iter].info.st_mtime.tv_nsec);
        flick_mach3mig_encode_signed32(132, arg->directory_val[_t1_array_iter].info.st_ctime.tv_sec);
        flick_mach3mig_encode_signed32(140, arg->directory_val[_t1_array_iter].info.st_ctime.tv_nsec);
        flick_mach3mig_encode_signed32(148, arg->directory_val[_t1_array_iter].info.st_blksize);
        flick_mach3mig_encode_signed32(156, arg->directory_val[_t1_array_iter].info.st_blocks);
        flick_mach3mig_array_encode_char8_type(164, 16, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(168, arg->directory_val[_t1_array_iter].info.st_fstype, 16);
        flick_mach3mig_array_encode_signed32_type(184, 8, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(188, arg->directory_val[_t1_array_iter].info.st_pad4, 32);
        flick_mach3mig_encode_end_chunk(220);
        flick_mach3mig_encode_end_glob(223);
      }
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t5_switch_tag;

    _t5_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _buf_start->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t7_storage;

                /* Begin decode phase on parameters */
                _return = &_t7_storage;
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *lng_2(longlist *arg, CLIENT *_obj)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  int *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t9_ool_check;

    _buf_start->Head.msgh_id = 2;
    /* Begin encode phase on parameters */
    _t9_ool_check = arg->longlist_len > 512;
    flick_mach3mig_array_encode_new_glob(16);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, arg->longlist_len, !_t9_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t9_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, arg->longlist_val);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * arg->longlist_len);
        flick_mach3mig_array_encode_new_chunk(4 * arg->longlist_len);
        flick_mach3mig_array_encode_bcopy(0, arg->longlist_val, 4 * arg->longlist_len);
        flick_mach3mig_array_encode_end_chunk(4 * arg->longlist_len);
        flick_mach3mig_array_encode_end_glob(4 * arg->longlist_len);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t13_switch_tag;

    _t13_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t13_switch_tag)
      {
      case (signed int) 1026:
        {
          flick_errno = _buf_start->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t15_storage;

                /* Begin decode phase on parameters */
                _return = &_t15_storage;
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *strct_2(structlist *arg, CLIENT *_obj)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  int *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned int _t17_array_iter;

    _buf_start->Head.msgh_id = 3;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(32 * arg->structlist_len);
    for (_t17_array_iter = 0; _t17_array_iter < arg->structlist_len; _t17_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(32);
        flick_mach3mig_encode_signed32(0, arg->structlist_val[_t17_array_iter].a.a);
        flick_mach3mig_encode_signed32(8, arg->structlist_val[_t17_array_iter].a.b);
        flick_mach3mig_encode_signed32(16, arg->structlist_val[_t17_array_iter].b.a);
        flick_mach3mig_encode_signed32(24, arg->structlist_val[_t17_array_iter].b.b);
        flick_mach3mig_encode_end_chunk(32);
      }
    flick_mach3mig_encode_end_glob(32 * arg->structlist_len);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t21_switch_tag;

    _t21_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 1027:
        {
          flick_errno = _buf_start->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t23_storage;

                /* Begin decode phase on parameters */
                _return = &_t23_storage;
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

