#include "optional-2-client.h"

void flick_marshal_stub_foo_opt(flick_marshal_stream_t _stream, const foo_opt *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t0_array_len);
  flick_suntcp_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_xdr_encode_unsigned32(4, _t2_array_len);
      flick_suntcp_encode_end_chunk(8);
      if (_t2_array_len)
        {
          flick_suntcp_encode_end_glob(12);
          flick_marshal_stub_foo(_stream, (*_data)->next);
        }
      else
        {
          flick_suntcp_encode_end_glob(12);
        }
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_foo_opt(flick_marshal_stream_t _stream, foo_opt *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t3_array_len);
  flick_suntcp_decode_end_chunk(4);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct foo ));
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, (*_data)->value);
      flick_xdr_decode_unsigned32(4, _t5_array_len);
      flick_suntcp_decode_end_chunk(8);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct foo ));
          flick_suntcp_decode_end_glob(12);
          flick_unmarshal_stub_foo(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_suntcp_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_xdr_encode_unsigned32(4, _t6_array_len);
  flick_suntcp_encode_end_chunk(8);
  if (_t6_array_len)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->next->value);
      flick_suntcp_encode_end_chunk(4);
      flick_suntcp_encode_end_glob(12);
      flick_marshal_stub_foo_opt(_stream, &_data->next->next);
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->value);
  flick_xdr_decode_unsigned32(4, _t7_array_len);
  flick_suntcp_decode_end_chunk(8);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct foo ));
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->next->value);
      flick_suntcp_decode_end_chunk(4);
      flick_suntcp_decode_end_glob(12);
      flick_unmarshal_stub_foo_opt(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

void flick_marshal_stub_foo_array(flick_marshal_stream_t _stream, const foo_array *_data)
{
  flick_unsigned8_t _t11_array_len;

  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned32(0, _data->foo_array_len);
  if (_data->foo_array_len > (unsigned int) 1)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_xdr_encode_signed32(4, _data->foo_array_val->value);
  _t11_array_len = _data->foo_array_val->next != 0;
  flick_xdr_encode_unsigned32(8, _t11_array_len);
  flick_suntcp_encode_end_chunk(12);
  if (_t11_array_len)
    {
      flick_suntcp_encode_end_glob(12);
      flick_marshal_stub_foo(_stream, _data->foo_array_val->next);
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_foo_array(flick_marshal_stream_t _stream, foo_array *_data)
{
  flick_unsigned8_t _t15_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned32(0, _data->foo_array_len);
  if (_data->foo_array_len > (unsigned int) 1)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  _data->foo_array_val = sun_flick_alloc(_data->foo_array_len * sizeof(struct foo ));
  flick_xdr_decode_signed32(4, _data->foo_array_val->value);
  flick_xdr_decode_unsigned32(8, _t15_array_len);
  flick_suntcp_decode_end_chunk(12);
  if (_t15_array_len)
    {
      _data->foo_array_val->next = sun_flick_alloc(_t15_array_len * sizeof(struct foo ));
      flick_suntcp_decode_end_glob(12);
      flick_unmarshal_stub_foo(_stream, _data->foo_array_val->next);
    }
  else
    {
      _data->foo_array_val->next = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

void flick_marshal_stub_foo_union(flick_marshal_stream_t _stream, const struct foo_union *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->present);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->present)
    {
    case 1:
      {
        flick_unsigned8_t _t17_array_len;

        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, _data->foo_union_u.element.value);
        _t17_array_len = _data->foo_union_u.element.next != 0;
        flick_xdr_encode_unsigned32(4, _t17_array_len);
        flick_suntcp_encode_end_chunk(8);
        if (_t17_array_len)
          {
            flick_suntcp_encode_end_glob(12);
            flick_marshal_stub_foo(_stream, _data->foo_union_u.element.next);
          }
        else
          {
            flick_suntcp_encode_end_glob(12);
          }
        break;
      }
    default:
      {
        flick_suntcp_encode_end_glob(12);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_union(flick_marshal_stream_t _stream, struct foo_union *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->present);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->present)
    {
    case 1:
      {
        flick_unsigned8_t _t19_array_len;

        flick_suntcp_decode_new_chunk(8);
        flick_xdr_decode_signed32(0, _data->foo_union_u.element.value);
        flick_xdr_decode_unsigned32(4, _t19_array_len);
        flick_suntcp_decode_end_chunk(8);
        if (_t19_array_len)
          {
            _data->foo_union_u.element.next = sun_flick_alloc(_t19_array_len * sizeof(struct foo ));
            flick_suntcp_decode_end_glob(12);
            flick_unmarshal_stub_foo(_stream, _data->foo_union_u.element.next);
          }
        else
          {
            _data->foo_union_u.element.next = 0;
            flick_suntcp_decode_end_glob(12);
          }
        break;
      }
    default:
      {
        flick_suntcp_decode_end_glob(12);
        break;
      }
    }
}

void flick_marshal_stub_mimsy(flick_marshal_stream_t _stream, const struct mimsy *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t20_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t21_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t22_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t23_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(103);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < 100; _t20_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->fixed[_t20_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(100);
  flick_xdr_encode_bcopy(0, _data->fixed, 100);
  flick_suntcp_encode_end_chunk(100);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(103);
  flick_xdr_encode_string(_data->var, null_flick_free, suntcp, 100);
  flick_suntcp_encode_new_glob(808);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t21_array_iter = 0; _t21_array_iter < 100; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_signed32(0, _data->fixed_int[_t21_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(400);
  flick_xdr_encode_bcopy(0, _data->fixed_int, 400);
  flick_suntcp_encode_end_chunk(400);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->var_int.var_int_len);
  if (_data->var_int.var_int_len > (unsigned int) 100)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t22_array_iter = 0; _t22_array_iter < _data->var_int.var_int_len; _t22_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->var_int.var_int_val[_t22_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->var_int.var_int_len);
  flick_xdr_encode_bcopy(0, _data->var_int.var_int_val, 4 * _data->var_int.var_int_len);
  flick_suntcp_encode_end_chunk(4 * _data->var_int.var_int_len);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->unb_int.unb_int_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(808);
  flick_suntcp_encode_new_glob(4 * _data->unb_int.unb_int_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _data->unb_int.unb_int_len; _t23_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->unb_int.unb_int_val[_t23_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->unb_int.unb_int_len);
  flick_xdr_encode_bcopy(0, _data->unb_int.unb_int_val, 4 * _data->unb_int.unb_int_len);
  flick_suntcp_encode_end_chunk(4 * _data->unb_int.unb_int_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->unb_int.unb_int_len);
}

void flick_unmarshal_stub_mimsy(flick_marshal_stream_t _stream, struct mimsy *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t24_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t25_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t26_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t27_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(103);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t24_array_iter = 0; _t24_array_iter < 100; _t24_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->fixed[_t24_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(100);
  flick_xdr_decode_bcopy(0, _data->fixed, 100);
  flick_suntcp_decode_end_chunk(100);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(103);
  flick_xdr_decode_string(_data->var, sun_flick_alloc, suntcp, 100);
  flick_suntcp_decode_new_glob(808);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t25_array_iter = 0; _t25_array_iter < 100; _t25_array_iter++)
    {
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_signed32(0, _data->fixed_int[_t25_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(400);
  flick_xdr_decode_bcopy(0, _data->fixed_int, 400);
  flick_suntcp_decode_end_chunk(400);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->var_int.var_int_len);
  if (_data->var_int.var_int_len > (unsigned int) 100)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->var_int.var_int_val = sun_flick_alloc(_data->var_int.var_int_len * sizeof(int ));
  for (_t26_array_iter = 0; _t26_array_iter < _data->var_int.var_int_len; _t26_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->var_int.var_int_val[_t26_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->var_int.var_int_len);
  _data->var_int.var_int_val = sun_flick_alloc(_data->var_int.var_int_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->var_int.var_int_val, 4 * _data->var_int.var_int_len);
  flick_suntcp_decode_end_chunk(4 * _data->var_int.var_int_len);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->unb_int.unb_int_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(808);
  flick_suntcp_decode_new_glob(4 * _data->unb_int.unb_int_len);
#if BYTE_ORDER != BIG_ENDIAN
  _data->unb_int.unb_int_val = sun_flick_alloc(_data->unb_int.unb_int_len * sizeof(int ));
  for (_t27_array_iter = 0; _t27_array_iter < _data->unb_int.unb_int_len; _t27_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->unb_int.unb_int_val[_t27_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->unb_int.unb_int_len);
  _data->unb_int.unb_int_val = sun_flick_alloc(_data->unb_int.unb_int_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->unb_int.unb_int_val, 4 * _data->unb_int.unb_int_len);
  flick_suntcp_decode_end_chunk(4 * _data->unb_int.unb_int_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->unb_int.unb_int_len);
}

