#include "arrays-client.h"

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(40);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, inp->first);
    flick_trapeze_client_encode_array(inp->data, 4 * 50);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_new_chunk_align(24, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_trapeze_client_encode_array(iop->data, 4 * 50);
    flick_cdr_encode_float64(16, iop->last);
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(40);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, 4 * 50);
            flick_trapeze_decode_end_chunk(1);
            flick_trapeze_decode_new_chunk_align(40, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            flick_trapeze_client_decode_array(iop->data, 4 * 50);
            flick_cdr_decode_float64(16, iop->last);
            flick_cdr_decode_char8(24, outp->first);
            flick_trapeze_client_decode_array(outp->data, 4 * 50);
            flick_cdr_decode_float64(32, outp->last);
            flick_trapeze_decode_end_chunk(40);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(37);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(25, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_trapeze_client_encode_array(inp->data, 4 * 50);
    flick_cdr_encode_char8(8, inp->last);
    flick_cdr_encode_float64(16, iop->first);
    flick_trapeze_client_encode_array(iop->data, 4 * 50);
    flick_cdr_encode_char8(24, iop->last);
    flick_trapeze_encode_end_chunk(25);
    flick_trapeze_encode_end_glob(37);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(49);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(41, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, 4 * 50);
            flick_cdr_decode_char8(8, _return.last);
            flick_cdr_decode_float64(16, iop->first);
            flick_trapeze_client_decode_array(iop->data, 4 * 50);
            flick_cdr_decode_char8(24, iop->last);
            flick_cdr_decode_float64(32, outp->first);
            flick_trapeze_client_decode_array(outp->data, 4 * 50);
            flick_cdr_decode_char8(40, outp->last);
            flick_trapeze_decode_end_chunk(41);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(49);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, inp->first);
    flick_trapeze_client_encode_array(inp->data, 4 * 50);
    flick_cdr_encode_signed16(10, inp->last);
    flick_cdr_encode_signed16(12, iop->first);
    flick_trapeze_client_encode_array(iop->data, 4 * 50);
    flick_cdr_encode_signed16(14, iop->last);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed16(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, 4 * 50);
            flick_cdr_decode_signed16(2, _return.last);
            flick_cdr_decode_signed16(4, iop->first);
            flick_trapeze_client_decode_array(iop->data, 4 * 50);
            flick_cdr_decode_signed16(6, iop->last);
            flick_cdr_decode_signed16(8, outp->first);
            flick_trapeze_client_decode_array(outp->data, 4 * 50);
            flick_cdr_decode_signed16(10, outp->last);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(40);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, inp->first);
    flick_trapeze_client_encode_array(inp->data, sizeof(struct end ) * 50);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_new_chunk_align(24, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_trapeze_client_encode_array(iop->data, sizeof(struct end ) * 50);
    flick_cdr_encode_float64(16, iop->last);
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(40);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, sizeof(struct end ) * 50);
            flick_trapeze_decode_end_chunk(1);
            flick_trapeze_decode_new_chunk_align(40, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            flick_trapeze_client_decode_array(iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_float64(16, iop->last);
            flick_cdr_decode_char8(24, outp->first);
            flick_trapeze_client_decode_array(outp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_float64(32, outp->last);
            flick_trapeze_decode_end_chunk(40);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(37);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(25, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_trapeze_client_encode_array(inp->data, sizeof(struct end ) * 50);
    flick_cdr_encode_char8(8, inp->last);
    flick_cdr_encode_float64(16, iop->first);
    flick_trapeze_client_encode_array(iop->data, sizeof(struct end ) * 50);
    flick_cdr_encode_char8(24, iop->last);
    flick_trapeze_encode_end_chunk(25);
    flick_trapeze_encode_end_glob(37);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(49);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(41, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(8, _return.last);
            flick_cdr_decode_float64(16, iop->first);
            flick_trapeze_client_decode_array(iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(24, iop->last);
            flick_cdr_decode_float64(32, outp->first);
            flick_trapeze_client_decode_array(outp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(40, outp->last);
            flick_trapeze_decode_end_chunk(41);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(49);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, inp->first);
    flick_trapeze_client_encode_array(inp->data, sizeof(struct end ) * 50);
    flick_cdr_encode_signed16(10, inp->last);
    flick_cdr_encode_signed16(12, iop->first);
    flick_trapeze_client_encode_array(iop->data, sizeof(struct end ) * 50);
    flick_cdr_encode_signed16(14, iop->last);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed16(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(2, _return.last);
            flick_cdr_decode_signed16(4, iop->first);
            flick_trapeze_client_decode_array(iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(6, iop->last);
            flick_cdr_decode_signed16(8, outp->first);
            flick_trapeze_client_decode_array(outp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(10, outp->last);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(40);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, inp->first);
    flick_trapeze_client_encode_array(inp->data, sizeof(struct begin ) * 50);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_new_chunk_align(24, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_trapeze_client_encode_array(iop->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_float64(16, iop->last);
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(40);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, sizeof(struct begin ) * 50);
            flick_trapeze_decode_end_chunk(1);
            flick_trapeze_decode_new_chunk_align(40, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            flick_trapeze_client_decode_array(iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_float64(16, iop->last);
            flick_cdr_decode_char8(24, outp->first);
            flick_trapeze_client_decode_array(outp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_float64(32, outp->last);
            flick_trapeze_decode_end_chunk(40);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(37);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 7);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(25, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_trapeze_client_encode_array(inp->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_char8(8, inp->last);
    flick_cdr_encode_float64(16, iop->first);
    flick_trapeze_client_encode_array(iop->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_char8(24, iop->last);
    flick_trapeze_encode_end_chunk(25);
    flick_trapeze_encode_end_glob(37);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(49);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(41, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(8, _return.last);
            flick_cdr_decode_float64(16, iop->first);
            flick_trapeze_client_decode_array(iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(24, iop->last);
            flick_cdr_decode_float64(32, outp->first);
            flick_trapeze_client_decode_array(outp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(40, outp->last);
            flick_trapeze_decode_end_chunk(41);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(49);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 8);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, inp->first);
    flick_trapeze_client_encode_array(inp->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_signed16(10, inp->last);
    flick_cdr_encode_signed16(12, iop->first);
    flick_trapeze_client_encode_array(iop->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_signed16(14, iop->last);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed16(0, _return.first);
            flick_trapeze_client_decode_array(_return.data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(2, _return.last);
            flick_cdr_decode_signed16(4, iop->first);
            flick_trapeze_client_decode_array(iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(6, iop->last);
            flick_cdr_decode_signed16(8, outp->first);
            flick_trapeze_client_decode_array(outp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(10, outp->last);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

