#include "program-4-client.h"

short int *addshort_1(struct short_short *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  short int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed16(8, arg->a);
    flick_xdr_encode_signed16(10, arg->b);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(6);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t1_storage;

            /* Begin decode phase on parameters */
            _return = &_t1_storage;
            flick_trapeze_decode_new_chunk(2);
            flick_xdr_decode_signed16(0, *_return);
            flick_trapeze_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(6);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

short int *subshort_1(struct short_short *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  short int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed16(8, arg->a);
    flick_xdr_encode_signed16(10, arg->b);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(6);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t5_storage;

            /* Begin decode phase on parameters */
            _return = &_t5_storage;
            flick_trapeze_decode_new_chunk(2);
            flick_xdr_decode_signed16(0, *_return);
            flick_trapeze_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(6);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

short int *multshort_1(struct short_short *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  short int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed16(8, arg->a);
    flick_xdr_encode_signed16(10, arg->b);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(6);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t9_storage;

            /* Begin decode phase on parameters */
            _return = &_t9_storage;
            flick_trapeze_decode_new_chunk(2);
            flick_xdr_decode_signed16(0, *_return);
            flick_trapeze_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(6);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *addlong_1(struct long_long *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_xdr_encode_unsigned32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed32(8, arg->a);
    flick_xdr_encode_signed32(12, arg->b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            /* Begin decode phase on parameters */
            _return = &_t13_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *sublong_1(struct long_long *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_xdr_encode_unsigned32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed32(8, arg->a);
    flick_xdr_encode_signed32(12, arg->b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t17_storage;

            /* Begin decode phase on parameters */
            _return = &_t17_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *multlong_1(struct long_long *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_xdr_encode_unsigned32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_signed32(8, arg->a);
    flick_xdr_encode_signed32(12, arg->b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t21_storage;

            /* Begin decode phase on parameters */
            _return = &_t21_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *addlonglist_1(long_list *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t25_array_iter;
#endif /* ENDIANness */

    flick_trapeze_encode_new_glob(52);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 7);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, arg->long_list_len);
    if (arg->long_list_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, trapeze);
    flick_trapeze_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t25_array_iter = 0; _t25_array_iter < arg->long_list_len; _t25_array_iter++)
      {
        flick_trapeze_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_list_val[_t25_array_iter]);
        flick_trapeze_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_trapeze_encode_new_chunk(4 * arg->long_list_len);
    flick_xdr_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_trapeze_encode_end_chunk(4 * arg->long_list_len);
#endif /* ENDIANness */
    flick_trapeze_encode_end_glob(52);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t27_storage;

            /* Begin decode phase on parameters */
            _return = &_t27_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *multlonglist_1(long_list *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t31_array_iter;
#endif /* ENDIANness */

    flick_trapeze_encode_new_glob(52);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 8);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, arg->long_list_len);
    if (arg->long_list_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, trapeze);
    flick_trapeze_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t31_array_iter = 0; _t31_array_iter < arg->long_list_len; _t31_array_iter++)
      {
        flick_trapeze_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_list_val[_t31_array_iter]);
        flick_trapeze_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_trapeze_encode_new_chunk(4 * arg->long_list_len);
    flick_xdr_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_trapeze_encode_end_chunk(4 * arg->long_list_len);
#endif /* ENDIANness */
    flick_trapeze_encode_end_glob(52);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t33_storage;

            /* Begin decode phase on parameters */
            _return = &_t33_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

