#include "sequence-client.h"

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  vec10 *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(96);
    flick_trapeze_encode_new_chunk(12 + 4 * iv->_length);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, iv->_length);
    if (iv->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
    flick_cdr_encode_bcopy(12, iv->_buffer, 4 * iv->_length);
    flick_trapeze_encode_end_chunk(12 + 4 * iv->_length);
    flick_trapeze_encode_new_chunk(4 + 4 * iov->_length);
    flick_cdr_encode_unsigned32(0, iov->_length);
    if (iov->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
    flick_cdr_encode_bcopy(4, iov->_buffer, 4 * iov->_length);
    flick_trapeze_encode_end_chunk(4 + 4 * iov->_length);
    flick_trapeze_encode_end_glob(96);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(96);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            if (_return->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_trapeze_decode_end_chunk(4 * _return->_length);
            *ov = CORBA_flick_alloc(sizeof(vec10 ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, (*ov)->_length);
            (*ov)->_maximum = (*ov)->_length;
            if ((*ov)->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk(4 * (*ov)->_length);
            (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
            flick_trapeze_decode_end_chunk(4 * (*ov)->_length);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, iov->_length);
            iov->_maximum = iov->_length;
            if (iov->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_decode_new_glob(40);
            flick_trapeze_decode_new_chunk(4 * iov->_length);
            iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
            flick_trapeze_decode_end_chunk(4 * iov->_length);
            flick_trapeze_decode_end_glob(40);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(96);
            break;
          }
        default:
          {
            unsigned int _t15_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t15_switch_tag)
              {
              case (unsigned int) 13:
                {
                  unsigned int _t16_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t16_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t16_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t17_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t17_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t17_switch_tag)
                          {
                          case /* puke */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                            {
                              unsigned int _t18_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t18_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t18_switch_tag)
                                {
                                case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                  {
                                    char _t19_switch_tag;

                                    flick_trapeze_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t19_switch_tag);
                                    flick_trapeze_decode_end_chunk(1);
                                    switch ((char )_t19_switch_tag)
                                      {
                                      case 0:
                                        {
                                          _ev->_id = "IDL:puke:1.0";
                                          (puke *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(puke ));
                                          flick_trapeze_decode_new_chunk(7);
                                          flick_cdr_decode_signed32(3, ((puke *)(_ev->_value._user_except))->reason);
                                          flick_trapeze_decode_end_chunk(7);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
            flick_trapeze_decode_end_glob(96);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

