#include "sequence_-client.h"

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(52);
    flick_trapeze_encode_new_chunk(12 + 4 * a->_length);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
    flick_cdr_encode_bcopy(12, a->_buffer, 4 * a->_length);
    flick_trapeze_encode_end_chunk(12 + 4 * a->_length);
    flick_trapeze_encode_end_glob(52);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed16(0, _return);
            flick_cdr_decode_unsigned32(4, a->_length);
            a->_maximum = a->_length;
            if (a->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_new_chunk(4 * a->_length);
            a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, a->_buffer, 4 * a->_length);
            flick_trapeze_decode_end_chunk(4 * a->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

