#include "simple2-client.h"

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_cdr_encode_signed32(12, *c);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *c);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_cdr_encode_signed32(12, *c);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *c);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long simple3_op3(simple3 _obj, CORBA_long a, simple3 *b, simple2 *c, simple *d, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(76);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(76);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(76);
            break;
          }
        default:
          {
            unsigned int _t66_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t66_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t66_switch_tag)
              {
              case (unsigned int) 25:
                {
                  unsigned int _t67_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t67_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t67_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t68_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t68_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t68_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t69_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t69_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t69_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t70_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t70_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t70_switch_tag)
                                      {
                                      case /* OVER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                        {
                                          unsigned int _t71_switch_tag;

                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t71_switch_tag);
                                          flick_trapeze_decode_end_chunk(4);
                                          switch ((unsigned int )_t71_switch_tag)
                                            {
                                            case /* FLOW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                              {
                                                unsigned int _t72_switch_tag;

                                                flick_trapeze_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t72_switch_tag);
                                                flick_trapeze_decode_end_chunk(4);
                                                switch ((unsigned int )_t72_switch_tag)
                                                  {
                                                  case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                    {
                                                      char _t73_switch_tag;

                                                      flick_trapeze_decode_new_chunk(1);
                                                      flick_cdr_decode_char8(0, _t73_switch_tag);
                                                      flick_trapeze_decode_end_chunk(1);
                                                      switch ((char )_t73_switch_tag)
                                                        {
                                                        case 0:
                                                          {
                                                            _ev->_id = "IDL:simple3/OVERFLOW:1.0";
                                                            (simple3_OVERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                                                            flick_trapeze_decode_new_chunk(7);
                                                            flick_cdr_decode_signed32(3, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a);
                                                            flick_trapeze_client_decode_array(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 0);
                                                            flick_trapeze_decode_end_chunk(7);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 26:
                {
                  unsigned int _t74_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t74_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t74_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t75_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t75_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t75_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t76_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t76_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t76_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t77_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t77_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t77_switch_tag)
                                      {
                                      case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                        {
                                          unsigned int _t78_switch_tag;

                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t78_switch_tag);
                                          flick_trapeze_decode_end_chunk(4);
                                          switch ((unsigned int )_t78_switch_tag)
                                            {
                                            case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                              {
                                                unsigned int _t79_switch_tag;

                                                flick_trapeze_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t79_switch_tag);
                                                flick_trapeze_decode_end_chunk(4);
                                                switch ((unsigned int )_t79_switch_tag)
                                                  {
                                                  case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                    {
                                                      unsigned short int _t80_switch_tag;

                                                      flick_trapeze_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t80_switch_tag);
                                                      flick_trapeze_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t80_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                            (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                            flick_trapeze_decode_new_chunk(6);
                                                            flick_cdr_decode_signed32(2, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                            flick_trapeze_client_decode_array(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 0);
                                                            flick_trapeze_decode_end_chunk(6);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 23:
                {
                  unsigned int _t81_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t81_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t81_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t82_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t82_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t82_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t83_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t83_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t83_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t84_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t84_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t84_switch_tag)
                                      {
                                      case /* BADN */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                        {
                                          unsigned int _t85_switch_tag;

                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t85_switch_tag);
                                          flick_trapeze_decode_end_chunk(4);
                                          switch ((unsigned int )_t85_switch_tag)
                                            {
                                            case /* UM:1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                              {
                                                unsigned short int _t86_switch_tag;

                                                flick_trapeze_decode_new_chunk(2);
                                                flick_cdr_decode_unsigned16(0, _t86_switch_tag);
                                                flick_trapeze_decode_end_chunk(2);
                                                switch ((unsigned short int )_t86_switch_tag)
                                                  {
                                                  case /* .0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                    {
                                                      char _t87_switch_tag;

                                                      flick_trapeze_decode_new_chunk(1);
                                                      flick_cdr_decode_char8(0, _t87_switch_tag);
                                                      flick_trapeze_decode_end_chunk(1);
                                                      switch ((char )_t87_switch_tag)
                                                        {
                                                        case 0:
                                                          {
                                                            _ev->_id = "IDL:simple3/BADNUM:1.0";
                                                            (simple3_BADNUM *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                                                            flick_trapeze_decode_new_chunk(5);
                                                            flick_cdr_decode_unsigned32(1, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = ((simple3_BADNUM *)(_ev->_value._user_except))->c._length;
                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > (unsigned int) 10)
                                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                                                            flick_trapeze_decode_end_chunk(5);
                                                            flick_trapeze_decode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_value._user_except))->c._length * sizeof(CORBA_long ));
                                                            flick_cdr_decode_bcopy(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            flick_trapeze_decode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
            flick_trapeze_decode_end_glob(76);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_char *simple3_op4(simple3 _obj, CORBA_char *x, CORBA_char **y, CORBA_char **z, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(x, strlen(x));
    flick_trapeze_client_encode_array(*y, strlen(*y));
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(40);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(_return, 0);
            flick_trapeze_client_decode_array(*y, 0);
            flick_trapeze_client_decode_array(*z, 0);
            flick_trapeze_decode_end_glob(40);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(40);
            break;
          }
        default:
          {
            unsigned int _t200_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t200_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t200_switch_tag)
              {
              case (unsigned int) 26:
                {
                  unsigned int _t201_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t201_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t201_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t202_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t202_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t202_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t203_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t203_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t203_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t204_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t204_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t204_switch_tag)
                                      {
                                      case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                        {
                                          unsigned int _t205_switch_tag;

                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t205_switch_tag);
                                          flick_trapeze_decode_end_chunk(4);
                                          switch ((unsigned int )_t205_switch_tag)
                                            {
                                            case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                              {
                                                unsigned int _t206_switch_tag;

                                                flick_trapeze_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t206_switch_tag);
                                                flick_trapeze_decode_end_chunk(4);
                                                switch ((unsigned int )_t206_switch_tag)
                                                  {
                                                  case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                    {
                                                      unsigned short int _t207_switch_tag;

                                                      flick_trapeze_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t207_switch_tag);
                                                      flick_trapeze_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t207_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                            (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                            flick_trapeze_decode_new_chunk(6);
                                                            flick_cdr_decode_signed32(2, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                            flick_trapeze_client_decode_array(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 0);
                                                            flick_trapeze_decode_end_chunk(6);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
            flick_trapeze_decode_end_glob(40);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

void simple3_op5(simple3 _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, ((simple3_USERERROR *)(_ev->_value._user_except))->reason))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(34);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_glob(34);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(34);
            break;
          }
        default:
          {
            unsigned int _t264_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t264_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t264_switch_tag)
              {
              case (unsigned int) 26:
                {
                  unsigned int _t265_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t265_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t265_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t266_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t266_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t266_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t267_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t267_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t267_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t268_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t268_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t268_switch_tag)
                                      {
                                      case /* USER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                        {
                                          unsigned int _t269_switch_tag;

                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t269_switch_tag);
                                          flick_trapeze_decode_end_chunk(4);
                                          switch ((unsigned int )_t269_switch_tag)
                                            {
                                            case /* ERRO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                              {
                                                unsigned int _t270_switch_tag;

                                                flick_trapeze_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t270_switch_tag);
                                                flick_trapeze_decode_end_chunk(4);
                                                switch ((unsigned int )_t270_switch_tag)
                                                  {
                                                  case /* R:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                    {
                                                      unsigned short int _t271_switch_tag;

                                                      flick_trapeze_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t271_switch_tag);
                                                      flick_trapeze_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t271_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/USERERROR:1.0";
                                                            (simple3_USERERROR *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                                                            flick_trapeze_client_decode_array(((simple3_USERERROR *)(_ev->_value._user_except))->reason, 0);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
            flick_trapeze_decode_end_glob(34);
          }
        }
    }
  flick_trapeze_client_end_decode();
}

CORBA_long simple3_op2(simple3 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long simple3_op(simple3 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 7);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_cdr_encode_signed32(12, *c);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *c);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

