#include "unionplain_-client.h"

struct Foo un_one(un _obj, struct Foo2 *a, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct Foo _return;

  memset(&_return, 0, sizeof(struct Foo ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, a->_d);
    flick_trapeze_encode_end_chunk(9);
    switch (a->_d)
      {
      case 'a':
        {
          flick_trapeze_encode_new_chunk(7);
          flick_cdr_encode_signed32(3, a->_u.x);
          flick_trapeze_encode_end_chunk(7);
          break;
        }
      case 'b':
        {
          flick_trapeze_encode_new_chunk(3);
          flick_cdr_encode_signed16(1, a->_u.y);
          flick_trapeze_encode_end_chunk(3);
          break;
        }
      case 'c':
        {
          flick_trapeze_encode_new_chunk(1);
          flick_cdr_encode_char8(0, a->_u.z);
          flick_trapeze_encode_end_chunk(1);
          break;
        }
      default:
        {
          flick_corba_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, cdr, trapeze);
          break;
        }
      }
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return._d);
            flick_trapeze_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _return._u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_trapeze_decode_new_chunk(2);
                  flick_cdr_decode_signed16(0, _return._u.y);
                  flick_trapeze_decode_end_chunk(2);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return._u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct Foo3 un_two(un _obj, struct Foo4 *a, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct Foo3 _return;

  memset(&_return, 0, sizeof(struct Foo3 ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(56);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a->_d);
    flick_trapeze_encode_end_chunk(12);
    switch (a->_d)
      {
      case 1:
        {
          flick_trapeze_client_encode_array(a->_u.a, strlen(a->_u.a));
          flick_trapeze_encode_end_glob(56);
          break;
        }
      case 2:
        {
          flick_trapeze_encode_new_chunk(4 + 4 * a->_u.b._length);
          flick_cdr_encode_unsigned32(0, a->_u.b._length);
          if (a->_u.b._length > (unsigned int) 10)
            flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
          flick_cdr_encode_bcopy(4, a->_u.b._buffer, 4 * a->_u.b._length);
          flick_trapeze_encode_end_chunk(4 + 4 * a->_u.b._length);
          flick_trapeze_encode_end_glob(56);
          break;
        }
      default:
        {
          flick_trapeze_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, a->_u.c);
          flick_trapeze_encode_end_chunk(4);
          flick_trapeze_encode_end_glob(56);
          break;
        }
      }
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return._d);
            flick_trapeze_decode_end_chunk(2);
            switch (_return._d)
              {
              case -1:
                {
                  flick_trapeze_decode_new_chunk(2);
                  flick_cdr_decode_signed16(0, _return._u.a);
                  flick_trapeze_decode_end_chunk(2);
                  break;
                }
              case 50:
                {
                  flick_trapeze_decode_new_chunk(6);
                  flick_cdr_decode_signed32(2, _return._u.b);
                  flick_trapeze_decode_end_chunk(6);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return._u.c);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

